
/*
 * FILE:  p_dis204_vva.h 
 *
 * Created on Wed Apr 17 10:53:33 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _p_dis204_vva_included
#define _p_dis204_vva_included

 /* $RCSfile: p_dis204_vva.h,v $ */
 /* $Revision: 1.1.1.1 $ */
 /* $State: Exp $ */


 /* This file describes six kinds of data that support VVA tests and */
 /* experiments for the A2ATD project.  Each of the six is encapsulated  */
 /* in the EVENT_REPORT_PDU, which is defined as: */
 /*  */
 /* typedef struct { */
 /*     DIS204_PDU_HEADER_RECORD                    pdu_header;  */
 /*     DIS204_ENTITY_ID_RECORD                     originating_entity_id;  */
 /*     uint16                                 _unused_37; */
 /*     DIS204_ENTITY_ID_RECORD                     receiving_entity_id;  */
 /*     uint16                                 _unused_38; */
 /*     DIS204_EVENT_TYPE_TYPE                      event_type;  */
 /*     DIS204_NUMBER_OF_FIXED_DATUM_FIELDS_TYPE  */
 /* 					number_of_fixed_datum_fields;  */
 /*     DIS204_NUMBER_OF_VARIABLE_DATUM_FIELDS_TYPE  */
 /* 					number_of_variable_datum_fields;  */
 /*     DIS204_VARIABLE_DATUM_RECORD                variable_datum[1];  */
 /* } DIS204_EVENT_REPORT_PDU;  */

 /* where number_of_fixed_datum_fields = 0 and */
 /*       number_of_variable_datum_fields = 1 */
 /*  */

#include <stdtypes.h>
#include <dis204_types.h> 

/*
 * values for event_type
 */
/*
#define DIS204_EVENT_TYPE_STATUS_CHANGE 0xffff0001
#define DIS204_EVENT_TYPE_TGT_ACQ_VVA 0xffff0002
#define DIS204_EVENT_TYPE_TRACK_VVA 0xffff0003
#define DIS204_EVENT_TYPE_DF_DEL_ACC_VVA 0xffff0004
#define DIS204_EVENT_TYPE_DF_DAM_ASSMENT_VVA 0xffff0005
#define DIS204_EVENT_TYPE_IF_DAM_ASSMENT_VVA 0xffff0006
*/
//typedef uint8    DIS204_EVENT_TYPE_MORE; 


/*
 * values for variable_datum.datum_id
 */

//#define DIS204_DATUM_PARAMETER_STRUCTURE 0xffff0001

//typedef uint8    DIS204_DATUM_PARAMETER_MORE; 

//#define DIS204_CREW_POSITION_UNKNOWN 0
//#define DIS204_CREW_POSITION_TANK_COMMANDER 1
//#define DIS204_CREW_POSITION_GUNNER 2
//#define DIS204_CREW_POSITION_DRIVER 3
//#define DIS204_CREW_POSITION_LOADER 4

//typedef uint8    DIS204_CREW_POSITION; 

//#define DIS204_CONDITION_UNKNOWN 0   
//#define DIS204_CONDITION_HULL_DEFILADE 1
//#define DIS204_CONDITION_TURRET_DEFILADE 2
//#define DIS204_CONDITION_FULLY_EXPOSED 3
//#define DIS204_CONDITION_OPEN   4    
//#define DIS204_CONDITION_TOWN   5    
//#define DIS204_CONDITION_WOODS  6    
//#define DIS204_CONDITION_STATIONARY 7
//#define DIS204_CONDITION_MOVING 8    

//typedef uint8    DIS204_CONDITION; 

//#define DIS204_DAMAGE_FUNCTION_UNKNOWN 0
//#define DIS204_DAMAGE_FUNCTION_COOKIE_CUTTER 1
//#define DIS204_DAMAGE_FUNCTION_CARLETON 2

//typedef uint8    DIS204_DAMAGE_FUNCTION; 

//#define DIS204_CARLETON_REGION_UNKNOWN 0
//#define DIS204_CARLETON_REGION_ONE_THIRD 1
//#define DIS204_CARLETON_REGION_TWO_THIRD 2
//#define DIS204_CARLETON_REGION_THREE_THIRD 3

//typedef uint8    DIS204_CARLETON_REGION; 

//#define DIS204_STATUS_EFFECT_UNKNOWN 0
//#define DIS204_STATUS_EFFECT_NO_CHANGE 1
//#define DIS204_STATUS_EFFECT_DAMAGED 2 /* includes destroyed */
//#define DIS204_STATUS_EFFECT_REPAIRED 3

//typedef uint8    DIS204_STATUS_CHANGE_EFFECT; 

//#define DIS204_STATUS_CAUSE_UNKNOWN 0
//#define DIS204_STATUS_CAUSE_DIRECT_FIRE 1
//#define DIS204_STATUS_CAUSE_INDIRECT_FIRE 2
//#define DIS204_STATUS_CAUSE_CREW_ERROR 3
//#define DIS204_STATUS_CAUSE_COLLISION 4
//#define DIS204_STATUS_CAUSE_BREAKDOWN 5
//#define DIS204_STATUS_CAUSE_MAINT_TEAM 6
//#define DIS204_STATUS_CAUSE_INTERVENTION 7

//typedef uint8    DIS204_STATUS_CHANGE_CAUSE; 

//#define DIS204_ACQUISITION_LEVEL_UNKNOWN 0
//#define DIS204_ACQUISITION_LEVEL_DETECT 1
//#define DIS204_ACQUISITION_LEVEL_CLASSIFY 2
//#define DIS204_ACQUISITION_LEVEL_RECOGNIZE 3
//#define DIS204_ACQUISITION_LEVEL_IDENTIFY 4

//typedef uint8    DIS204_ACQUISITION_LEVEL; 

//#define DIS204_SENSOR_TYPE_UNKNOWN 0 
//#define DIS204_SENSOR_TYPE_DVO  1    
//#define DIS204_SENSOR_TYPE_II   2    
//#define DIS204_SENSOR_TYPE_IR   3    

//typedef uint8    DIS204_SENSOR_TYPE; 

//#define DIS204_SENSOR_NAME_LENGTH           24

/*
 * normally has a point every 500 meters
 */

//typedef DIS204_WORLD_COORDINATES_RECORD DIS204_TRAJECTORY_RECORD[20]; 

//typedef struct {
//    float32 x;                            
//    float32 y;                            
//} DIS204_2D_VECTOR_RECORD; 

//typedef struct {
//    float32 n;                            
//    float32 m;                            
//    float32 f;                            
//    float32 mf;                           
//    float32 k;                            
//} DIS204_KILL_DATA; 

//typedef struct {
//    float32 range;                         /* meters */

//    float32 azimuth;                       /* radians */

//    float32 elevation;                     /* radians */

//    float32 dispersion;                    /* feet */

//} DIS204_DF_TABLE_PARS; 

//typedef struct {
//    uint32 scalar_type;           /* DIS204_CONDITION */

//    float32         factor;               
//} DIS204_IF_SCALAR; 

//typedef struct {
//    float32                      range;   
//    float32                      cant;    
 //   float32                      wind_direction;  /* radians */

//    float32                      wind_magnitude; 
//    float32                      ammo_temperature; 
//    float32                      air_temperature; 
//    float32                      barometric_pressure; 
//    DIS204_2D_VECTOR_RECORD boresight; 
//    DIS204_2D_VECTOR_RECORD computer_correction; 
//} DIS204_FCS_INPUTS; 

//typedef struct {
//    float32          superelevation;      
//    float32          lead;                
//    float32          cant;                
//    uint16 range;               
//    uint16 ammo_temperature;    
//} DIS204_FCS_DATA; 

//typedef struct {
//    float32 detect;                       
//    float32 classify;                     
//    float32 recognize;                    
//    float32 identify;                     
//} DIS204_TGTACQ_LEVEL_DATA; 


/*
 * STATUS CHANGE
 */

//typedef struct {
//    DIS204_ENTITY_ID_RECORD       victim_entity_id; 
//    uint16                   _unused_7;  /* padding */
//    DIS204_EVENT_ID_RECORD        event_id; 
//    uint16                   _unused_8;  /* padding */
//    DIS204_ENTITY_ID_RECORD       cause_entity_id; 
//    uint16                   _unused_9;  /* padding */
//    DIS204_STATUS_CHANGE_EFFECT   effect; 
//    DIS204_STATUS_CHANGE_CAUSE    cause; 
//    uint16                   _unused_10;  /* padding */
 //   DIS204_ENTITY_APPEARANCE_TYPE damage_indicated;  /* m,f,mf,k */

//    DIS204_ENTITY_APPEARANCE_TYPE damage_caused;  /* m,f,mf,k */

//    DIS204_ENTITY_APPEARANCE_TYPE old_status;  /* m,f,mf,k */

//    DIS204_ENTITY_APPEARANCE_TYPE new_status;  /* m,f,mf,k */

//    DIS204_KILL_DATA              thermometer_probability; 
//    float32                            random_number; 
//} DIS204_STATUS_CHANGE_DATA; 


/*
 * TARGET ACQUISITION
 */

//typedef struct {
//    DIS204_ENTITY_ID_RECORD  observer_entity_id; 
//    uint16              _unused_11;  /* padding */
//    DIS204_ENTITY_ID_RECORD  observed_entity_id; 
//    uint16              _unused_12;  /* padding */
//    DIS204_ACQUISITION_LEVEL old_acquisition_level; 
//    DIS204_ACQUISITION_LEVEL new_acquisition_level; 
//    uint8               sensor_index; 
//    DIS204_SENSOR_TYPE       sensor_type; 
//    DIS204_CONDITION         exposure; 
//    uint8               switched_magnification; 
//    uint8               observer_moving; 
//    uint8               target_moving; 
//    float32                       magnification; 
//    float32                       target_critical_dimension; 
//    float32                       intervisibility; 
//    float32                       range;  
//    float32                       acquisition_period; 
//    float32                       apparent_contrast; 
 //   float32                       cycles_on_target; 
//    float32                       level_random; 
//    float32                       time_random; 
//    DIS204_TGTACQ_LEVEL_DATA p_infinity; 
//    DIS204_TGTACQ_LEVEL_DATA cycles_to_acquire; 
//    float32                       contrast; 
//    float32                       spatial_frequency; 
//    float32                       illumination;  /* ft-candles */

//    float32                       acquisition_time;  /* secs */

//    float32                       sky_over_ground_ratio; 
//    float32                       extinction_coefficient; 
//    float32                       suppression_degradation; 
//    float32                       obscurant_effect; 
//    uint8               sensor_name[DIS204_SENSOR_NAME_LENGTH]; 
//} DIS204_TGT_ACQ_VVA_DATA; 


/*
 * TRACKING
 */

//typedef struct {
//    DIS204_ENTITY_ID_RECORD              firing_entity_id; 
//    uint16                          _unused_13;  /* padding */
//    DIS204_ENTITY_ID_RECORD              target_entity_id; 
//    uint16                          _unused_14;  /* padding */
//    DIS204_WORLD_COORDINATES_RECORD      sight_location; 
//    DIS204_EULER_ANGLES_RECORD           sight_orientation; 
//    DIS204_2D_VECTOR_RECORD              sight_rate;  /* rad/sec */

//    uint32                           _unused_15;  /* padding */
//    DIS204_WORLD_COORDINATES_RECORD      gun_location; 
//    DIS204_EULER_ANGLES_RECORD           gun_orientation; 
//    uint32                           _unused_16;  /* padding */
//    DIS204_WORLD_COORDINATES_RECORD      target_location; 
//    DIS204_WORLD_COORDINATES_RECORD      aimpoint_location; 
//    DIS204_LINEAR_VELOCITY_VECTOR_RECORD target_velocity; 
//    DIS204_CREW_POSITION                 active_handle; 
//    uint8                           _unused_17;  /* padding */
//    uint16                          _unused_18;  /* padding */
//    DIS204_2D_VECTOR_RECORD              handle_signal;  /* radians */

//    DIS204_FCS_INPUTS                    fcs_inputs; 
//    DIS204_2D_VECTOR_RECORD              ballistic_solution;  /* radians */

//} DIS204_TRACK_VVA_DATA; 


/*
 * DELIVERY ACCURACY
 */

//typedef struct {
//    DIS204_ENTITY_ID_RECORD              firing_entity_id; 
//    uint16                          _unused_19;  /* padding */
//    DIS204_EVENT_ID_RECORD               event_id; 
//    uint16                          _unused_20;  /* padding */
//    DIS204_BURST_DESCRIPTOR_RECORD       burst_descriptor; 
//    DIS204_WORLD_COORDINATES_RECORD      firer_location; 
 //   DIS204_WORLD_COORDINATES_RECORD      sight_location; 
//    DIS204_EULER_ANGLES_RECORD           sight_orientation; 
//    uint32                           _unused_21;  /* padding */
//    DIS204_WORLD_COORDINATES_RECORD      gun_location; 
//    DIS204_EULER_ANGLES_RECORD           gun_orientation; 
//    DIS204_ENTITY_ID_RECORD              target_entity_id; 
//    uint16                          _unused_22;  /* padding */
//    uint32                           _unused_23;  /* padding */
//    DIS204_WORLD_COORDINATES_RECORD      target_location; 
//    DIS204_WORLD_COORDINATES_RECORD      aimpoint_location; 
//    DIS204_LINEAR_VELOCITY_VECTOR_RECORD target_velocity; 
//    DIS204_CONDITION                     firer_movement; 
//    DIS204_CONDITION                     target_movement; 
//    DIS204_CONDITION                     exposure; 
//    uint8                           _unused_24;  /* padding */
//    DIS204_FCS_INPUTS                    fcs_inputs; 
//    DIS204_2D_VECTOR_RECORD              input_fixed_bias;  /* mils */
//
//    DIS204_2D_VECTOR_RECORD              input_variable_bias;  /* mils */
//
//    DIS204_2D_VECTOR_RECORD              input_random_error;  /* mils */
//
//    DIS204_2D_VECTOR_RECORD              input_moving_firer_add;  /* mils */

//    DIS204_2D_VECTOR_RECORD              input_moving_firer_sub;  /* mils */

//    DIS204_2D_VECTOR_RECORD              input_moving_target_add;  /* mils */

//    DIS204_2D_VECTOR_RECORD              input_moving_target_sub;  /* mils */


//
//    DIS204_2D_VECTOR_RECORD              input_mean_of_bias;  /* mils */

//    DIS204_2D_VECTOR_RECORD              input_std_of_bias;  /* mils */

//    DIS204_2D_VECTOR_RECORD              input_mean_of_dispersion;  /* mils */

//    DIS204_2D_VECTOR_RECORD              input_std_of_dispersion;  /* mils */



//    DIS204_2D_VECTOR_RECORD              output_occasional_bias;  /* mils */

//    DIS204_2D_VECTOR_RECORD              output_random_error;  /* mils */

//    DIS204_2D_VECTOR_RECORD              output_total_bias;  /* mils */

//    DIS204_2D_VECTOR_RECORD              miss_in_mils;  /* mils */

//    DIS204_2D_VECTOR_RECORD              miss_in_meters;  /* meters */

//    uint16                          missed_in_x;  /* boolean */

 //   uint16                          missed_in_z;  /* boolean */

//    uint32                           _unused_25;  /* padding */
//    uint16                          trajectory_point_count; 
//    uint16                          trajectory_range_increment; 
//    DIS204_TRAJECTORY_RECORD             trajectory; 
//} DIS204_DF_DEL_ACC_VVA_DATA; 


/*
 * DIRECT FIRE DAMAGE ASSESSMENT
 *
 * azimuth is measured clockwise from front
 * elevation is measured from horizontal (positive is up)
 */

//typedef struct {
//    DIS204_ENTITY_ID_RECORD         firing_entity_id; 
//    uint16                     _unused_26;  /* padding */
//    DIS204_EVENT_ID_RECORD          event_id; 
//    uint16                     _unused_27;  /* padding */
//    DIS204_BURST_DESCRIPTOR_RECORD  burst_descriptor; 
//    DIS204_WORLD_COORDINATES_RECORD target_location; 
//    DIS204_WORLD_COORDINATES_RECORD impact_location; 
//    DIS204_CONDITION                exposure; 
//    uint8                      _unused_28;  /* padding */
//    uint16                     _unused_29;  /* padding */
//    DIS204_DF_TABLE_PARS            actual_pars; 
//    DIS204_DF_TABLE_PARS            table_pars; 
//    DIS204_KILL_DATA                table_probability; 
//    DIS204_KILL_DATA                only_kill_probability; 
//    DIS204_KILL_DATA                thermometer_probability; 
//    float32                              random_number; 
//    DIS204_ENTITY_APPEARANCE_TYPE   damage_indicated;  /* m,f,mf,k */

//    DIS204_ENTITY_APPEARANCE_TYPE   old_status;  /* m,f,mf,k */

//    DIS204_ENTITY_APPEARANCE_TYPE   new_status;  /* m,f,mf,k */

//} DIS204_DF_DAM_ASSMENT_VVA_DATA; 


/*
 * INDIRECT FIRE DAMAGE ASSESSMENT
 * range is in meters
 */

//typedef struct {
////    DIS204_ENTITY_ID_RECORD              firing_entity_id; 
//    uint16                          _unused_30;  /* padding */
//    DIS204_EVENT_ID_RECORD               event_id; 
//    uint16                          _unused_31;  /* padding */
//    DIS204_BURST_DESCRIPTOR_RECORD       burst_descriptor; 
//    DIS204_WORLD_COORDINATES_RECORD      target_location; 
 //   DIS204_WORLD_COORDINATES_RECORD      impact_location; 
//    DIS204_LINEAR_VELOCITY_VECTOR_RECORD munition_terminal_velocity; 
//    float32                                   impact_to_target_range; 
//    float32                                   impact_to_target_cutoff_range; 
//    DIS204_DAMAGE_FUNCTION               damage_function; 
//    uint8                           _unused_32;  /* padding */
//    uint16                          _unused_33;  /* padding */
//    union {
//        struct {
//            float32         initial_kill_probability; 
//            float32         angle_of_fall;  /* radians */

//            DIS204_CARLETON_REGION region; 
//            uint8 _unused_34;    /* padding */
//            uint16 _unused_35;   /* padding */
//            float32         range_miss_distance; 
//            float32         deflection_miss_distance; 
//        } carleton;
//        struct {
//            float32          firer_to_impact_range; 
//            uint16 number_of_submunitions; 
//            uint16 _unused_36;   /* padding */
//            float32          intercept;   
//            float32          slope;       
//            float32          reliability; 
//            float32          pattern_radius; 
//        } cookie_cutter;
//    } function_data;                    
//    DIS204_IF_SCALAR                     environment; 
//    DIS204_IF_SCALAR                     exposure; 
//    DIS204_KILL_DATA                     modified_lethal_area; 
//    DIS204_KILL_DATA                     computed_probability; 
//    DIS204_KILL_DATA                     only_kill_probability; 
//    DIS204_KILL_DATA                     thermometer_probability; 
//    float32                                   random_number; 
//    DIS204_ENTITY_APPEARANCE_TYPE        damage_indicated;  /* m,f,mf,k */

 //   DIS204_ENTITY_APPEARANCE_TYPE        old_status;  /* m,f,mf,k */

//    DIS204_ENTITY_APPEARANCE_TYPE        new_status;  /* m,f,mf,k */

//} DIS204_IF_DAM_ASSMENT_VVA_DATA; 



#endif
