# File:     address.drn
# Contents: defines addresses
# System:   simnet development.
# Created:  10-Oct-1989
# Author:   kanarick
# Remarks:
# $RCSfile: address.cdf,v $
# $Revision: 1.1 $
# $State: Exp $
# COPYRIGHT 1989 BBN Systems and Technologies Corporation
# 10 Moulton Street
# Cambridge, Ma. 02138
# 617-873-3000

hfile:
#include <stdtypes.h>
endhfile:

# A unique, 16-bit integer identifies each distributed simulation site:
defs: SiteID uint16 
  value: siteIrrelevant  0

# Each simulator has a globally unique address of the following form:
hfile:
typedef struct {
    SiteID site;                 /* the site at which it resides */
    uint16 host;                 /* unique number within that site */
} SimulationAddress; 
endhfile:

defs: SimulationAddress
  value: hostIrrelevant  0
