/*
 * $RCSfile: libcb_local.h,v $ $Revision: 1.1.1.1 $ $State: Exp $
 */
/****************************************************************************
*   File: libcb_local.h                                                     *
*                                                                           *
*       Copyright 1995 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*       This software was developed by Loral under U. S. Government contracts *
*       and may be reproduced by or for the U. S. Government pursuant to    *
*       the copyright license under the clause at DFARS 252.227-7013        *
*       (OCT 1988).                                                         *
*                                                                           *
*       Contents: Private libcallback data structures                       *
*       Created: Wed Feb 26 1990                                            *
*       Author: jesmith                                                     *
*       Remarks:                                                            *
*                                                                           *
****************************************************************************/

#include "libcallback.h"

#define CALLBACK_MAX_ARGS 4

typedef struct cb_handler
{
    void  (*func)();
    ADDRESS user_data;
} CB_HANDLER;

typedef struct cb_event
{
    int32         nargs;
    int32         arg_types[CALLBACK_MAX_ARGS];
    int32         nhandlers;
    int32         nacthandlers;
    int32         executing;
    CB_HANDLER *handlers;
} CB_EVENT;
