#ifndef lint
static char rcsid [] = "$RCSfile: env_effect.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
/****************************************************************************
*   File: env_effect.c                                                      *
*                                                                           *
*       Copyright 1995 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*	This software was developed by Loral under US Government contracts  * 
*	and may be reproduced by or for the U. S. Government pursuant to    *
*	the copyright license under the clause at DFARS 252.227-7013        *
*	(OCT 1988).                                                         *
*                                                                           *
*       Contents: Handles environmental effect triggering                   *
*       Created: Fri Jun 17 15:21:09 EDT 1994                               *
*       Author: rg                                                          *
*       Remarks:                                                            *
*                                                                           *
****************************************************************************/

#include "libenv_local.h"

int32 env_request_effect(
    ENV_EFFECT			effect,
    ENV_EFFECT_INTERFACE	*interface)
{
    if (effect >= ENV_NUM_EFFECTS)
      return(-1);

    if (env_effects[effect].reqfcn)
      return((*env_effects[effect].reqfcn)(interface));
    
    return(-1);
}
    
