#ifndef lint
static char rcsid [] = "$RCSfile: env_tick.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
/****************************************************************************
*   File: env_tick.c                                                        *
*                                                                           *
*       Copyright 1995 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*	This software was developed by Loral under US Government contracts  * 
*	and may be reproduced by or for the U. S. Government pursuant to    *
*	the copyright license under the clause at DFARS 252.227-7013        *
*	(OCT 1988).                                                         *
*                                                                           *
*       Contents: Ticks environmental models                                *
*       Created: Fri Apr 15 09:05:09 EDT 1994                               *
*       Author: rg                                                          *
*       Remarks:                                                            *
*                                                                           *
****************************************************************************/

#include "libenv_local.h"
#include <stdtypes.h>

void env_tick(void)
{
    int32	m, num_models;

    num_models = env_find_num_models();
    
    for (m = 0; m < num_models; m++)
      if (env_models[m].tickfcn)
	(*(env_models[m].tickfcn))();
}

	
