#ifndef lint
static char rcsid [] = "$RCSfile: net_move.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
#include <stdext.h>
#include <stdtypes.h>
#include "libnet.h"

void movebytes(source, destination, count)
	int8* source;
	int8* destination;
	int count;
{
	while (count--)
	{
		*destination++ = *source++;
	}
}

void movewords(source, destination, count)
	int16 *source;
	int16 *destination;
	int count;
{
	while (count--)
	{
		*destination++ = *source++;
	}
}

int32 get_long_as_words(ptr)
	int32* ptr;
{
	int32 returnval=0;

	movewords((int16*)ptr, (int16*)&returnval, 2);
	return returnval;
}

void set_long_as_words(ptr, val)
	int32* ptr;
	int32 val;
{
	movewords((int16*)&val, (int16*)ptr, 2);
}


void smovewords(source, destination, bytecount)
	int16 *source;
	int16 *destination;
	int bytecount;
{
	int count = (bytecount+1)/2;

	while (count--)
	{
		*destination++ = *source++;
	}
}

void movelongs(source, destination, count)
	int32 *source;
	int32 *destination;
	int count;
{
	while (count--)
	{
		*destination++ = *source++;
	}
}

void movedata(source, destination, count)
	int8 *source;
	int8 *destination;
	int count;
{
	bcopy(source, destination, count);
}

		
