#ifndef lint
static char rcsid [] = "$RCSfile: par_unix.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
/*****************************************************************************
* File: par_unix.c                                                           *
*                                                                            *
*   Contents:       UNIX based alloc and free                                *
*   Author:         Ed Burke at Loral Advanced Distributed Simulation           *
*   Created:        Wed Oct 31 09:20:39 EST 1984                             *
*                                                                            *
*   Remarks:                                                                 *
*                                                                            *
*****************************************************************************/

#include <stdext.h>  /*common/include/global*/
#include <stdalloc.h>
#include <stdio.h>

char *Alloc (int size)
{
    char *p;

    p=STDCALLOC(1, (unsigned int)size);
    bzero(p,1* (unsigned int) size);
    
    return (p);
    

}

void Free (char *pointer)
{
    STDDEALLOC(pointer);
}

#if defined(Masscomp) || defined(SIMBFLY)
ParsePrint (ctl, args)
char *ctl;
int args[];
{
    _doprnt (ctl, &args, stdout);
}

#elif defined(_GT_)
#include "varargs.h"

/*VARARGS1*/
ParsePrint (va_alist)
va_dcl
{
	char *fmt;
	va_list ap;
	char *text;
	extern char *malloc();

	text = malloc (512) ;

	va_start (ap);
	fmt = va_arg (ap, char *);
	(void) format_decoder (text, fmt, ap);

	write (1, text, strlen (text));

	free (text);
}

#else
#include <stdarg.h>

/*VARARGS1*/
void ParsePrint(char *ctl, ...)
{
    va_list args;

    va_start(args, ctl);
    vprintf(ctl, args);
    va_end(args);
}

#endif

