#ifndef lint
static char rcsid [] = "$RCSfile: pq_print.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
/****************************************************************************
*   File: pq_print.c
*                                                                           *
*       Copyright 1995 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*	This software was developed by Loral under U. S. Government contracts *
*	and may be reproduced by or for the U. S. Government pursuant to    *
*	the copyright license under the clause at DFARS 252.227-7013        *
*	(OCT 1988).                                                         *
*                                                                           *
*       Contents: Printing utility
*       Created: Jul  7 1994
*       Author: swarts
*       Remarks:                                                            *
*                                                                           *
****************************************************************************/

#include "libpq_local.h"
#include <stdio.h>

void pq_print(PRIORITY_QUEUE *queue)
{
    if (queue->size == 0)
    {
	printf("empty\n");
    }
    else
    {
	int32 i;

	for (i=PQ_ROOT; i<=queue->size; i++)
	{
	    printf("%d: priority %ud, data ox%x\n",
		   i, queue->array[i].priority,
		   queue->array[i].data);
	}
    }
}

