
/*
 * FILE:  dis203eh_values.h 
 *
 * Created on Wed Apr 17 10:52:39 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _dis203eh_values_included
#define _dis203eh_values_included



/*
 * File:     dis203eh_values.drn
 * Contents: 
 * System:   Experimental DIS Entity Handover Protocol
 * Created:  15-Aug-94
 * Author:   Hiroshi Kawai
 *
 * Remarks:
 *
 * History:
 *
 * $RCSfile: dis203eh_values.h,v $
 * $Revision: 1.1.1.1 $
 * $State: Exp $
 *
 * COPYRIGHT 1993 Loral Advanced Distributed Simulation
 * 50 Moulton Street
 * Cambridge, Ma. 02138
 * 617-873-3600
 *
 * 
 * NOTE: There are currently some temporary PDU Kinds defined in
 *       dis_values.drn that we do not want to conflict with. We
 *       will start with 150 to completely avoid this conflict.
 *
 *
 */

#include <stdext.h>

#define DIS203EH_TRANSFER_CONTROL_REQUEST_PDU_KIND 151
#define DIS203EH_TRANSFER_CONTROL_PDU_KIND 152
#define DIS203EH_TRANSFER_CONTROL_ACKNOWLEDGE_PDU_KIND 153

typedef uint8    DIS203EH_PDU_KIND; 



#endif
