/*
 * $RCSfile: libprotocol.h,v $ $Revision: 1.1.1.1 $ $State: Exp $
 */
/****************************************************************************
*   File: libprotocol.h
*                                                                           *
*      Copyright 1996 by Lockheed Martin Federal Systems, Inc.              *
*                                                                           *
*               Lockheed Martin Federal Systems                             *
*               Advanced Distributed Simulation                             *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*      This software was developed by LMFS under U. S. Government contracts *
*      and may be reproduced by or for the U. S. Government pursuant to     *
*      the copyright license under the clause at DFARS 252.227-7013         *
*      (OCT 1988).                                                          *
*                                                                           *
*      Contents: Public header file for libprotocol
*      Created: Mon Jun 24 14:40:42 EDT 1996
*      Author: bhelf
*      Remarks:                                                             *
*                                                                           *
****************************************************************************/

#ifndef _LIBPROTOCOL_H_INCLUDED
#define _LIBPROTOCOL_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

#include <stdtypes.h> /*common/include/global*/
#include <libbasic.h>
#include <basic.h>

/** 
 ** Functions relating to global libprotocol operation
 **
 **/

/* protocol_init:
 *
 * Initializes libprotocol.
 */
extern void protocol_init(void);

/* protocol_find_name:
 * 
 * If you have no idea what namespace this ObjectType is, this will check them
 * all.  If you know what namespace it is, then call libconstants directly.
 */
extern char *protocol_find_name(
    ObjectType ot);

#ifdef __cplusplus
}
#endif

#endif /*_LIBPROTOCOL_H_INCLUDED*/
