
/*
 * FILE:  p_All_DIS.h 
 *
 * Created on Sun Feb  6 23:53:07 1994 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _p_All_DIS_included
#define _p_All_DIS_included

 /* File:     p_All_DIS.drn */
 /* Contents: This includes all things that might be on the net */
 /* System:   Distributed Interactive Simulation (DIS) development. */
 /* Created:  4-Feb-1994 */
 /* Author:   Paul J. Metzger (based on p_All.drn by Kanarick) */
 /* Remarks: */
 /*     This basically is used by applications like casper, which */
 /*     need to know about each and every thing that might possibly */
 /*     end up on a DIS protocol network */
 /* $RCSfile: p_All_DIS.h,v $ */
 /* $Revision: 1.1.1.1 $ */
 /* $State: Exp $ */
 /* COPYRIGHT (c) 1994 */
 /* Loral Advanced Distributed Simulation */
 /* 50 Moulton Street */
 /* Cambridge, Ma. 02138 */
 /* 617-873-3600 */
 /* All Rights Reserved. */
 /* These files are for DIS version 1.0 */
#include <stdtypes.h>
#include <dis_types.h> 
#include <dis_values.h> 
#include <p_dis.h> 
     /* These files are for DIS version 2.0.3 */
#include <dis203_types.h> 
#include <dis203_values.h> 
#include <dis203_entities.h> 
#include <p_dis203.h> 
     /* These are DIS Experimental Protocols, which are not guaranteed */
 /* to work with applications outside of Loral A.D.S. */
#include <dis203exp_types.h> 
#include <dis203exp_values.h> 
#include <p_dis203exp.h> 
     /* This file contains information specific to DIS applications built */
 /* for Atlas Elektronique, and is not guaranteed to work with */
 /* applications outside of either Loral A.D.S. or AE. */
#include <p_dis203ae.h> 


#endif
