
/*
 * FILE:  p_p2p.h 
 *
 * Created on Wed Apr 17 10:52:55 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _p_p2p_included
#define _p_p2p_included

 /* File:     pro_p2p.drn */
 /* Contents: The point-to-point protocol */
 /* System:   simnet development. */
 /* Created:  20-Jan-1990 */
 /* Author:   langevin */
 /* Remarks: */
 /* $RCSfile: p_p2p.h,v $ */
 /* $Revision: 1.1.1.1 $ */
 /* $State: Exp $ */
 /* COPYRIGHT 1990 BBN Systems and Technologies Corporation */
 /* 10 Moulton Street */
 /* Cambridge, Ma. 02138 */
 /* 617-873-3000 */

#include <stdtypes.h>
#include <basic.h> 
#include <p_assoc.h> 

/*
 * PDU for transporting point to point data
 *
 */

#define pointToPointProtocolVersionJan90 1

typedef uint8    PointToPointProtocolVersion; 

#define pointToPointProtocolVersionCurrent           1
typedef struct {
    PointToPointProtocolVersion version; 
    AssociationUserProtocol     userProtocol; 
    uint8                       dataLength; 
    MulticastGroupID            group;   
    SimulationAddress           destination; 
    AssociationDataUnit         data[1]; 
} PointToPointPDU; 



#endif
