
/*
 * FILE:  p_timers.h 
 *
 * Created on Mon Jun 17 19:35:18 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _p_timers_included
#define _p_timers_included



/*
 * File:     p_timers.drn
 * Contents: 
 * System:   simnet development.
 * Created:  8-Oct-1991
 * Author:   jslee
 *
 * Remarks:
 *
 * History:
 *    11/08/91	JSLee		Converted from p_timers.drn
 * $RCSfile: p_timers.h,v $
 * $Revision: 1.1.1.1 $
 * $State: Exp $
 * COPYRIGHT 1990 BBN Systems and Technologies Corporation
 * 10 Moulton Street
 * Cambridge, Ma. 02138
 * 617-873-3000
 *
 */

/*
 * Association protocol: 
 */

#define protocolTransactionCacheTime 10 /* time to cache response  */
#define protocolTransactionRetryTime 3 /* period between retrans  */
#define protocolTransactionRetryCount 3 /* number of retransmissions  */
 /* Simulation protocol:  */
#define protocolActivateCompleteTime 120 /* first VA PDU timeout  */
#define protocolResupplyTime         60 /* Resupply Received timeout  */
#define protocolServiceCancelTime    12 /* Service Request timeout  */
#define protocolServiceRequestTime   5 /* period between requests  */
#define protocolVehicleAppearanceTime 5 /* max time between VA PDUs  */
#define protocolVehicleDisappearanceTime           12 /* VA PDU timeout  */
#define protocolAggregateAppearanceTime           30 /* max time between ASPDUs */
#define protocolAggregateDisappearanceTime           72 /* ASPDU timeout */
#define protocolWeatherAppearanceTime 5 /* max time between Weather PDUs  */
#define protocolWeatherDisappearanceTime           12 /* Weather PDU timeout  */
#define protocolMarkerAppearanceTime 5 /* max time between Marker PDUs */
#define protocolMarkerDisappearanceTime           12 /* Marker PDU timeout */
 /* Data Collection protocol:  */
#define protocolSimulationStatusTime 300 /* period between Sim Stat PDUs  */
#define protocolStatusQueryTime      5 /* Status Query response timeout  */
#define protocolVehicleStatusTime    30 /* period between Veh Stats PDUs  */
 /* Management protocol:  */
#define protocolEquipStatusTime      30


#endif
