
/*
 * FILE:  repair_m1.h 
 *
 * Created on Wed Apr 17 10:53:15 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _repair_m1_included
#define _repair_m1_included



/*
 * File:     repair_m1.drn
 * Contents: 
 * System:   simnet development.
 * Created:  8-Oct-1991
 * Author:   jslee
 *
 * Remarks:
 *
 * History:
 *    11/08/91	JSLee		Converted from repair_m1.drn
 * $RCSfile: repair_m1.h,v $
 * $Revision: 1.1.1.1 $
 * $State: Exp $
 * COPYRIGHT 1990 BBN Systems and Technologies Corporation
 * 10 Moulton Street
 * Cambridge, Ma. 02138
 * 617-873-3000
 *
 */

/*
 *  M1 repair codes: 
 */

#define m1ReplaceAlternator               1
#define m1ReplaceBattery                  2
#define m1ReplaceEngineOilFilter          3
#define m1ReplaceTransOilFilter           4
#define m1ReplacePrimaryFuelFilter        5
#define m1ReplacePilotRelayStarter        6 /* Pilot relay and starter  */
#define m1ReplacePowerPack                7 /* Engine and Transmission  */
#define m1RepairServiceBrake              8
#define m1RepairParkingBrake              9
#define m1RepairTurretTraverseDrive       10
#define m1RepairTurretMountInterface      11
#define m1RepairGunElevationDrive         12
#define m1RepairStabSystem                13
#define m1RepairLRF                       14
#define m1RepairFuelTransferPump          15
#define m1RepairGPS                       16 /* n.a. til GAS available  */
#define m1RepairCdrExtGPS                 17 /* n.a. til GAS available  */


#endif
