
/*
 * FILE:  st_faad.h 
 *
 * Created on Wed Apr 17 10:53:04 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _st_faad_included
#define _st_faad_included

 /* File:     st_faad.drn */
 /* Contents: vehicle specific status for the FAADS */
 /* System:   simnet development. */
 /* Created:  6-Jul-1990 */
 /* Author:   tshannon */
 /* Remarks: */
 /* $RCSfile: st_faad.h,v $ */
 /* $Revision: 1.1.1.1 $ */
 /* $State: Exp $ */
 /* COPYRIGHT 1990 BBN Systems and Technologies Corporation */
 /* 10 Moulton Street */
 /* Cambridge, Ma. 02138 */
 /* 617-873-3000 */

#include <stdtypes.h>

 /* Vehicle-specific status: */
typedef struct {
    float32          enginePower;         
    float32          hullBattery;         
    float32          turretEmergencyBattery; 
    float32          topFuel;             
    float32          bottomFuel;          
    uint8  apCanAmmo;           
    uint8  heCanAmmo;           
    uint16 apdsStowedAmmo;      
    uint16 heiStowedAmmo;       
    unsigned       leftLauncherAmmo        : 4; 
    unsigned       rightLauncherAmmo       : 4; 
    unsigned       missileStowedAmmo       : 4; 
    unsigned       _unused_1               : 4;  /* padding */
    uint16 reloading;           
} SIMNET_FAAD_LOS_H_Status; 



#endif
