/**********************************************************************
 * File: DisPdu203Exp.cc
 *
 * Types defined: 
 *
 * Functions defined:  Function defintions for cTransEnvRecord
 *
 * Description:
 *
 * Author: Keith Snively
 *
 * Company: E-OIR Measurements, Inc.
 *          9241 Courthouse Road
 *          P.O. Box 1240
 *          Spotsylvania, VA 22553
 *
 * Email: ksnively@eoir.com
 *
 * Copyright:
 *   + This software is Copyright (C) E-OIR Measurements, Inc., 1997
 *   + E-OIR Measurements, Inc. has all commercial interest and rights.
 *   + E-OIR Measurements, Inc. grants a royalty-free license and
 *     right to use, free of charge, with the following terms and
 *     conditions:
 *
 *       (1) You can redistribute this software in source form.  If you
 *           redistribute this software in compiled form you will
 *           include the source code.
 *       (2) You own full rights to any output files you generate with
 *           this software.
 *       (3) You can make modifications to this software and use it for
 *           in-house use only.  Under no circumstances can modified
 *           software be redistributed.
 *       (4) E-OIR Measurements, Inc. shall be credited should this
 *           software be used in a product or written about in any
 *           publication.
 *       (5) This software is provided "as is", without warranty by
 *           E-OIR Measurements, Inc. In no event shall E-OIR
 *           Measurements, Inc. be liable for any loss or for any
 *           indirect, special, punitive, exemplary, incidental, or
 *           consequential damages arising from the use, possession or
 *           performance of this software.
 *
 ***********************************************************************
 */

/*
 * $Log: DisPdu203Exp.cc,v $
 * Revision 1.1.1.1  1999/02/16 14:54:31  jchappel
 * Comprehensive Mine Simulator
 *
// Revision 2.1  1998/06/03  17:18:04  jchappel
// *** empty log message ***
//
// Revision 2.0  1998/01/26  21:01:35  ksnively
// Baseline CMS before additions for AP mine replacements.
//
// Revision 1.1  1997/12/16  13:59:57  ksnively
// Initial revision
//
 */

#include "DisPdu203Exp.h"
#include <stdio.h>

void cTransEnvRecord::ProcessSimpleWeatherRecord ()
{
   float temp = (float) fRecordVariant.simple_weather.temperature;

   fprintf (stdout, "Temperature = %f\n", temp);
}



/************************************************************************
 * MAK Stealth View Control PDU definitions.
 ***********************************************************************/






/*----------------------------------------------------------------------*/

/*======================================================================*
 |                             END OF FILE                              |
 *======================================================================*/
