class cMineTypeSelector : public cWindow {

protected:
   Widget         fwTypeForm;
   Widget         fwMineTypeList;
   Widget         fwUnitMenu;
   Widget         fwDomainMenu;
   Widget         fwCategoryMenu;
   Widget         fwCountryMenu;
   Widget         fwFuzeMenu;
   Widget         fwAntiHandlingMenu;
   Widget         fwBlastHardenedMenu;
   Widget         fwSelfDestructMenu;
   Widget         fwTargetCountText;

   cDbMine*       fpDbMine;
   unsigned short fCountry;

   static void    CbUnit      (Widget, XtPointer, XmPushButtonCallbackStruct*);
   static void    CbDomain    (Widget, XtPointer, XmPushButtonCallbackStruct*);
   static void    CbCategory  (Widget, XtPointer, XmPushButtonCallbackStruct*);
   static void    CbCountry   (Widget, XtPointer, XmPushButtonCallbackStruct*);
   static void    CbFuze      (Widget, XtPointer, XmPushButtonCallbackStruct*);
   static void    CbMineType  (Widget, XtPointer, XmListCallbackStruct*);

   cDbMine*       ResetCategory      ();
   void           ResetCountry       ();
   void           ResetFuze          (cDbMine*  pDbMine);
   void           ResetFuzeOpt       (TFuzeOptionSelector* pFuzeOptSel);
   void           ShowMineType       ();
   void           SetFuzeMenu        (TFuzeParam* pFuzeParam, int fuze_opt);
   void           SetFuzeOptMenus    (TFuzeOpt FuzeOpt);

public:
   Widget         GetTypeForm ()   { return fwTypeForm; }
   int            GetNumEntries      ();
   int            GetFuze            ();
   TFuzeOpt       GetFuzeOptions     ();
   void           SetMineTypeMenus   (cMineComp *pMineComp);

   cDbMine*       GetDbMine() { return fpDbMine; }

                  cMineTypeSelector (Widget parent);
   virtual       ~cMineTypeSelector ();
};

