/**
*
* From Java 1.1.5 Demos
*
*/

import java.awt.*;

public class 
TestInputPanel extends java.awt.Panel 
{
    //Bench boss;
    GrBenchClient boss;

    Button startB, stopB;
    PanelInput1 in1;
    PanelInput1 in2;
    Panel up     ;
    Panel middle ;
    Panel lower  ;

    CheckboxGroup cbg ;
    Checkbox cb4;
    Checkbox cb5;
    Checkbox cb6;

    final static String PING = "PING";
    final static String INT_ARRAY = "INT_ARRAY";
    final static String STR_ARRAY = "STR_ARRAY";

    public 
    TestInputPanel(GrBenchClient father)
    {
       boss = father;

       setLayout(new GridLayout(3, 0));

       up     = new Panel();
       middle = new Panel();
       lower  = new Panel();

       cbg = new CheckboxGroup();
       cb4 = new Checkbox("Ping", cbg, false);
       cb5 = new Checkbox("Integer Array", cbg, false);
       cb6 = new Checkbox("Structure Array", cbg, false);

       up.setLayout(new GridLayout(4, 0));
       up.add(cb4);
       up.add(cb5);
       up.add(cb6);
       add("North", up);

       in1 = new PanelInput1(boss);
       in2 = new PanelInput1(boss);
       middle.setLayout(new CardLayout());
       middle.add(PING,new Panel());
       middle.add(INT_ARRAY,in1);
       middle.add(STR_ARRAY,in2);
       add("Center",middle);

       startB = new Button("Start"); 
       stopB  = new Button("Stop"); 
       lower.add(startB);
       lower.add(stopB);
       add("South", lower);

       validate();
     
    }// end of init()

    public boolean 
    action(Event evt, Object arg)
    {
        boolean ret = false;
        Object target = evt.target;
        if(stopB==target) { boss.stop(); ret=true; }
        if(startB==target) 
        { 
           Checkbox ch = cbg.getCurrent();

           if(ch==cb4) boss.setTestType(0);
           else if(ch==cb5) boss.setTestType(1);
           else if(ch==cb6) boss.setTestType(2);

           if(ch==cb5) boss.setTestSize(in1.getTestSize());
           else if(ch==cb6) boss.setTestSize(in2.getTestSize());

           boss.startThread(); 
           ret=true; 
        }

        if(cb4==target) 
           ((CardLayout)middle.getLayout()).show(middle,PING);
        if(cb5==target) 
           ((CardLayout)middle.getLayout()).show(middle,INT_ARRAY);
        if(cb6==target) 
           ((CardLayout)middle.getLayout()).show(middle,STR_ARRAY);
 
        return ret;

    }// end of action()

}// end of Class TestInputPanel

