<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet  xmlns:xsl="http://www.w3.org/TR/WD-xsl"
xmlns:html="http://www.w3.org/TR/REC-html40/"
  result-ns="html">

<!-- Root Element -->
<xsl:template match="/">
<HTML>
  <HEAD>
<xsl:for-each select="title">
<title>
<xsl:process-children/>
</title>
</xsl:for-each>
</HEAD>
<body bgcolor="lightgreen">
<xsl:process-children/>
<p>
<center><i>
<font color="red">Processed by Koalo XSL Processor on JWORB
</font></i></center></p>
</body>
</HTML>
</xsl:template>

<xsl:template match="title">
<center><font color="red"><h1>
<xsl:process-children/>
</h1></font></center>
</xsl:template>

<xsl:template match="p">
<p>
<xsl:process-children/>
</p>
</xsl:template>

<xsl:template match="frameset">
 <table cellspacing="0" border="2" height="85%" width="100%">
    <tr>
<xsl:process-children/>
	</tr>
</table>
</xsl:template>

<xsl:template match="frame">
<td width="{attribute(width)}">
<xsl:process-children/>
</td>
</xsl:template>

<xsl:template match="frames">
<a href="frames.html">frames.html</a>
</xsl:template>

<xsl:template match="noframes">
<a href="noframes.html">noframes.html</a>
</xsl:template>

<xsl:template match="bookList">
 <center>
 <table cellspacing="0" border="2" >
 <tr> 
<td ALIGN="CENTER">Title</td>
<td ALIGN="CENTER">Author</td >
<td ALIGN="CENTER">Year</td >
<td ALIGN="CENTER">ISBN</td >
</tr>
<xsl:process-children/>
</table>
</center>
</xsl:template>

<xsl:template match="book">
    <tr>
<xsl:process-children/>
	</tr>
</xsl:template>

<xsl:template match="btitle">
    <td >
<xsl:process-children/>
	</td>
</xsl:template>

<xsl:template match="author">
    <td >
<xsl:process-children/>
	</td>
</xsl:template>

<xsl:template match="year">
    <td >
<xsl:process-children/>
    </td >
</xsl:template>

<xsl:template match="isbnnum">
    <td >
<xsl:process-children/>
    </td >
</xsl:template>

<xsl:template match="Federation">
<p>
<center>
<h1>HLA FED File</h1>
</center>
<b><i>Federation Name </i>:</b><font color="red">
<xsl:process-children/>
</font></p>
</xsl:template>

<xsl:template match="FEDversion">
<p>
<b><i>Federation Version</i> :</b><font color="green">
<xsl:process-children/>
</font></p>
</xsl:template>

<xsl:template match="objectClasses">
<center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Attributes</td></tr>
<xsl:process select="oclass"/>
</table></center>
</xsl:template>

<xsl:template match="objects">
<center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Attributes</td></tr>
<xsl:process select="oclass"/>
</table></center>
</xsl:template>

<xsl:template match="oclass">
<tr>
<xsl:process-children/> 
</tr>
</xsl:template>

<xsl:template match="name">
<td>
<xsl:process-children/>
</td>
</xsl:template>

<xsl:template match="Name">
<td>
<xsl:process-children/>
</td>
</xsl:template>

<xsl:template match="attributeList">
<td><center><table border="2" bgcolor="orange">
<tr><td ALIGN="CENTER">Name</td><td ALIGN="CENTER">Order</td><td ALIGN="CENTER">Transport</td></tr>
<xsl:process-children/>
</table></center></td>
</xsl:template>

<xsl:template match="attribute">
<tr>
<xsl:process-children/>
</tr>
</xsl:template>

<xsl:template match="interactionClasses">
<p><center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Order</td><td ALIGN="CENTER">Transport</td></tr>
<xsl:process-children/>
</table></center></p>
</xsl:template>

<xsl:template match="interactions">
<p><center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Order</td><td ALIGN="CENTER">Transport</td></tr>
<xsl:process-children/>
</table></center></p>
</xsl:template>

<xsl:template match="iclass">
<tr>
<xsl:process-children/>
</tr>
</xsl:template>

<xsl:template match="order">
<td>
<xsl:process-children/>
</td>
</xsl:template>

<xsl:template match="parameter">
<td>
<xsl:process-children/>
</td>
</xsl:template>

<xsl:template match="transport">
<td>
<xsl:process-children/>
</td>
</xsl:template>

</xsl:stylesheet>
