/**
* Test Servlet for initial parameter assignments. 
*/

import java.io.*;
import java.util.Enumeration;

import javax.servlet.*;
import javax.servlet.http.*;

/**
* PropertiesTest. This servlet simply list the initial parameters. 
*
*/
public
class PropertiesTest extends HttpServlet {
    
    Enumeration  params;
    ServletConfig myCnf;
    

    public void
    printProperties(PrintStream out)
    {
       String str;
       Enumeration  e=params;

       for(;e.hasMoreElements() ;) 
       {
          str = (String) e.nextElement();
          out.println(str+"<br>");
       }

    }// end of printProperties()

    public void
    printProperties(ServletOutputStream out) throws  IOException
    {
       String str;
       String val;
       Enumeration  e=params;

       if(!e.hasMoreElements()) System.out.println(" *** NO ELEMENT ** ");
       for(;e.hasMoreElements() ;) 
       {
          str = (String) e.nextElement();
          val =  myCnf.getInitParameter(str);
          out.println(str+" = "+val+" <br>");
          System.out.println(str+" = "+val+" <br>");

       }// end of for

    }// end of printProperties()

    public void 
    init(ServletConfig myConfig)
    {
       System.out.println(" ****** In init() of class PropertiesTest");
       params = myConfig.getInitParameterNames();
       myCnf  = myConfig;
       printProperties(System.out);
       
    }

    public void doGet (HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException
    {
       System.out.println(" ****** In doGet of class PropertiesTest");
       String str; 
	   res.setContentType("text/html");

	   ServletOutputStream out = res.getOutputStream();
	   out.println("<html>");
	   out.println("<head><title>PropertiesTest</title></head>");
	   out.println("<body>");
	   out.println("<h1>PropertiesTest</h1><br>");

       params = myCnf.getInitParameterNames();
       printProperties(out);

	   out.println("</body></html>");
    }

    public String 
    getServletInfo() 
    {
	   return "Create a page that says <i>PropertiesTest</i> and send it back";
    }
}
