/*
 * File: ./HeartBeat/_HeartBeatListenerImplBase.java
 * From: HeartBeat.idl
 * Date: Mon Oct  5 13:26:50 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package HeartBeat;
public abstract class _HeartBeatListenerImplBase extends org.omg.CORBA.DynamicImplementation implements HeartBeat.HeartBeatListener {
    // Constructor
    public _HeartBeatListenerImplBase() {
         super();
    }
    // Type strings for this class and its superclases
    private static final String _type_ids[] = {
        "IDL:HeartBeat/HeartBeatListener:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    private static java.util.Dictionary _methods = new java.util.Hashtable();
    static {
      _methods.put("joinGroup", new java.lang.Integer(0));
      _methods.put("leave", new java.lang.Integer(1));
      _methods.put("alive", new java.lang.Integer(2));
      _methods.put("areYouAlive", new java.lang.Integer(3));
      _methods.put("replace", new java.lang.Integer(4));
      _methods.put("updateGroup", new java.lang.Integer(5));
      _methods.put("register", new java.lang.Integer(6));
     }
    // DSI Dispatch call
    public void invoke(org.omg.CORBA.ServerRequest r) {
       switch (((java.lang.Integer) _methods.get(r.op_name())).intValue()) {
           case 0: // HeartBeat.HeartBeatListener.joinGroup
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _serverAddress = _orb().create_any();
              _serverAddress.type(HeartBeat.HeartBeatListenerHelper.type());
              _list.add_value("serverAddress", _serverAddress, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _myName = _orb().create_any();
              _myName.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
              _list.add_value("myName", _myName, org.omg.CORBA.ARG_OUT.value);
              org.omg.CORBA.Any _central = _orb().create_any();
              _central.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
              _list.add_value("central", _central, org.omg.CORBA.ARG_OUT.value);
              r.params(_list);
              HeartBeat.HeartBeatListener serverAddress;
              serverAddress = HeartBeat.HeartBeatListenerHelper.extract(_serverAddress);
              org.omg.CORBA.StringHolder myName;
              myName = new org.omg.CORBA.StringHolder();
              org.omg.CORBA.StringHolder central;
              central = new org.omg.CORBA.StringHolder();
              int ___result;
                            ___result = this.joinGroup(serverAddress, myName, central);
              _myName.insert_string(myName.value);
              _central.insert_string(central.value);
              org.omg.CORBA.Any __result = _orb().create_any();
              __result.insert_long(___result);
              r.result(__result);
              }
              break;
           case 1: // HeartBeat.HeartBeatListener.leave
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _serverAddress = _orb().create_any();
              _serverAddress.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
              _list.add_value("serverAddress", _serverAddress, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String serverAddress;
              serverAddress = _serverAddress.extract_string();
                            this.leave(serverAddress);
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 2: // HeartBeat.HeartBeatListener.alive
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _serverAddress = _orb().create_any();
              _serverAddress.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
              _list.add_value("serverAddress", _serverAddress, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String serverAddress;
              serverAddress = _serverAddress.extract_string();
                            this.alive(serverAddress);
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 3: // HeartBeat.HeartBeatListener.areYouAlive
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              boolean ___result;
                            ___result = this.areYouAlive();
              org.omg.CORBA.Any __result = _orb().create_any();
              __result.insert_boolean(___result);
              r.result(__result);
              }
              break;
           case 4: // HeartBeat.HeartBeatListener.replace
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _prevSName = _orb().create_any();
              _prevSName.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
              _list.add_value("prevSName", _prevSName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _currSName = _orb().create_any();
              _currSName.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
              _list.add_value("currSName", _currSName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _currCentralServerAddress = _orb().create_any();
              _currCentralServerAddress.type(HeartBeat.HeartBeatListenerHelper.type());
              _list.add_value("currCentralServerAddress", _currCentralServerAddress, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String prevSName;
              prevSName = _prevSName.extract_string();
              String currSName;
              currSName = _currSName.extract_string();
              HeartBeat.HeartBeatListener currCentralServerAddress;
              currCentralServerAddress = HeartBeat.HeartBeatListenerHelper.extract(_currCentralServerAddress);
                            this.replace(prevSName, currSName, currCentralServerAddress);
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 5: // HeartBeat.HeartBeatListener.updateGroup
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _centralServerAddress = _orb().create_any();
              _centralServerAddress.type(HeartBeat.HeartBeatListenerHelper.type());
              _list.add_value("centralServerAddress", _centralServerAddress, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _group = _orb().create_any();
              _group.type(HeartBeat.HeartBeatListenerPackage.arrayofserversHelper.type());
              _list.add_value("group", _group, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              HeartBeat.HeartBeatListener centralServerAddress;
              centralServerAddress = HeartBeat.HeartBeatListenerHelper.extract(_centralServerAddress);
              String[] group;
              group = HeartBeat.HeartBeatListenerPackage.arrayofserversHelper.extract(_group);
                            this.updateGroup(centralServerAddress, group);
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 6: // HeartBeat.HeartBeatListener.register
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _hbName = _orb().create_any();
              _hbName.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
              _list.add_value("hbName", _hbName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _hb = _orb().create_any();
              _hb.type(HeartBeat.HeartBeatListenerHelper.type());
              _list.add_value("hb", _hb, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String hbName;
              hbName = _hbName.extract_string();
              int id;
              id = _id.extract_long();
              HeartBeat.HeartBeatListener hb;
              hb = HeartBeat.HeartBeatListenerHelper.extract(_hb);
                            this.register(hbName, id, hb);
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
            default:
              throw new org.omg.CORBA.BAD_OPERATION(0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
       }
 }
}
