/**
* @date  September 16, 1998 ( Last Upadted on September 21, 1998 )
*
*/

import org.omg.CosNaming.*;  
import org.omg.CORBA.*;     

import java.applet.*;
import java.awt.*;
import java.net.*;
import java.io.*;
import java.util.*;

import HeartBeat.*;
import HeartBeat.HeartBeatListenerPackage.*;
import HeartBeat.ReportListenerPackage.*;


/**
*
* It starts a txtReporter object to produce textual report about the state
* of each server in the cluster.
*
* <ol>
*  <p><li> obtains the address of HeartBeat.ReportAdmin from file
*  <p><li> defines txtReport object
*  <p><li> registers txtReporter object to the HeartBeat.ReportAdmin
*  <p><li> produces reports for a while.
*  <p><li> removes txtReporter object from the HeartBeat.ReportAdmin
* </ol>
*
* @author H. Timucin Ozdemir
* @date  September 16, 1998 ( Last Upadted on September 21, 1998 )
*
*/
public class 
monitorApplet extends Applet
{

    String host;

    int    port;

    /**
    */
    public void 
    init() 
    {
      try 
      {
         int i;

         URL address = getCodeBase();
         host = address.getHost();
         port = address.getPort();
 
         if(host==null || host.length()==0)
         {
            host = getParameter("host");
            String sport = getParameter("port");
            port = Integer.parseInt(sport);
         }

         String strIOR = IORProvider.askIOR(host,port,"IDL:HeartBeat/ReportAdmin:1.0"); 

         if( strIOR!=null && strIOR.startsWith("IOR:") )
         {
 
            String args = null;
            Properties prop = new Properties();
            prop.put("org.omg.CORBA.ORBClass","worb.protocols.iiop.ORBImpl");
            prop.put("org.omg.CORBA.ORBSingletonClass","worb.protocols.iiop.ORBImpl");
            System.out.println(" I read IOR --> "+strIOR);

            // Create and initialize the ORB
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(this, null);

            System.out.println(" IOR --> "+strIOR);
            org.omg.CORBA.Object objRef = orb.string_to_object(strIOR);
      
            HeartBeat.ReportAdmin daemon = HeartBeat.ReportAdminHelper.narrow(objRef);
            monitorPanel mp = new monitorPanel(daemon,orb);
            add(mp);
            validate();
 
         }
         else 
          {
             System.err.println(" does not have poper IOR address ");
             System.exit(1);
          }

        } 
          catch (Exception e) 
          {
             System.out.println("### Exception !!! ### \n");
             e.printStackTrace();
          }

    }// end of init()

}// end of Class monitorApplet 
