/**
* @date September 17, 1998 ( Last Updated on September 21, 1998)
*/
import java.util.*;
import java.awt.*;

import HeartBeat.*;
import HeartBeat.ReportListenerPackage.*;

import org.omg.CORBA.*;


/*
*
* Reports to stdout.
*
* It is a HeartBeat.ReportLlistener interface to collect reports generated
* by HeartBeat.ReportAdmin object. It produces textual output. 
*
* @author H. Timucin Ozdemir
* @date September 17, 1998 ( Last Updated on September 21, 1998)
*/
import java.util.*;
public class 
monitorTextArea extends HeartBeat._ReportListenerImplBase
{
   /** */
   int   collected = 0;

   TextArea myTextArea;

   /**
   */
   public 
   monitorTextArea(TextArea txt) 
   { 
       myTextArea = txt;

   }// end of constructor()

   /**
   */
   public void 
   report(HeartBeat.ReportListenerPackage.ServerItem[] rep) 
   {
      collected++;
      Date chechIn;

      System.out.println(" I received report! ");
      StringBuffer buf = new StringBuffer();
      if( rep.length>0 )
      {
          buf.append(" MachineName  Port  Name  LastCheckIn StikeOut \n");
          buf.append(" ============================================= \n");

      }// end of if

      for(int i=0;i<rep.length;i++)
      {
          buf.append(rep[i].machineName+" ");
          buf.append(rep[i].port+" ");
          buf.append(rep[i].name+" ");
          GregorianCalendar cl = new GregorianCalendar();
          cl.setTime(new Date(rep[i].last_check_in_time));
          buf.append(
                           cl.get(Calendar.HOUR_OF_DAY)+":"+
                           cl.get(Calendar.MINUTE)+":"+
                           cl.get(Calendar.SECOND)+" ");
          buf.append(rep[i].strike_out+" ");
      
      }// end of for

      myTextArea.setText(buf.toString());

   }// end of report()

   /**
   */
   public void 
   collect() 
   {
       while( collected<10 ) ;

   }// end of report()

}// end of Class monitorTextArea
