/**
* H. Timucin OZDEMIR
*/

import org.omg.CORBA.*;

import java.util.*;

public class 
BenchmarkServant extends _BenchmarkImplBase 
{

    Hashtable myCallBacks = new Hashtable();

    static final boolean DEBUG = false;
    void
    displayIntArray(int val[])
    {
       if(DEBUG) 
       { System.out.print(" ["+val.length+"] ");
         for(int i=0;i<val.length;i++) System.out.print(val[i]+" ");
         System.out.println();
       }
    }

    /**
    */
    public void 
    ping() 
    { 
       System.out.print(" PING!PING! ");
    } ;

    /**
    */
    public int 
    echoLong(int val) 
    { return val; }

    /**
    */
    public int[] 
    echoLongArray(int[] val)
    { 
       //System.out.print(" In _BenchmarkImplBase.echoLongArray() ");
       //displayIntArray(val);
       return val; 
    }

    /**
    */
    public BenchmarkPackage.long_struct 
    echoLong_struct(BenchmarkPackage.long_struct val)
    { return val; }

    /**
    */
    public BenchmarkPackage.long_struct[] 
    echoLong_structArray(BenchmarkPackage.long_struct[] val)
    { return val; }

    /**
    */
    public echo1
    getEchoObject() throws BenchmarkPackage.ObjectNotKnown
    { 
       echo1Servant ret = new echo1Servant();
       org.omg.CORBA.ORB.init().connect(ret);

       System.out.println(" echo1Servant : "+org.omg.CORBA.ORB.init().object_to_string(ret));
       //if(true) throw new BenchmarkPackage.ObjectNotKnown(8,"zeynep");
       //if(true) throw new BenchmarkPackage.ObjectNotKnown();

       return ret; 

    }// end of getEchoObject()

    /**
    */
    public echo1
    getEchoObjectWithException() throws BenchmarkPackage.ObjectNotKnown
    { 
       System.out.println(" echo1Servant : throws exception ");
       if(true) throw new BenchmarkPackage.ObjectNotKnown();

       return null; 

    }// end of getEchoObjectWithException()

    /**
    */
    public void
    registerCallback(callback myCallback)
    {
       callback rec = (callback) myCallBacks.get(myCallback);

       if(rec==null) 
       {
          myCallBacks.put(myCallback,myCallback);
          System.out.println(" A New Callback object registered!");

       }// end of if

    }// end of registerCallback()

    /**
    */
    public void
    broadcast(String mess)
    {
       Enumeration e = myCallBacks.elements();
       callback  rec;
       
       if(e!=null)
       for(;e.hasMoreElements();)
       {
          rec = (callback) e.nextElement();
          if(rec!=null) rec.push(mess);

       }// end of for

    }// end of braodcast()

}// end of BenchmarkServant
