/*
 * File: ./org/omg/CORBA/InterfaceDescriptionHelper.java
 * From: ir.idl
 * Date: Wed Aug 19 15:28:56 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package org.omg.CORBA;
public class InterfaceDescriptionHelper {
     // It is useless to have instances of this class
     private InterfaceDescriptionHelper() { }

    public static void write(org.omg.CORBA.portable.OutputStream out, org.omg.CORBA.InterfaceDescription that) {
	out.write_string(that.name);
	out.write_string(that.id);
	out.write_string(that.defined_in);
	out.write_string(that.version);
	{
	    out.write_long(that.base_interfaces.length);
	    for (int __index = 0 ; __index < that.base_interfaces.length ; __index += 1) {
	        out.write_string(that.base_interfaces[__index]);
	    }
	}
    }
    public static org.omg.CORBA.InterfaceDescription read(org.omg.CORBA.portable.InputStream in) {
        org.omg.CORBA.InterfaceDescription that = new org.omg.CORBA.InterfaceDescription();
	that.name = in.read_string();
	that.id = in.read_string();
	that.defined_in = in.read_string();
	that.version = in.read_string();
	{
	    int __length = in.read_long();
	    that.base_interfaces = new String[__length];
	    for (int __index = 0 ; __index < that.base_interfaces.length ; __index += 1) {
	        that.base_interfaces[__index] = in.read_string();
	    }
	}
        return that;
    }
   public static org.omg.CORBA.InterfaceDescription extract(org.omg.CORBA.Any a) {
     org.omg.CORBA.portable.InputStream in = a.create_input_stream();
     return read(in);
   }
   public static void insert(org.omg.CORBA.Any a, org.omg.CORBA.InterfaceDescription that) {
     org.omg.CORBA.portable.OutputStream out = a.create_output_stream();
     write(out, that);
     a.read_value(out.create_input_stream(), type());
   }
   private static org.omg.CORBA.TypeCode _tc;
   synchronized public static org.omg.CORBA.TypeCode type() {
       int _memberCount = 5;
       org.omg.CORBA.StructMember[] _members = null;
          if (_tc == null) {
               _members= new org.omg.CORBA.StructMember[5];
               _members[0] = new org.omg.CORBA.StructMember(
                 "name",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[1] = new org.omg.CORBA.StructMember(
                 "id",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[2] = new org.omg.CORBA.StructMember(
                 "defined_in",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[3] = new org.omg.CORBA.StructMember(
                 "version",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[4] = new org.omg.CORBA.StructMember(
                 "base_interfaces",
                 org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string)),
                 null);
             _tc = org.omg.CORBA.ORB.init().create_struct_tc(id(), "InterfaceDescription", _members);
          }
      return _tc;
   }
   public static String id() {
       return "IDL:omg.org/CORBA/InterfaceDescription:1.0";
   }
}
