/*
 * File: ./org/omg/CORBA/OperationDescriptionHelper.java
 * From: ir.idl
 * Date: Wed Aug 19 15:28:56 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package org.omg.CORBA;
public class OperationDescriptionHelper {
     // It is useless to have instances of this class
     private OperationDescriptionHelper() { }

    public static void write(org.omg.CORBA.portable.OutputStream out, org.omg.CORBA.OperationDescription that) {
	out.write_string(that.name);
	out.write_string(that.id);
	out.write_string(that.defined_in);
	out.write_string(that.version);
	out.write_TypeCode(that.result);
	org.omg.CORBA.OperationModeHelper.write(out, that.mode);
	{
	    out.write_long(that.contexts.length);
	    for (int __index = 0 ; __index < that.contexts.length ; __index += 1) {
	        out.write_string(that.contexts[__index]);
	    }
	}
	{
	    out.write_long(that.parameters.length);
	    for (int __index = 0 ; __index < that.parameters.length ; __index += 1) {
	        org.omg.CORBA.ParameterDescriptionHelper.write(out, that.parameters[__index]);
	    }
	}
	{
	    out.write_long(that.exceptions.length);
	    for (int __index = 0 ; __index < that.exceptions.length ; __index += 1) {
	        org.omg.CORBA.ExceptionDescriptionHelper.write(out, that.exceptions[__index]);
	    }
	}
    }
    public static org.omg.CORBA.OperationDescription read(org.omg.CORBA.portable.InputStream in) {
        org.omg.CORBA.OperationDescription that = new org.omg.CORBA.OperationDescription();
	that.name = in.read_string();
	that.id = in.read_string();
	that.defined_in = in.read_string();
	that.version = in.read_string();
	that.result = in.read_TypeCode();
	that.mode = org.omg.CORBA.OperationModeHelper.read(in);
	{
	    int __length = in.read_long();
	    that.contexts = new String[__length];
	    for (int __index = 0 ; __index < that.contexts.length ; __index += 1) {
	        that.contexts[__index] = in.read_string();
	    }
	}
	{
	    int __length = in.read_long();
	    that.parameters = new org.omg.CORBA.ParameterDescription[__length];
	    for (int __index = 0 ; __index < that.parameters.length ; __index += 1) {
	        that.parameters[__index] = org.omg.CORBA.ParameterDescriptionHelper.read(in);
	    }
	}
	{
	    int __length = in.read_long();
	    that.exceptions = new org.omg.CORBA.ExceptionDescription[__length];
	    for (int __index = 0 ; __index < that.exceptions.length ; __index += 1) {
	        that.exceptions[__index] = org.omg.CORBA.ExceptionDescriptionHelper.read(in);
	    }
	}
        return that;
    }
   public static org.omg.CORBA.OperationDescription extract(org.omg.CORBA.Any a) {
     org.omg.CORBA.portable.InputStream in = a.create_input_stream();
     return read(in);
   }
   public static void insert(org.omg.CORBA.Any a, org.omg.CORBA.OperationDescription that) {
     org.omg.CORBA.portable.OutputStream out = a.create_output_stream();
     write(out, that);
     a.read_value(out.create_input_stream(), type());
   }
   private static org.omg.CORBA.TypeCode _tc;
   synchronized public static org.omg.CORBA.TypeCode type() {
       int _memberCount = 9;
       org.omg.CORBA.StructMember[] _members = null;
          if (_tc == null) {
               _members= new org.omg.CORBA.StructMember[9];
               _members[0] = new org.omg.CORBA.StructMember(
                 "name",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[1] = new org.omg.CORBA.StructMember(
                 "id",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[2] = new org.omg.CORBA.StructMember(
                 "defined_in",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[3] = new org.omg.CORBA.StructMember(
                 "version",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[4] = new org.omg.CORBA.StructMember(
                 "result",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_TypeCode),
                 null);

               _members[5] = new org.omg.CORBA.StructMember(
                 "mode",
                 org.omg.CORBA.OperationModeHelper.type(),
                 null);

               _members[6] = new org.omg.CORBA.StructMember(
                 "contexts",
                 org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string)),
                 null);

               _members[7] = new org.omg.CORBA.StructMember(
                 "parameters",
                 org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ParameterDescriptionHelper.type()),
                 null);

               _members[8] = new org.omg.CORBA.StructMember(
                 "exceptions",
                 org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ExceptionDescriptionHelper.type()),
                 null);
             _tc = org.omg.CORBA.ORB.init().create_struct_tc(id(), "OperationDescription", _members);
          }
      return _tc;
   }
   public static String id() {
       return "IDL:omg.org/CORBA/OperationDescription:1.0";
   }
}
