/*
 * File: ./org/omg/CORBA/_ContainerStub.java
 * From: ir.idl
 * Date: Wed Aug 19 15:28:56 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package org.omg.CORBA;
public class _ContainerStub
	extends org.omg.CORBA.portable.ObjectImpl
    	implements org.omg.CORBA.Container {

    public _ContainerStub(org.omg.CORBA.portable.Delegate d) {
          super();
          _set_delegate(d);
    }

    private static final String _type_ids[] = {
        "IDL:omg.org/CORBA/Container:1.0",
        "IDL:omg.org/CORBA/IRObject:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    //	IDL operations
    //	Implementation of attribute ::def_kind
    public org.omg.CORBA.DefinitionKind def_kind() {
           org.omg.CORBA.Request r = _request("_get_def_kind");
           r.set_return_type(org.omg.CORBA.DefinitionKindHelper.type());
           r.invoke();
           org.omg.CORBA.DefinitionKind __result;
           __result = org.omg.CORBA.DefinitionKindHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::IRObject::destroy
    public void destroy()
 {
           org.omg.CORBA.Request r = _request("destroy");
           r.invoke();
   }
    //	    Implementation of ::CORBA::Container::lookup
    public org.omg.CORBA.Contained lookup(String search_name)
 {
           org.omg.CORBA.Request r = _request("lookup");
           r.set_return_type(org.omg.CORBA.ContainedHelper.type());
           org.omg.CORBA.Any _search_name = r.add_in_arg();
           org.omg.CORBA.ScopedNameHelper.insert(_search_name, search_name);
           r.invoke();
           org.omg.CORBA.Contained __result;
           __result = org.omg.CORBA.ContainedHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::contents
    public org.omg.CORBA.Contained[] contents(org.omg.CORBA.DefinitionKind limit_type, boolean exclude_inherited)
 {
           org.omg.CORBA.Request r = _request("contents");
           r.set_return_type(org.omg.CORBA.ContainedSeqHelper.type());
           org.omg.CORBA.Any _limit_type = r.add_in_arg();
           org.omg.CORBA.DefinitionKindHelper.insert(_limit_type, limit_type);
           org.omg.CORBA.Any _exclude_inherited = r.add_in_arg();
           _exclude_inherited.insert_boolean(exclude_inherited);
           r.invoke();
           org.omg.CORBA.Contained[] __result;
           __result = org.omg.CORBA.ContainedSeqHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::lookup_name
    public org.omg.CORBA.Contained[] lookup_name(String search_name, int levels_to_search, org.omg.CORBA.DefinitionKind limit_type, boolean exclude_inherited)
 {
           org.omg.CORBA.Request r = _request("lookup_name");
           r.set_return_type(org.omg.CORBA.ContainedSeqHelper.type());
           org.omg.CORBA.Any _search_name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_search_name, search_name);
           org.omg.CORBA.Any _levels_to_search = r.add_in_arg();
           _levels_to_search.insert_long(levels_to_search);
           org.omg.CORBA.Any _limit_type = r.add_in_arg();
           org.omg.CORBA.DefinitionKindHelper.insert(_limit_type, limit_type);
           org.omg.CORBA.Any _exclude_inherited = r.add_in_arg();
           _exclude_inherited.insert_boolean(exclude_inherited);
           r.invoke();
           org.omg.CORBA.Contained[] __result;
           __result = org.omg.CORBA.ContainedSeqHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::describe_contents
    public org.omg.CORBA.ContainerPackage.Description[] describe_contents(org.omg.CORBA.DefinitionKind limit_type, boolean exclude_inherited, int max_returned_objs)
 {
           org.omg.CORBA.Request r = _request("describe_contents");
           r.set_return_type(org.omg.CORBA.ContainerPackage.DescriptionSeqHelper.type());
           org.omg.CORBA.Any _limit_type = r.add_in_arg();
           org.omg.CORBA.DefinitionKindHelper.insert(_limit_type, limit_type);
           org.omg.CORBA.Any _exclude_inherited = r.add_in_arg();
           _exclude_inherited.insert_boolean(exclude_inherited);
           org.omg.CORBA.Any _max_returned_objs = r.add_in_arg();
           _max_returned_objs.insert_long(max_returned_objs);
           r.invoke();
           org.omg.CORBA.ContainerPackage.Description[] __result;
           __result = org.omg.CORBA.ContainerPackage.DescriptionSeqHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_module
    public org.omg.CORBA.ModuleDef create_module(String id, String name, String version)
 {
           org.omg.CORBA.Request r = _request("create_module");
           r.set_return_type(org.omg.CORBA.ModuleDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           r.invoke();
           org.omg.CORBA.ModuleDef __result;
           __result = org.omg.CORBA.ModuleDefHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_constant
    public org.omg.CORBA.ConstantDef create_constant(String id, String name, String version, org.omg.CORBA.IDLType type, org.omg.CORBA.Any value)
 {
           org.omg.CORBA.Request r = _request("create_constant");
           r.set_return_type(org.omg.CORBA.ConstantDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           org.omg.CORBA.Any _type = r.add_in_arg();
           org.omg.CORBA.IDLTypeHelper.insert(_type, type);
           org.omg.CORBA.Any _value = r.add_in_arg();
           _value.insert_any(value);
           r.invoke();
           org.omg.CORBA.ConstantDef __result;
           __result = org.omg.CORBA.ConstantDefHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_struct
    public org.omg.CORBA.StructDef create_struct(String id, String name, String version, org.omg.CORBA.StructMember[] members)
 {
           org.omg.CORBA.Request r = _request("create_struct");
           r.set_return_type(org.omg.CORBA.StructDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           org.omg.CORBA.Any _members = r.add_in_arg();
           org.omg.CORBA.StructMemberSeqHelper.insert(_members, members);
           r.invoke();
           org.omg.CORBA.StructDef __result;
           __result = org.omg.CORBA.StructDefHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_union
    public org.omg.CORBA.UnionDef create_union(String id, String name, String version, org.omg.CORBA.IDLType discriminator_type, org.omg.CORBA.UnionMember[] members)
 {
           org.omg.CORBA.Request r = _request("create_union");
           r.set_return_type(org.omg.CORBA.UnionDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           org.omg.CORBA.Any _discriminator_type = r.add_in_arg();
           org.omg.CORBA.IDLTypeHelper.insert(_discriminator_type, discriminator_type);
           org.omg.CORBA.Any _members = r.add_in_arg();
           org.omg.CORBA.UnionMemberSeqHelper.insert(_members, members);
           r.invoke();
           org.omg.CORBA.UnionDef __result;
           __result = org.omg.CORBA.UnionDefHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_enum
    public org.omg.CORBA.EnumDef create_enum(String id, String name, String version, String[] members)
 {
           org.omg.CORBA.Request r = _request("create_enum");
           r.set_return_type(org.omg.CORBA.EnumDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           org.omg.CORBA.Any _members = r.add_in_arg();
           org.omg.CORBA.EnumMemberSeqHelper.insert(_members, members);
           r.invoke();
           org.omg.CORBA.EnumDef __result;
           __result = org.omg.CORBA.EnumDefHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_alias
    public org.omg.CORBA.AliasDef create_alias(String id, String name, String version, org.omg.CORBA.IDLType original_type)
 {
           org.omg.CORBA.Request r = _request("create_alias");
           r.set_return_type(org.omg.CORBA.AliasDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           org.omg.CORBA.Any _original_type = r.add_in_arg();
           org.omg.CORBA.IDLTypeHelper.insert(_original_type, original_type);
           r.invoke();
           org.omg.CORBA.AliasDef __result;
           __result = org.omg.CORBA.AliasDefHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_exception
    public org.omg.CORBA.ExceptionDef create_exception(String id, String name, String version, org.omg.CORBA.StructMember[] members)
 {
           org.omg.CORBA.Request r = _request("create_exception");
           r.set_return_type(org.omg.CORBA.ExceptionDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           org.omg.CORBA.Any _members = r.add_in_arg();
           org.omg.CORBA.StructMemberSeqHelper.insert(_members, members);
           r.invoke();
           org.omg.CORBA.ExceptionDef __result;
           __result = org.omg.CORBA.ExceptionDefHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::CORBA::Container::create_interface
    public org.omg.CORBA.InterfaceDef create_interface(String id, String name, String version, org.omg.CORBA.InterfaceDef[] base_interfaces)
 {
           org.omg.CORBA.Request r = _request("create_interface");
           r.set_return_type(org.omg.CORBA.InterfaceDefHelper.type());
           org.omg.CORBA.Any _id = r.add_in_arg();
           org.omg.CORBA.RepositoryIdHelper.insert(_id, id);
           org.omg.CORBA.Any _name = r.add_in_arg();
           org.omg.CORBA.IdentifierHelper.insert(_name, name);
           org.omg.CORBA.Any _version = r.add_in_arg();
           org.omg.CORBA.VersionSpecHelper.insert(_version, version);
           org.omg.CORBA.Any _base_interfaces = r.add_in_arg();
           org.omg.CORBA.InterfaceDefSeqHelper.insert(_base_interfaces, base_interfaces);
           r.invoke();
           org.omg.CORBA.InterfaceDef __result;
           __result = org.omg.CORBA.InterfaceDefHelper.extract(r.return_value());
           return __result;
   }

};
