/*
 * File: ./org/omg/CORBA/_RepositoryImplBase.java
 * From: ir.idl
 * Date: Wed Aug 19 15:28:56 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package org.omg.CORBA;
public abstract class _RepositoryImplBase extends org.omg.CORBA.DynamicImplementation implements org.omg.CORBA.Repository {
    // Constructor
    public _RepositoryImplBase() {
         super();
    }
    // Type strings for this class and its superclases
    private static final String _type_ids[] = {
        "IDL:omg.org/CORBA/Repository:1.0",
        "IDL:omg.org/CORBA/Container:1.0",
        "IDL:omg.org/CORBA/IRObject:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    private static java.util.Dictionary _methods = new java.util.Hashtable();
    static {
      _methods.put("_get_def_kind", new java.lang.Integer(0));
      _methods.put("destroy", new java.lang.Integer(1));
      _methods.put("lookup", new java.lang.Integer(2));
      _methods.put("contents", new java.lang.Integer(3));
      _methods.put("lookup_name", new java.lang.Integer(4));
      _methods.put("describe_contents", new java.lang.Integer(5));
      _methods.put("create_module", new java.lang.Integer(6));
      _methods.put("create_constant", new java.lang.Integer(7));
      _methods.put("create_struct", new java.lang.Integer(8));
      _methods.put("create_union", new java.lang.Integer(9));
      _methods.put("create_enum", new java.lang.Integer(10));
      _methods.put("create_alias", new java.lang.Integer(11));
      _methods.put("create_exception", new java.lang.Integer(12));
      _methods.put("create_interface", new java.lang.Integer(13));
      _methods.put("lookup_id", new java.lang.Integer(14));
      _methods.put("get_primitive", new java.lang.Integer(15));
      _methods.put("create_string", new java.lang.Integer(16));
      _methods.put("create_sequence", new java.lang.Integer(17));
      _methods.put("create_array", new java.lang.Integer(18));
     }
    // DSI Dispatch call
    public void invoke(org.omg.CORBA.ServerRequest r) {
       switch (((java.lang.Integer) _methods.get(r.op_name())).intValue()) {
           case 0: // org.omg.CORBA.IRObject.def_kind
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              org.omg.CORBA.DefinitionKind ___result = this.def_kind();
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.DefinitionKindHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 1: // org.omg.CORBA.IRObject.destroy
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
                            this.destroy();
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 2: // org.omg.CORBA.Container.lookup
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _search_name = _orb().create_any();
              _search_name.type(org.omg.CORBA.ScopedNameHelper.type());
              _list.add_value("search_name", _search_name, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String search_name;
              search_name = org.omg.CORBA.ScopedNameHelper.extract(_search_name);
              org.omg.CORBA.Contained ___result;
                            ___result = this.lookup(search_name);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ContainedHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 3: // org.omg.CORBA.Container.contents
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _limit_type = _orb().create_any();
              _limit_type.type(org.omg.CORBA.DefinitionKindHelper.type());
              _list.add_value("limit_type", _limit_type, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _exclude_inherited = _orb().create_any();
              _exclude_inherited.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean));
              _list.add_value("exclude_inherited", _exclude_inherited, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              org.omg.CORBA.DefinitionKind limit_type;
              limit_type = org.omg.CORBA.DefinitionKindHelper.extract(_limit_type);
              boolean exclude_inherited;
              exclude_inherited = _exclude_inherited.extract_boolean();
              org.omg.CORBA.Contained[] ___result;
                            ___result = this.contents(limit_type, exclude_inherited);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ContainedSeqHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 4: // org.omg.CORBA.Container.lookup_name
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _search_name = _orb().create_any();
              _search_name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("search_name", _search_name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _levels_to_search = _orb().create_any();
              _levels_to_search.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
              _list.add_value("levels_to_search", _levels_to_search, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _limit_type = _orb().create_any();
              _limit_type.type(org.omg.CORBA.DefinitionKindHelper.type());
              _list.add_value("limit_type", _limit_type, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _exclude_inherited = _orb().create_any();
              _exclude_inherited.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean));
              _list.add_value("exclude_inherited", _exclude_inherited, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String search_name;
              search_name = org.omg.CORBA.IdentifierHelper.extract(_search_name);
              int levels_to_search;
              levels_to_search = _levels_to_search.extract_long();
              org.omg.CORBA.DefinitionKind limit_type;
              limit_type = org.omg.CORBA.DefinitionKindHelper.extract(_limit_type);
              boolean exclude_inherited;
              exclude_inherited = _exclude_inherited.extract_boolean();
              org.omg.CORBA.Contained[] ___result;
                            ___result = this.lookup_name(search_name, levels_to_search, limit_type, exclude_inherited);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ContainedSeqHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 5: // org.omg.CORBA.Container.describe_contents
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _limit_type = _orb().create_any();
              _limit_type.type(org.omg.CORBA.DefinitionKindHelper.type());
              _list.add_value("limit_type", _limit_type, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _exclude_inherited = _orb().create_any();
              _exclude_inherited.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean));
              _list.add_value("exclude_inherited", _exclude_inherited, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _max_returned_objs = _orb().create_any();
              _max_returned_objs.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
              _list.add_value("max_returned_objs", _max_returned_objs, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              org.omg.CORBA.DefinitionKind limit_type;
              limit_type = org.omg.CORBA.DefinitionKindHelper.extract(_limit_type);
              boolean exclude_inherited;
              exclude_inherited = _exclude_inherited.extract_boolean();
              int max_returned_objs;
              max_returned_objs = _max_returned_objs.extract_long();
              org.omg.CORBA.ContainerPackage.Description[] ___result;
                            ___result = this.describe_contents(limit_type, exclude_inherited, max_returned_objs);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ContainerPackage.DescriptionSeqHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 6: // org.omg.CORBA.Container.create_module
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              org.omg.CORBA.ModuleDef ___result;
                            ___result = this.create_module(id, name, version);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ModuleDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 7: // org.omg.CORBA.Container.create_constant
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _type = _orb().create_any();
              _type.type(org.omg.CORBA.IDLTypeHelper.type());
              _list.add_value("type", _type, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _value = _orb().create_any();
              _value.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_any));
              _list.add_value("value", _value, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              org.omg.CORBA.IDLType type;
              type = org.omg.CORBA.IDLTypeHelper.extract(_type);
              org.omg.CORBA.Any value;
              value = _value.extract_any();
              org.omg.CORBA.ConstantDef ___result;
                            ___result = this.create_constant(id, name, version, type, value);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ConstantDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 8: // org.omg.CORBA.Container.create_struct
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _members = _orb().create_any();
              _members.type(org.omg.CORBA.StructMemberSeqHelper.type());
              _list.add_value("members", _members, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              org.omg.CORBA.StructMember[] members;
              members = org.omg.CORBA.StructMemberSeqHelper.extract(_members);
              org.omg.CORBA.StructDef ___result;
                            ___result = this.create_struct(id, name, version, members);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.StructDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 9: // org.omg.CORBA.Container.create_union
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _discriminator_type = _orb().create_any();
              _discriminator_type.type(org.omg.CORBA.IDLTypeHelper.type());
              _list.add_value("discriminator_type", _discriminator_type, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _members = _orb().create_any();
              _members.type(org.omg.CORBA.UnionMemberSeqHelper.type());
              _list.add_value("members", _members, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              org.omg.CORBA.IDLType discriminator_type;
              discriminator_type = org.omg.CORBA.IDLTypeHelper.extract(_discriminator_type);
              org.omg.CORBA.UnionMember[] members;
              members = org.omg.CORBA.UnionMemberSeqHelper.extract(_members);
              org.omg.CORBA.UnionDef ___result;
                            ___result = this.create_union(id, name, version, discriminator_type, members);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.UnionDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 10: // org.omg.CORBA.Container.create_enum
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _members = _orb().create_any();
              _members.type(org.omg.CORBA.EnumMemberSeqHelper.type());
              _list.add_value("members", _members, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              String[] members;
              members = org.omg.CORBA.EnumMemberSeqHelper.extract(_members);
              org.omg.CORBA.EnumDef ___result;
                            ___result = this.create_enum(id, name, version, members);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.EnumDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 11: // org.omg.CORBA.Container.create_alias
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _original_type = _orb().create_any();
              _original_type.type(org.omg.CORBA.IDLTypeHelper.type());
              _list.add_value("original_type", _original_type, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              org.omg.CORBA.IDLType original_type;
              original_type = org.omg.CORBA.IDLTypeHelper.extract(_original_type);
              org.omg.CORBA.AliasDef ___result;
                            ___result = this.create_alias(id, name, version, original_type);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.AliasDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 12: // org.omg.CORBA.Container.create_exception
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _members = _orb().create_any();
              _members.type(org.omg.CORBA.StructMemberSeqHelper.type());
              _list.add_value("members", _members, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              org.omg.CORBA.StructMember[] members;
              members = org.omg.CORBA.StructMemberSeqHelper.extract(_members);
              org.omg.CORBA.ExceptionDef ___result;
                            ___result = this.create_exception(id, name, version, members);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ExceptionDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 13: // org.omg.CORBA.Container.create_interface
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _id = _orb().create_any();
              _id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("id", _id, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _name = _orb().create_any();
              _name.type(org.omg.CORBA.IdentifierHelper.type());
              _list.add_value("name", _name, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _version = _orb().create_any();
              _version.type(org.omg.CORBA.VersionSpecHelper.type());
              _list.add_value("version", _version, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _base_interfaces = _orb().create_any();
              _base_interfaces.type(org.omg.CORBA.InterfaceDefSeqHelper.type());
              _list.add_value("base_interfaces", _base_interfaces, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String id;
              id = org.omg.CORBA.RepositoryIdHelper.extract(_id);
              String name;
              name = org.omg.CORBA.IdentifierHelper.extract(_name);
              String version;
              version = org.omg.CORBA.VersionSpecHelper.extract(_version);
              org.omg.CORBA.InterfaceDef[] base_interfaces;
              base_interfaces = org.omg.CORBA.InterfaceDefSeqHelper.extract(_base_interfaces);
              org.omg.CORBA.InterfaceDef ___result;
                            ___result = this.create_interface(id, name, version, base_interfaces);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.InterfaceDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 14: // org.omg.CORBA.Repository.lookup_id
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _search_id = _orb().create_any();
              _search_id.type(org.omg.CORBA.RepositoryIdHelper.type());
              _list.add_value("search_id", _search_id, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String search_id;
              search_id = org.omg.CORBA.RepositoryIdHelper.extract(_search_id);
              org.omg.CORBA.Contained ___result;
                            ___result = this.lookup_id(search_id);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ContainedHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 15: // org.omg.CORBA.Repository.get_primitive
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _kind = _orb().create_any();
              _kind.type(org.omg.CORBA.PrimitiveKindHelper.type());
              _list.add_value("kind", _kind, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              org.omg.CORBA.PrimitiveKind kind;
              kind = org.omg.CORBA.PrimitiveKindHelper.extract(_kind);
              org.omg.CORBA.PrimitiveDef ___result;
                            ___result = this.get_primitive(kind);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.PrimitiveDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 16: // org.omg.CORBA.Repository.create_string
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _bound = _orb().create_any();
              _bound.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_ulong));
              _list.add_value("bound", _bound, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int bound;
              bound = _bound.extract_ulong();
              org.omg.CORBA.StringDef ___result;
                            ___result = this.create_string(bound);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.StringDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 17: // org.omg.CORBA.Repository.create_sequence
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _bound = _orb().create_any();
              _bound.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_ulong));
              _list.add_value("bound", _bound, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _element_type = _orb().create_any();
              _element_type.type(org.omg.CORBA.IDLTypeHelper.type());
              _list.add_value("element_type", _element_type, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int bound;
              bound = _bound.extract_ulong();
              org.omg.CORBA.IDLType element_type;
              element_type = org.omg.CORBA.IDLTypeHelper.extract(_element_type);
              org.omg.CORBA.SequenceDef ___result;
                            ___result = this.create_sequence(bound, element_type);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.SequenceDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 18: // org.omg.CORBA.Repository.create_array
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _length = _orb().create_any();
              _length.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_ulong));
              _list.add_value("length", _length, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _element_type = _orb().create_any();
              _element_type.type(org.omg.CORBA.IDLTypeHelper.type());
              _list.add_value("element_type", _element_type, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int length;
              length = _length.extract_ulong();
              org.omg.CORBA.IDLType element_type;
              element_type = org.omg.CORBA.IDLTypeHelper.extract(_element_type);
              org.omg.CORBA.ArrayDef ___result;
                            ___result = this.create_array(length, element_type);
              org.omg.CORBA.Any __result = _orb().create_any();
              org.omg.CORBA.ArrayDefHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
            default:
              throw new org.omg.CORBA.BAD_OPERATION(0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
       }
 }
}
