/**
 * This software is (c) Copyright IONA Technologies Limited 1995-1997.
 * All Rights Reserved
 */

package WebChat;

//import IE.Iona.OrbixWeb._OrbixWeb;
//import IE.Iona.OrbixWeb.Features.Config;
//import org.omg.CORBA.ORB;
//import java.awt.*;
//import IE.Iona.OrbixWeb.*;
//import org.omg.CORBA.*;

import java.awt.*;
import org.omg.CORBA.*;
import org.omg.CosNaming.*;

/** 
 * The initial client applet used when runnning clients in a Browser.
 */

public class ClientStart extends java.applet.Applet {

  String IOR_NameServer = null;

  public void init() {

    /*try {
         ORB.init (this, null);
    } catch (INITIALIZE ex) {
         System.err.println ("failed to initialize: "+ex);
    }
    _CORBA.Orbix.setConfigItem("IT_USE_BIDIR_IIOP",""+true);
    */

    //{{INIT_CONTROLS
    setLayout(null);
    addNotify();
    resize(insets().left + insets().right + 524, insets().top + insets().bottom + 354);
    label1=new Label("WebChat Client");
    label1.setFont(new Font("TimesRoman",Font.BOLD,24));
    add(label1);
    label1.reshape(insets().left + 124,insets().top + 16,188,34);
    HostEdit=new TextField(10);
    add(HostEdit);
    HostEdit.reshape(insets().left + 252,insets().top + 88,87,28);
    NameEdit=new TextField(10);
    add(NameEdit);
    NameEdit.reshape(insets().left + 252,insets().top + 137,86,28);
    ConnectButton=new Button("Connect");
    add(ConnectButton);
    ConnectButton.reshape(insets().left + 175,insets().top + 185,88,25);
    label2=new Label("Host Machine Name : ");
    label2.setFont(new Font("Dialog",Font.BOLD,12));
    add(label2);
    label2.reshape(insets().left + 110,insets().top + 88,134,16);
    label3=new Label("Your Name : ");
    label3.setFont(new Font("Dialog",Font.BOLD,12));
    add(label3);
    label3.reshape(insets().left + 110,insets().top + 138,74,13);
    //}}
    super.init();
    IOR_NameServer = getParameter("IOR_NameServer");
    System.out.println("IOR_NameServer : "+IOR_NameServer);

  }

  public boolean handleEvent(Event event) {
    if (event.id == Event.ACTION_EVENT && event.target == ConnectButton) {
      clickedConnectButton();
      return true;
    }
    return super.handleEvent(event);
  }

  //{{DECLARE_CONTROLS
  Label label1;
  TextField HostEdit;
  TextField NameEdit;
  Button ConnectButton;
  Label label2;
  Label label3;
  Label label4;
  //}}

  public void clickedConnectButton() {
    WebChatGUI theWebChat_GUI;
    String hostname = HostEdit.getText();
    String username = NameEdit.getText();

    if (hostname==null) hostname = "";//_CORBA.Orbix.myHost();
    if (username==null) username = "nobody";

    theWebChat_GUI = new WebChatGUI(hostname, username, IOR_NameServer);
    theWebChat_GUI.show();
  }
}
