/**
 * This software is (c) Copyright IONA Technologies Limited 1995-1997.
 * All Rights Reserved
 */

package WebChat;

import java.awt.*;
import java.lang.*;
import org.omg.CORBA.*;

/**
 * This class is used by the WebChat server to create a message peek 
 * window.
 */

public class MsgPeek extends Frame {

  public MsgPeek() {
    super("Message Peek Window");
    setLayout(null);
    addNotify();
    resize(insets().left + insets().right + 409, insets().top + insets().bottom + 278);
    MsgDisplay=new TextArea(15,47);
    add(MsgDisplay);
    MsgDisplay.reshape(insets().left + 5,insets().top + 7,394,240);
  }

  public synchronized void show() {
    move(50, 50);
    super.show();
  }

  public boolean handleEvent(Event event) {
    if (event.id == Event.WINDOW_DESTROY) {
      //ServerGUI.mainGUI.PeekOn = false;
      hide();
      return true;
    }
    return super.handleEvent(event);
  }

  TextArea MsgDisplay;

}
