import org.omg.CORBA.*;
import org.omg.CosEventComm.*;
import org.omg.CosEventChannelAdmin.*;

/**
*/
public class 
EvtPullConsumer extends _PullConsumerImplBase implements Runnable
{
   /** Disconnect Call-back */
   Disconnect d=null;
   
   /** PullSupplier object */
   PullSupplier sup = null;

   /** Thread */
   Thread  runner=null;

   /**
   */
   public EvtPullConsumer( Disconnect _d, PullSupplier _sup)
   {    
       d = _d;
     sup = _sup;
     start();

   }// end of CONSTRUCTOR

   /**
   */
   public void disconnect_pull_consumer()
   { org.omg.CORBA.ORB.init().disconnect(this);
     if(d!=null) d.disconnect();
   }// end of disconnect_pull_consumer()

   /**
   */
   public void start()
   {
     runner = new Thread(this);
     runner.start();
   }// end of start()

   /**
   */
   public void run()
   { 
     org.omg.CORBA.BooleanHolder has_event = new org.omg.CORBA.BooleanHolder() ;
     Any data;
     
     if( sup!=null )
     {
       try
       {
         while(true)
         {
          data = sup.try_pull(has_event); 
          if( has_event.value )
          {
           
            if( data.type().kind() == TCKind.tk_string )
            {    
              String received = data.extract_string();
              System.out.println(" RECEIVED: "+received);
            }

          } else
             try
             {  runner.sleep(200);
             } catch (InterruptedException ie) {}
          
        }// end of while()
      } catch(org.omg.CosEventComm.Disconnected di)
        { if(d!=null) d.disconnect(); }

     }
     else if(d!=null) d.disconnect();

   }// end of run()

}// end of EvtPullConsumer

