/**
  author H. Timucin Ozdemir
  date   July 6, 1998
*/

#ifndef _ATEST_I_H_
#define _ATEST_I_H_

#include "anyidl.hh"


class aTest_i : public virtual AnyTest::_sk_aTest 
{

   public:

    aTest_i(void) {} 

    ~aTest_i() {} 

    CORBA::Any * 
    pingString ( const CORBA::Any & data ) 
    { 
       char* str;
       
       if (data >>= str) {
             cout << "String: " << str << endl;
       }

       CORBA::Any* ap = new CORBA::Any;
       *ap <<= str ;

       cout << "Returning Any containing: ULong: 314\n" << endl;
       return ap;

    }

    char *  
    pingString2 ( const char *  data ) 
    {        
       char * ret = new char[strlen(data)+1];
       strncpy(ret,data,strlen(data));
       return ret; 

    }

    CORBA::Any * 
    pingInteger ( const CORBA::Any & data ) 
    {
       CORBA::Long l;
       
       if ( data >>= l) {
             cout << "Long: " << l << endl;
       }

       CORBA::Any* ap = new CORBA::Any;
       *ap <<= (CORBA::ULong) 314;

       cout << "Returning Any containing: ULong: 314\n" << endl;
       return ap;

    }

    CORBA::Any * 
    pingMessage ( const CORBA::Any & data ) 
    {
       AnyTest::message *l;
       
       /*if ( data >>= l) {
             cout << "origin: " << l->origin << endl;
             cout << "   msg: " << l->msg << endl;
       }*/

       CORBA::Any* ap = new CORBA::Any;
       *ap <<= l;

       cout << "Returning Any containing: ULong: 314\n" << endl;
       return ap;


    }
   
};

#endif
