#ifndef __anyidl_hh__
#define __anyidl_hh__

#include <omniORB2/CORBA.h>

_CORBA_MODULE AnyTest {
_CORBA_MODULE_PUBLIC

#define AnyTest_IllegalType_IntfRepoID "IDL:AnyTest/IllegalType:1.0"

  class IllegalType : public CORBA::UserException {
  public:

    
    IllegalType() {};
    IllegalType(const IllegalType &);
    IllegalType & operator=(const IllegalType &);
    virtual ~IllegalType() {};
    size_t NP_alignedSize(size_t initialoffset);
    void operator>>= (NetBufferedStream &);
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &);
    void operator<<= (MemBufferedStream &);
  };

  struct message {
    CORBA::String_member origin;
    CORBA::String_member msg;
    
    size_t NP_alignedSize(size_t initialoffset) const;
    void operator>>= (NetBufferedStream &) const;
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &) const;
    void operator<<= (MemBufferedStream &);
  };

  typedef _CORBA_ConstrType_Variable_Var<message> message_var;

#ifndef __AnyTest_aTest__
#define __AnyTest_aTest__
  class   aTest;
  typedef aTest* aTest_ptr;
  typedef aTest_ptr aTestRef;

  class aTest_Helper {
    public:
    static aTest_ptr _nil();
    static CORBA::Boolean is_nil(aTest_ptr p);
    static void release(aTest_ptr p);
    static void duplicate(aTest_ptr p);
    static size_t NP_alignedSize(aTest_ptr obj,size_t initialoffset);
    static void marshalObjRef(aTest_ptr obj,NetBufferedStream &s);
    static aTest_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(aTest_ptr obj,MemBufferedStream &s);
    static aTest_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<aTest,aTest_Helper> aTest_var;

#endif
#define AnyTest_aTest_IntfRepoID "IDL:AnyTest/aTest:1.0"

  class aTest : public virtual omniObject, public virtual CORBA::Object {
  public:

    virtual CORBA::Any * pingString ( const CORBA::Any & data ) = 0;
    virtual char *  pingString2 ( const char *  data ) = 0;
    virtual CORBA::Any * pingInteger ( const CORBA::Any & data ) = 0;
    virtual CORBA::Any * pingMessage ( const CORBA::Any & data ) = 0;
    static aTest_ptr _duplicate(aTest_ptr);
    static aTest_ptr _narrow(CORBA::Object_ptr);
    static aTest_ptr _nil();

    static inline size_t NP_alignedSize(aTest_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,AnyTest_aTest_IntfRepoID,22,initialoffset);
    }

    static inline void marshalObjRef(aTest_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,AnyTest_aTest_IntfRepoID,22,s);
    }

    static inline aTest_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(AnyTest_aTest_IntfRepoID,s);
      aTest_ptr _result = AnyTest::aTest::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(aTest_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,AnyTest_aTest_IntfRepoID,22,s);
    }

    static inline aTest_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(AnyTest_aTest_IntfRepoID,s);
      aTest_ptr _result = AnyTest::aTest::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    aTest() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(AnyTest_aTest_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~aTest() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    aTest(const aTest&);
    aTest &operator=(const aTest&);
  };

  class _sk_aTest :  public virtual aTest {
  public:

    _sk_aTest() {}
    _sk_aTest(const omniORB::objectKey& k);
    virtual ~_sk_aTest() {}
    aTest_ptr _this() { return aTest::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual CORBA::Any * pingString ( const CORBA::Any & data ) = 0;
    virtual char *  pingString2 ( const char *  data ) = 0;
    virtual CORBA::Any * pingInteger ( const CORBA::Any & data ) = 0;
    virtual CORBA::Any * pingMessage ( const CORBA::Any & data ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return aTest::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_aTest (const _sk_aTest&);
    _sk_aTest &operator=(const _sk_aTest&);
  };

  class _proxy_aTest :  public virtual aTest {
  public:

    _proxy_aTest (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(AnyTest_aTest_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_aTest() {}
    virtual CORBA::Any * pingString ( const CORBA::Any & data );
    virtual char *  pingString2 ( const char *  data );
    virtual CORBA::Any * pingInteger ( const CORBA::Any & data );
    virtual CORBA::Any * pingMessage ( const CORBA::Any & data );

  protected:

    _proxy_aTest () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return aTest::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_aTest (const _proxy_aTest&);
    _proxy_aTest &operator=(const _proxy_aTest&);
  };

  class _nil_aTest :   public virtual aTest {
  public:
    _nil_aTest() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_aTest() {}
    CORBA::Any * pingString ( const CORBA::Any & data ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Any * _0RL_result = 0;
      return _0RL_result;
#endif
    }

    char *  pingString2 ( const char *  data ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      char * _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Any * pingInteger ( const CORBA::Any & data ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Any * _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Any * pingMessage ( const CORBA::Any & data ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Any * _0RL_result = 0;
      return _0RL_result;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return aTest::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class aTest_proxyObjectFactory : public proxyObjectFactory {
  public:
    aTest_proxyObjectFactory () {}
    virtual ~aTest_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static aTest_ptr _nil() {
      if (!__nil_aTest) {
        __nil_aTest = new _nil_aTest;
      }
      return __nil_aTest;
    }
  private:
    static aTest_ptr __nil_aTest;
  };

};

#endif // __anyidl_hh__
