#ifndef __jworbTest1_hh__
#define __jworbTest1_hh__

#include <omniORB2/CORBA.h>

#ifndef __jworbTest1__
#define __jworbTest1__
class   jworbTest1;
typedef jworbTest1* jworbTest1_ptr;
typedef jworbTest1_ptr jworbTest1Ref;

class jworbTest1_Helper {
  public:
  static jworbTest1_ptr _nil();
  static CORBA::Boolean is_nil(jworbTest1_ptr p);
  static void release(jworbTest1_ptr p);
  static void duplicate(jworbTest1_ptr p);
  static size_t NP_alignedSize(jworbTest1_ptr obj,size_t initialoffset);
  static void marshalObjRef(jworbTest1_ptr obj,NetBufferedStream &s);
  static jworbTest1_ptr unmarshalObjRef(NetBufferedStream &s);
  static void marshalObjRef(jworbTest1_ptr obj,MemBufferedStream &s);
  static jworbTest1_ptr unmarshalObjRef(MemBufferedStream &s);
};
typedef _CORBA_ObjRef_Var<jworbTest1,jworbTest1_Helper> jworbTest1_var;

#endif
#define jworbTest1_IntfRepoID "IDL:jworbTest1:1.0"

class jworbTest1 : public virtual omniObject, public virtual CORBA::Object {
public:

#define jworbTest1_ObjectNotKnown_IntfRepoID "IDL:jworbTest1/ObjectNotKnown:1.0"

  class ObjectNotKnown : public CORBA::UserException {
  public:

    CORBA::ULong serial;
    CORBA::String_member reason;
    
    ObjectNotKnown() {};
    ObjectNotKnown(const ObjectNotKnown &);
    ObjectNotKnown(CORBA::ULong  _serial, const char*  _reason);
    ObjectNotKnown & operator=(const ObjectNotKnown &);
    virtual ~ObjectNotKnown() {};
    size_t NP_alignedSize(size_t initialoffset);
    void operator>>= (NetBufferedStream &);
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &);
    void operator<<= (MemBufferedStream &);
  };

  struct long_struct {
    CORBA::Long number;
    
    size_t NP_alignedSize(size_t initialoffset) const;
    void operator>>= (NetBufferedStream &) const;
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &) const;
    void operator<<= (MemBufferedStream &);
  };

  typedef _CORBA_ConstrType_Fix_Var<long_struct> long_struct_var;

  typedef _CORBA_Unbounded_Sequence_w_FixSizeElement<CORBA::Long,4,4> longArray;
  typedef _CORBA_Sequence_Var<longArray, CORBA::Long > longArray_var;

  typedef _CORBA_Unbounded_Sequence<long_struct > long_structArray;
  typedef _CORBA_Sequence_Var<long_structArray, long_struct > long_structArray_var;

  virtual void ping (  ) = 0;
  virtual CORBA::Char  echoChar ( CORBA::Char  val ) = 0;
  virtual CORBA::Octet  echoOctet ( CORBA::Octet  val ) = 0;
  virtual CORBA::Boolean  echoBoolean ( CORBA::Boolean  val ) = 0;
  virtual CORBA::Short  echoShort ( CORBA::Short  val ) = 0;
  virtual CORBA::Long  echoLong ( CORBA::Long  val ) = 0;
  virtual CORBA::Float  echoFloat ( CORBA::Float  val ) = 0;
  virtual CORBA::Double  echoDouble ( CORBA::Double  val ) = 0;
  virtual char *  echoString ( const char *  val ) = 0;
  virtual longArray * echoLongArray ( const longArray & val ) = 0;
  virtual long_struct  echoLong_struct ( const long_struct & val ) = 0;
  virtual long_structArray * echoLong_structArray ( const long_structArray & val ) = 0;
  virtual void getException (  ) = 0;
  static jworbTest1_ptr _duplicate(jworbTest1_ptr);
  static jworbTest1_ptr _narrow(CORBA::Object_ptr);
  static jworbTest1_ptr _nil();

  static inline size_t NP_alignedSize(jworbTest1_ptr obj,size_t initialoffset) {
    return CORBA::AlignedObjRef(obj,jworbTest1_IntfRepoID,19,initialoffset);
  }

  static inline void marshalObjRef(jworbTest1_ptr obj,NetBufferedStream &s) {
    CORBA::MarshalObjRef(obj,jworbTest1_IntfRepoID,19,s);
  }

  static inline jworbTest1_ptr unmarshalObjRef(NetBufferedStream &s) {
    CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(jworbTest1_IntfRepoID,s);
    jworbTest1_ptr _result = jworbTest1::_narrow(_obj);
    CORBA::release(_obj);
    return _result;
  }

  static inline void marshalObjRef(jworbTest1_ptr obj,MemBufferedStream &s) {
    CORBA::MarshalObjRef(obj,jworbTest1_IntfRepoID,19,s);
  }

  static inline jworbTest1_ptr unmarshalObjRef(MemBufferedStream &s) {
    CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(jworbTest1_IntfRepoID,s);
    jworbTest1_ptr _result = jworbTest1::_narrow(_obj);
    CORBA::release(_obj);
    return _result;
  }

  static CORBA::Boolean _0RL_is_a(const char *base_repoId);

protected:

  jworbTest1() {
    if (!is_proxy())
      omniObject::PR_IRRepositoryId(jworbTest1_IntfRepoID);
    this->PR_setobj(this);
  }
  virtual ~jworbTest1() {}
  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

private:

  jworbTest1(const jworbTest1&);
  jworbTest1 &operator=(const jworbTest1&);
};

class _sk_jworbTest1 :  public virtual jworbTest1 {
public:

  _sk_jworbTest1() {}
  _sk_jworbTest1(const omniORB::objectKey& k);
  virtual ~_sk_jworbTest1() {}
  jworbTest1_ptr _this() { return jworbTest1::_duplicate(this); }
  void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
  CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
  void _dispose() { _boa()->dispose(this); }
  omniORB::objectKey _key();
  virtual void ping (  ) = 0;
  virtual CORBA::Char  echoChar ( CORBA::Char  val ) = 0;
  virtual CORBA::Octet  echoOctet ( CORBA::Octet  val ) = 0;
  virtual CORBA::Boolean  echoBoolean ( CORBA::Boolean  val ) = 0;
  virtual CORBA::Short  echoShort ( CORBA::Short  val ) = 0;
  virtual CORBA::Long  echoLong ( CORBA::Long  val ) = 0;
  virtual CORBA::Float  echoFloat ( CORBA::Float  val ) = 0;
  virtual CORBA::Double  echoDouble ( CORBA::Double  val ) = 0;
  virtual char *  echoString ( const char *  val ) = 0;
  virtual longArray * echoLongArray ( const longArray & val ) = 0;
  virtual long_struct  echoLong_struct ( const long_struct & val ) = 0;
  virtual long_structArray * echoLong_structArray ( const long_structArray & val ) = 0;
  virtual void getException (  ) = 0;
  virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

protected:
  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
    return jworbTest1::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
  }
private:
  _sk_jworbTest1 (const _sk_jworbTest1&);
  _sk_jworbTest1 &operator=(const _sk_jworbTest1&);
};

class _proxy_jworbTest1 :  public virtual jworbTest1 {
public:

  _proxy_jworbTest1 (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
    omniObject(jworbTest1_IntfRepoID,r,key,keysize,profiles,release) {
      omni::objectIsReady(this);
  }
  virtual ~_proxy_jworbTest1() {}
  virtual void ping (  );
  virtual CORBA::Char  echoChar ( CORBA::Char  val );
  virtual CORBA::Octet  echoOctet ( CORBA::Octet  val );
  virtual CORBA::Boolean  echoBoolean ( CORBA::Boolean  val );
  virtual CORBA::Short  echoShort ( CORBA::Short  val );
  virtual CORBA::Long  echoLong ( CORBA::Long  val );
  virtual CORBA::Float  echoFloat ( CORBA::Float  val );
  virtual CORBA::Double  echoDouble ( CORBA::Double  val );
  virtual char *  echoString ( const char *  val );
  virtual longArray * echoLongArray ( const longArray & val );
  virtual long_struct  echoLong_struct ( const long_struct & val );
  virtual long_structArray * echoLong_structArray ( const long_structArray & val );
  virtual void getException (  );

protected:

  _proxy_jworbTest1 () {}

  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
    return jworbTest1::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
  }
private:

  _proxy_jworbTest1 (const _proxy_jworbTest1&);
  _proxy_jworbTest1 &operator=(const _proxy_jworbTest1&);
};

class _nil_jworbTest1 : public virtual jworbTest1 {
public:
  _nil_jworbTest1() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
  virtual ~_nil_jworbTest1() {}
  void ping (  ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    return;
#endif
  }

  CORBA::Char  echoChar ( CORBA::Char  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Char _0RL_result = 0;
    return _0RL_result;
#endif
  }

  CORBA::Octet  echoOctet ( CORBA::Octet  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Octet _0RL_result = 0;
    return _0RL_result;
#endif
  }

  CORBA::Boolean  echoBoolean ( CORBA::Boolean  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Boolean _0RL_result = 0;
    return _0RL_result;
#endif
  }

  CORBA::Short  echoShort ( CORBA::Short  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Short _0RL_result = 0;
    return _0RL_result;
#endif
  }

  CORBA::Long  echoLong ( CORBA::Long  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Long _0RL_result = 0;
    return _0RL_result;
#endif
  }

  CORBA::Float  echoFloat ( CORBA::Float  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Float _0RL_result = 0;
    return _0RL_result;
#endif
  }

  CORBA::Double  echoDouble ( CORBA::Double  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Double _0RL_result = 0;
    return _0RL_result;
#endif
  }

  char *  echoString ( const char *  val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    char * _0RL_result = 0;
    return _0RL_result;
#endif
  }

  longArray * echoLongArray ( const longArray & val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    longArray * _0RL_result = 0;
    return _0RL_result;
#endif
  }

  long_struct  echoLong_struct ( const long_struct & val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    long_struct _0RL_result;
memset((void *)&_0RL_result,0,sizeof(_0RL_result));
    return _0RL_result;
#endif
  }

  long_structArray * echoLong_structArray ( const long_structArray & val ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    long_structArray * _0RL_result = 0;
    return _0RL_result;
#endif
  }

  void getException (  ){
    throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
    // never reach here! Dummy return to keep some compilers happy.
    return;
#endif
  }

protected:
  virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
    return jworbTest1::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
  }
};

class jworbTest1_proxyObjectFactory : public proxyObjectFactory {
public:
  jworbTest1_proxyObjectFactory () {}
  virtual ~jworbTest1_proxyObjectFactory () {}
  virtual const char *irRepoId() const;
  virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
  virtual CORBA::Boolean is_a(const char *base_repoId) const;
  static jworbTest1_ptr _nil() {
    if (!__nil_jworbTest1) {
      __nil_jworbTest1 = new _nil_jworbTest1;
    }
    return __nil_jworbTest1;
  }
private:
  static jworbTest1_ptr __nil_jworbTest1;
};

#endif // __jworbTest1_hh__
