#include "jworbTest1.hh"


static const char* _0RL_library_version = omniORB_2_5;


jworbTest1::ObjectNotKnown::ObjectNotKnown(const jworbTest1::ObjectNotKnown &_s)
{
  serial = _s.serial;
  reason = _s.reason;
}

jworbTest1::ObjectNotKnown::ObjectNotKnown(CORBA::ULong  _serial, const char*  _reason)
{
  serial = _serial;
  reason = _reason;
}

jworbTest1::ObjectNotKnown & jworbTest1::ObjectNotKnown::operator=(const jworbTest1::ObjectNotKnown &_s)
{
  serial = _s.serial;
  reason = _s.reason;
  return *this;
}

size_t
jworbTest1::ObjectNotKnown::NP_alignedSize(size_t _initialoffset)
{
  size_t _msgsize = _initialoffset;
  _msgsize = omni::align_to(_msgsize,omni::ALIGN_4);
  _msgsize += 4;
  _msgsize = omni::align_to(_msgsize,omni::ALIGN_4);
  _msgsize += 4 + (((const char*) reason)? strlen((const char*) reason) + 1 : 1);
  return _msgsize;
}

void
jworbTest1::ObjectNotKnown::operator>>= (NetBufferedStream &_n)
{
  serial >>= _n;
  {
    CORBA::ULong _len = (((const char*) reason)? strlen((const char*) reason) + 1 : 1);
    _len >>= _n;
    if (_len > 1)
      _n.put_char_array((const CORBA::Char *)((const char*) reason),_len);
    else {
      if ((const char*) reason == 0 && omniORB::traceLevel > 1)
        _CORBA_null_string_ptr(0);
      CORBA::Char _tempchar = '\0';
      _tempchar >>= _n;
    }
  }
}

void
jworbTest1::ObjectNotKnown::operator<<= (NetBufferedStream &_n)
{
  serial <<= _n;
  {
    CORBA::ULong _len;
    _len <<= _n;
    if (!_len) {
      if (omniORB::traceLevel > 1)
        _CORBA_null_string_ptr(1);
      _len = 1;
    }
    else if ( _n.RdMessageUnRead() < _len)
      throw CORBA::MARSHAL(0,CORBA::COMPLETED_NO);
    reason = CORBA::string_alloc(_len-1);
    if (!((char *)reason))
      throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
    if (_len > 1)
      _n.get_char_array((CORBA::Char *)((char *)reason),_len);
    else
      *((CORBA::Char*)((char*)reason)) <<= _n;
  }
}

void
jworbTest1::ObjectNotKnown::operator>>= (MemBufferedStream &_n)
{
  serial >>= _n;
  {
    CORBA::ULong _len = (((const char*) reason)? strlen((const char*) reason) + 1 : 1);
    _len >>= _n;
    if (_len > 1)
      _n.put_char_array((const CORBA::Char *)((const char*) reason),_len);
    else {
      if ((const char*) reason == 0 && omniORB::traceLevel > 1)
        _CORBA_null_string_ptr(0);
      CORBA::Char _tempchar = '\0';
      _tempchar >>= _n;
    }
  }
}

void
jworbTest1::ObjectNotKnown::operator<<= (MemBufferedStream &_n)
{
  serial <<= _n;
  {
    CORBA::ULong _len;
    _len <<= _n;
    if (!_len) {
      if (omniORB::traceLevel > 1)
        _CORBA_null_string_ptr(1);
      _len = 1;
    }
    reason = CORBA::string_alloc(_len-1);
    if (!((char *)reason))
      throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
    if (_len > 1)
      _n.get_char_array((CORBA::Char *)((char *)reason),_len);
    else
      *((CORBA::Char*)((char*)reason)) <<= _n;
  }
}

size_t
jworbTest1::long_struct::NP_alignedSize(size_t _initialoffset) const
{
  CORBA::ULong _msgsize = _initialoffset;
  _msgsize = omni::align_to(_msgsize,omni::ALIGN_4);
  _msgsize += 4;
  return _msgsize;
}

void
jworbTest1::long_struct::operator>>= (NetBufferedStream &_n) const
{
  number >>= _n;
}

void
jworbTest1::long_struct::operator<<= (NetBufferedStream &_n)
{
  number <<= _n;
}

void
jworbTest1::long_struct::operator>>= (MemBufferedStream &_n) const
{
  number >>= _n;
}

void
jworbTest1::long_struct::operator<<= (MemBufferedStream &_n)
{
  number <<= _n;
}

void _proxy_jworbTest1::ping (  )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),5);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"ping",5,_0RL_msgsize,0);
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_c.RequestCompleted();
        return;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
}


CORBA::Char  _proxy_jworbTest1::echoChar ( CORBA::Char  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Char _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),9);
    _0RL_msgsize += 1;
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoChar",9,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Char _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA::Octet  _proxy_jworbTest1::echoOctet ( CORBA::Octet  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Octet _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),10);
    _0RL_msgsize += 1;
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoOctet",10,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Octet _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA::Boolean  _proxy_jworbTest1::echoBoolean ( CORBA::Boolean  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Boolean _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),12);
    _0RL_msgsize += 1;
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoBoolean",12,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Boolean _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA::Short  _proxy_jworbTest1::echoShort ( CORBA::Short  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Short _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),10);
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_2);
    _0RL_msgsize += 2;
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoShort",10,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Short _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA::Long  _proxy_jworbTest1::echoLong ( CORBA::Long  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Long _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),9);
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
    _0RL_msgsize += 4;
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoLong",9,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Long _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA::Float  _proxy_jworbTest1::echoFloat ( CORBA::Float  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Float _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),10);
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
    _0RL_msgsize += 4;
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoFloat",10,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Float _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA::Double  _proxy_jworbTest1::echoDouble ( CORBA::Double  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Double _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),11);
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_8);
    _0RL_msgsize += 8;
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoDouble",11,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Double _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


char *  _proxy_jworbTest1::echoString ( const char *  val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  char * _0RL_result = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),11);
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
    _0RL_msgsize += 4 + (((const char*) val)? strlen((const char*) val) + 1 : 1);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoString",11,_0RL_msgsize,0);
    {
      CORBA::ULong _len = (((const char*) val)? strlen((const char*) val) + 1 : 1);
      _len >>= _0RL_c;
      if (_len > 1)
        _0RL_c.put_char_array((const CORBA::Char *)((const char*) val),_len);
      else {
        if ((const char*) val == 0 && omniORB::traceLevel > 1)
          _CORBA_null_string_ptr(0);
        CORBA::Char _tempchar = '\0';
        _tempchar >>= _0RL_c;
      }
    }
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        {
          CORBA::ULong _len;
          _len <<= _0RL_c;
          if (!_len) {
            if (omniORB::traceLevel > 1)
              _CORBA_null_string_ptr(1);
            _len = 1;
          }
          else if ( _0RL_c.RdMessageUnRead() < _len)
            throw CORBA::MARSHAL(0,CORBA::COMPLETED_NO);
          _0RL_result = CORBA::string_alloc(_len-1);
          if (!((char *)_0RL_result))
            throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
          if (_len > 1)
            _0RL_c.get_char_array((CORBA::Char *)((char *)_0RL_result),_len);
          else
            *((CORBA::Char*)((char*)_0RL_result)) <<= _0RL_c;
        }
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_result) CORBA::string_free(_0RL_result);
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (_0RL_result) CORBA::string_free(_0RL_result);
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_result) CORBA::string_free(_0RL_result);
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (_0RL_result) CORBA::string_free(_0RL_result);
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    if (_0RL_result) CORBA::string_free(_0RL_result);
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    char * _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


jworbTest1::longArray * _proxy_jworbTest1::echoLongArray ( const jworbTest1::longArray & val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  longArray * _0RL_result = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),14);
    _0RL_msgsize = val.NP_alignedSize(_0RL_msgsize);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoLongArray",14,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result = new longArray;
        *_0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_result) delete _0RL_result;
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (_0RL_result) delete _0RL_result;
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_result) delete _0RL_result;
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (_0RL_result) delete _0RL_result;
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    if (_0RL_result) delete _0RL_result;
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    longArray * _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


jworbTest1::long_struct  _proxy_jworbTest1::echoLong_struct ( const jworbTest1::long_struct & val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  long_struct _0RL_result;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),16);
    _0RL_msgsize = val.NP_alignedSize(_0RL_msgsize);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoLong_struct",16,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    long_struct _0RL_result;
memset((void *)&_0RL_result,0,sizeof(_0RL_result));
    return _0RL_result;
  }
#endif
}


jworbTest1::long_structArray * _proxy_jworbTest1::echoLong_structArray ( const jworbTest1::long_structArray & val )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  long_structArray * _0RL_result = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),21);
    _0RL_msgsize = val.NP_alignedSize(_0RL_msgsize);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"echoLong_structArray",21,_0RL_msgsize,0);
    val >>= _0RL_c;
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result = new long_structArray;
        *_0RL_result <<= _0RL_c;
        _0RL_c.RequestCompleted();
        return _0RL_result;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_result) delete _0RL_result;
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (_0RL_result) delete _0RL_result;
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_result) delete _0RL_result;
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (_0RL_result) delete _0RL_result;
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    if (_0RL_result) delete _0RL_result;
    throw;
  }
  goto _0RL_again;
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    long_structArray * _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


void _proxy_jworbTest1::getException (  )
{
  CORBA::ULong _0RL_retries = 0;
_0RL_again:
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),13);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"getException",13,_0RL_msgsize,0);
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_c.RequestCompleted();
        return;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        CORBA::Char _0RL_excId[34];
        CORBA::ULong _0RL_len;
        _0RL_len <<= _0RL_c;
        if (_0RL_len > 34) {
          _0RL_c.RequestCompleted(1);
          throw CORBA::MARSHAL(0,CORBA::COMPLETED_MAYBE);
        }
        else {
          _0RL_c.get_char_array(_0RL_excId,_0RL_len);
        }
        if (strcmp((const char *)_0RL_excId,jworbTest1_ObjectNotKnown_IntfRepoID) == 0) {
          jworbTest1::ObjectNotKnown _0RL_ex;
          _0RL_ex <<= _0RL_c;
          _0RL_c.RequestCompleted();
          throw _0RL_ex;
        }
        else {
          _0RL_c.RequestCompleted(1);
          throw CORBA::MARSHAL(0,CORBA::COMPLETED_MAYBE);
        }
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              cerr << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference." << endl;
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          cerr << "GIOP::LOCATION_FORWARD: retry request." << endl;
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
  goto _0RL_again;
}



CORBA::Boolean
_sk_jworbTest1::dispatch(GIOP_S &_0RL_s,const char *_0RL_op,CORBA::Boolean _0RL_response_expected)
{
  if (strcmp(_0RL_op,"ping") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    _0RL_s.RequestReceived();
        ping (  );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoChar") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::Char val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    CORBA::Char _0RL_result;
    _0RL_result = echoChar ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize += 1;
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoOctet") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::Octet val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    CORBA::Octet _0RL_result;
    _0RL_result = echoOctet ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize += 1;
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoBoolean") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::Boolean val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    CORBA::Boolean _0RL_result;
    _0RL_result = echoBoolean ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize += 1;
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoShort") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::Short val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    CORBA::Short _0RL_result;
    _0RL_result = echoShort ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_2);
    _0RL_msgsize += 2;
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoLong") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::Long val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    CORBA::Long _0RL_result;
    _0RL_result = echoLong ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
    _0RL_msgsize += 4;
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoFloat") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::Float val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    CORBA::Float _0RL_result;
    _0RL_result = echoFloat ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
    _0RL_msgsize += 4;
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoDouble") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::Double val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    CORBA::Double _0RL_result;
    _0RL_result = echoDouble ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_8);
    _0RL_msgsize += 8;
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoString") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    CORBA::String_var val;
    {
      CORBA::ULong _len;
      _len <<= _0RL_s;
      if (!_len) {
        if (omniORB::traceLevel > 1)
          _CORBA_null_string_ptr(1);
        _len = 1;
      }
      else if ( _0RL_s.RdMessageUnRead() < _len)
        throw CORBA::MARSHAL(0,CORBA::COMPLETED_NO);
      val = CORBA::string_alloc(_len-1);
      if (!((char *)val))
        throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
      if (_len > 1)
        _0RL_s.get_char_array((CORBA::Char *)((char *)val),_len);
      else
        *((CORBA::Char*)((char*)val)) <<= _0RL_s;
    }
    _0RL_s.RequestReceived();
    CORBA::String_var _0RL_result;
    _0RL_result = echoString ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
    _0RL_msgsize += 4 + (((const char*) _0RL_result)? strlen((const char*) _0RL_result) + 1 : 1);
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    {
      CORBA::ULong _len = (((const char*) _0RL_result)? strlen((const char*) _0RL_result) + 1 : 1);
      _len >>= _0RL_s;
      if (_len > 1)
        _0RL_s.put_char_array((const CORBA::Char *)((const char*) _0RL_result),_len);
      else {
        if ((const char*) _0RL_result == 0 && omniORB::traceLevel > 1)
          _CORBA_null_string_ptr(0);
        CORBA::Char _tempchar = '\0';
        _tempchar >>= _0RL_s;
      }
    }
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoLongArray") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    longArray val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    longArray_var _0RL_result;
    _0RL_result = echoLongArray ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = (_0RL_result.operator->())->NP_alignedSize(_0RL_msgsize);
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    *(_0RL_result.operator->()) >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoLong_struct") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    long_struct val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    long_struct _0RL_result;
    _0RL_result = echoLong_struct ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = _0RL_result.NP_alignedSize(_0RL_msgsize);
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_result >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"echoLong_structArray") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    long_structArray val;
    val <<= _0RL_s;
    _0RL_s.RequestReceived();
    long_structArray_var _0RL_result;
    _0RL_result = echoLong_structArray ( val );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = (_0RL_result.operator->())->NP_alignedSize(_0RL_msgsize);
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    *(_0RL_result.operator->()) >>= _0RL_s;
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"getException") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    _0RL_s.RequestReceived();
        try {
      getException (  );
    }
    catch ( jworbTest1::ObjectNotKnown &_0RL_ex) {
      size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
      _0RL_msgsize = omni::align_to(_0RL_msgsize,omni::ALIGN_4);
      _0RL_msgsize += 38;
      _0RL_msgsize = _0RL_ex.NP_alignedSize(_0RL_msgsize);
      _0RL_s.InitialiseReply(GIOP::USER_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
      CORBA::ULong _len = 34;
      _len >>= _0RL_s;
      _0RL_s.put_char_array((CORBA::Char *)jworbTest1_ObjectNotKnown_IntfRepoID,34);
      _0RL_ex >>= _0RL_s;
      _0RL_s.ReplyCompleted();
      return 1;
    }
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else {
    return 0;
  }
}

_sk_jworbTest1::_sk_jworbTest1 (const omniORB::objectKey& k)
{
  omniRopeAndKey l(0,(CORBA::Octet*)&k,(CORBA::ULong)sizeof(k));
  setRopeAndKey(l,0);
}

omniORB::objectKey
_sk_jworbTest1::_key()
{
  omniRopeAndKey l;
  getRopeAndKey(l);
  return (*((omniORB::objectKey*)l.key()));
}

jworbTest1_ptr
jworbTest1::_duplicate(jworbTest1_ptr obj)
{
  if (CORBA::is_nil(obj))
    return jworbTest1::_nil();
  CORBA::Object::_duplicate(obj);
  return obj;
}

jworbTest1_ptr
jworbTest1::_narrow(CORBA::Object_ptr obj)
{
  if (CORBA::is_nil(obj))
    return jworbTest1::_nil();
  jworbTest1_ptr e = (jworbTest1_ptr) (obj->PR_getobj()->_realNarrow(jworbTest1_IntfRepoID));
  if (e)
    return e;
  else
    return jworbTest1::_nil();
}

void *
jworbTest1::_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id)
{
  if (is_cxx_type_id) return 0;
  if (!repoId)
    return (void *)((CORBA::Object_ptr)this);
  if (strcmp(jworbTest1_IntfRepoID,repoId) == 0)
    return (void *)this;
  else {
    return 0;
  }
}

CORBA::Boolean
jworbTest1::_0RL_is_a(const char *base_repoId) {
  if (strcmp(base_repoId,(const char *)jworbTest1_IntfRepoID)==0)
    return 1;
  else
    return 0;
}

jworbTest1_ptr
jworbTest1_Helper::_nil() {
  return jworbTest1::_nil();
}

CORBA::Boolean
jworbTest1_Helper::is_nil(jworbTest1_ptr p) {
  return CORBA::is_nil(p);
}

void
jworbTest1_Helper::release(jworbTest1_ptr p) {
  CORBA::release(p);
}

void
jworbTest1_Helper::duplicate(jworbTest1_ptr p) {
  CORBA::Object::_duplicate(p);
}

size_t
jworbTest1_Helper::NP_alignedSize(jworbTest1_ptr obj,size_t initialoffset) {
  return jworbTest1::NP_alignedSize(obj,initialoffset);
}

void
jworbTest1_Helper::marshalObjRef(jworbTest1_ptr obj,NetBufferedStream &s) {
  jworbTest1::marshalObjRef(obj,s);
}

jworbTest1_ptr jworbTest1_Helper::unmarshalObjRef(NetBufferedStream &s) {
  return jworbTest1::unmarshalObjRef(s);
}

void
jworbTest1_Helper::marshalObjRef(jworbTest1_ptr obj,MemBufferedStream &s) {
  jworbTest1::marshalObjRef(obj,s);
}

jworbTest1_ptr jworbTest1_Helper::unmarshalObjRef(MemBufferedStream &s) {
  return jworbTest1::unmarshalObjRef(s);
}

const char *
jworbTest1_proxyObjectFactory::irRepoId() const
{
  return (const char *)jworbTest1_IntfRepoID;
}

CORBA::Object_ptr
jworbTest1_proxyObjectFactory::newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release)
{
  _proxy_jworbTest1 *p = new _proxy_jworbTest1(r,key,keysize,profiles,release);
  if (!p) {
    throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
  }
  return (CORBA::Object_ptr) p;
}

CORBA::Boolean
jworbTest1_proxyObjectFactory::is_a(const char *base_repoId) const
{
  return jworbTest1::_0RL_is_a(base_repoId);

}

jworbTest1_ptr
jworbTest1::_nil() {
  return jworbTest1_proxyObjectFactory::_nil();
}

static const jworbTest1_proxyObjectFactory jworbTest1_proxyObjectFactory;
jworbTest1_ptr jworbTest1_proxyObjectFactory::__nil_jworbTest1 = 0;

