//
// author H. Timucin Ozdemir
// date   July 6, 1998
//
#ifndef _JWORBTEST2_I_H_
#define _JWORBTEST2_I_H_

#include "jworbTest2.hh"
#include "echo1_i.h"


class jworbTest2_i : public virtual _sk_jworbTest2
{

   public:

    jworbTest2_i(void) { number_of_callbacks=0; } 

    ~jworbTest2_i() {} 

    echo1_ptr  getEchoObject (  )
    {
       int argc = 0;
       char **argv ;
       CORBA::ORB_ptr orb = CORBA::ORB_init(argc,argv,"omniORB2");
       CORBA::BOA_ptr boa = orb->BOA_init(argc,argv,"omniORB2_BOA");

       myobj = new echo1_i();
       myobj->_obj_is_ready(boa);

       boa->impl_is_ready(0,1);

       echo1_var myobjRef = myobj->_this();
       CORBA::String_var p = orb->object_to_string(myobjRef);
       cerr << "'" << (char*)p << "'" << endl;

       /**************************************************************/
       /** To return an object address, you have to use _duplicate() */
       /**************************************************************/
       return echo1::_duplicate(myobj);
       
   };

   echo1_ptr  getEchoObjectWithException (  )
   {
      throw jworbTest2::ObjectNotKnown();
      return echo1::_nil();
   }

   void registerCallback ( callback_ptr  myCallback )
   {
      cout << " In registerCallback " << endl;
      int i;
      callback_ptr *temp = new callback_ptr[number_of_callbacks+1];
      for(i=0;i<number_of_callbacks;i++) temp[i] = callbackarray[i];
      //delete[] callbackarray;
      callbackarray = temp;
      cout << " After callbackarray=temp " << endl;
      callbackarray[number_of_callbacks] = callback::_duplicate(myCallback);
      cout << " After callbackarray[]" << endl;
      number_of_callbacks++;

   } // end of registerCallback

   void broadcast(const char* mess)
   {
      // Send this message to everybody
      for(int i=0;i<number_of_callbacks;i++) callbackarray[i]->push(mess);
       cout << " After broadcast : " << mess << endl;
      
   }// end of broadcast

  protected:
    int number_of_callbacks;
    callback_ptr *callbackarray;
    echo1_i *myobj ; 
  

};

#endif
