
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import javax.swing.event.*;
import java.net.*;
import java.io.*;
import java.util.*;

import edu.*;

import RTIcap.*;             // The package containing our stubs.
import npacrti.*;            // The package containing our stubs.
import org.omg.CosNaming.*;  // 
import org.omg.CORBA.*;      // All CORBA applications need these classes.
import owrti.util.*;

/**
*
*
* @date March 8, 1999 (Updated March 8, 1999) 
* @author H. Timucin Ozdemir
*
*/
public class startWBS implements AppletProps
{

  /**
  */
  public startWBS(Properties props, RTIambassador rtiAmb )
  { 
    
     WB window = new WB(this,rtiAmb);

     //window.setTitle("TinyBrowser/0.1");
     window.setSize(450, 260);
     //window.dispatchEvent (new ActionEvent (this, AWTEvent.RESERVED_ID_MAX + 1, ""));
     window.setVisible(true);

  }// end of CONSTUCTOR

  /**
  */
  public URL getCodeBase()
  { 
    URL url = null;
    try
    {  url = new URL("file:"+System.getProperty("user.dir")+System.getProperty("file.separator"));
    } catch( MalformedURLException mue) {}

    return url;

  }// end of getCodeBase()

  /**
  */
  public Image getImage(URL url, String fName)
  {
    System.out.println(" load:"+url+fName);
    return Toolkit.getDefaultToolkit().getImage((url+fName));
    
  }// end of getImage()

  /**
   public static void 
  main(String[] args) 
  {
     int i=0; 
     Properties props = new Properties();
     String propName = "browser.properties";

     try
     {
       while(i<args.length)
       {
        if( args[i].equals("-prop") && i<args.length-1) propName=args[++i];
        else i++;

       }// end of while

       //props.load(new FileInputStream(propName));
       //props.list(System.out);

     } catch(Exception e) {}

     startWBS window = new startWBS(null);*/

   /**
   */
   public static void 
   main(String args[])
   {
     try
     {
      
        // Create and initialize the ORB
        ORB orb = ORB.init(args, null);
      
        /*  ----- This Part is required if we are using Naming Service ---
        // Get the root naming context
        org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
        NamingContext ncRef = NamingContextHelper.narrow(objRef);
      
        // Resolve the object reference in naming
        NameComponent nc = new NameComponent("RTIKernel", " ");
        NameComponent path[] = {nc};
        RTIKernelInterface rtiKernel = RTIKernelInterfaceHelper.narrow(ncRef.resolve(path));
        */
        String InterfaceName="IDL:npacrti/RTIKernelInterface:1.0";
        String JWORB_HOST_NAME=null;
        int JWORB_PORT_NUMBER=-1;
        for(int i=0;i<args.length;i++) {
          if(args[i].equals("-jworbhn")&&i+1<args.length) 
              JWORB_HOST_NAME=args[i+1];
          if(args[i].equals("-jworbpn")&&i+1<args.length) 
            try
            { int aa=Integer.parseInt(args[i+1]); JWORB_PORT_NUMBER=aa; } 
            catch(NumberFormatException nfe) {} 
        }// end of for

        try 
        {  String strIOR =null;
           if(JWORB_HOST_NAME!=null&&JWORB_PORT_NUMBER>0) 
               strIOR = owrti.util.KernelLocator.askIOR(JWORB_HOST_NAME,JWORB_PORT_NUMBER,InterfaceName);
           if( strIOR == null ) 
               strIOR = owrti.util.KernelLocator.getRTIKernelIOR();

           if( strIOR != null )
           {
      
              RTIKernelInterface rtiKernel = RTIKernelInterfaceHelper.narrow(orb.string_to_object(strIOR));

              // Get the Version of the Kernel
              String version = rtiKernel.getVersion();
              System.out.println(" Version is : "+version);      

                 RTIambassador rtiAmb = rtiKernel.createRTIAmbassador();

                 startWBS window = new startWBS(null,rtiAmb);

           } else System.out.println(" IOR file is empty| \n "+
                        "I can not find the address of RTIKernelInterface ");

        } catch(java.io.FileNotFoundException fnf) 
          { System.out.println("File Not Found"); }
          
     } catch(Exception e) 
       {
         System.out.println("ERROR : " + e);
         e.printStackTrace(System.out);
       }  

 }// end of main

}// end of TinyBrowser

