#ifndef lint
static char rcsid [] = "$RCSfile: net_data.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
/*
 * File:	net_data.c
 */

/*LINTLIBRARY*/

#ifndef NO_ASSOC
#ifndef SOCKET_NETIF
#ifndef STREAMS_NETIF

#include "libnet.h"


char statistics_strings[][41] = {
		"successful transmissions                ",
		"multiple retries reported               ",
		"single retries reported                 ",
		"retry failures reported   (check cable) ",
		"deferrals reported                      ",
		"buffer errors                           ",
		"silo underruns                          ",     
		"late collisions           (check cable) ",    
		"carrier losses            (check cable) ",
		"babbling transmitter                    ",
		"collisions errors                       ",
		"memory errors                           ",
		"packets received                        ",
		"missed packets reported                 ",
		"CRC errors reported       (check cable) ",
		"framing errors            (check cable) ",
		"receive buffer errors                   ",
		"silo overruns                           ",
		"",
		"stp bit missing                         ",    
		"enp bit missing                         ",
		"lance errors                            ",
		"failed type check                       ",
		"failed address check                    ",
		"failed filter check                     ",
		"statistic_1                             ",
		"statistic_2                             ",
		"length in hdr does not equal pkt length "
	};

int max_statistics_string = sizeof (statistics_strings) /
				sizeof (statistics_strings[0]);

NetworkAddress BroadcastAddress = {0xff, 0xff, 0xff, 0xff, 0xff, 0xff};
NetworkAddress FillinAddress = {0xff, 0xff, 0xff, 0xff, 0xff, 0xff};

struct netlib_pb_aligned  npb_space;
struct netlib_pb *npb = npb_space.npb_array;
unsigned _enpmapsize = ENPMAPSIZE;

/* this section used for semaphores */
#ifndef _GT_
#ifndef SIMBFLY	
#ifndef BF_PLUS
#ifndef MSC
/* structures to lock and unlock a semaphore */
/* Note that 1 = unlocked; 0 = locked */

struct sembuf sem_unlock = {0, 1, IPC_NOWAIT | SEM_UNDO };
struct sembuf sem_lock_wait   = {0, -1, SEM_UNDO};
struct sembuf sem_lock_nowait   = {0, -1, IPC_NOWAIT | SEM_UNDO};

#endif
#endif
#endif
#endif

#endif /* STREAMS_NETIF */
#endif /* SOCKET_NETIF */
#endif /* NO_ASSOC */
