#ifndef lint
static char rcsid [] = "$RCSfile: net_udpport.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif

/*
 * File:	net_mca.c
 *
 * Copyright (c) 1988 by BBN Laboratories.
 * Cambridge, MA  02138.
 * All Rights Reserved.
 *
 * This file contains routines used to control UDP port subscription.
 *
 * Functions:
 *		net_add_udp_port
 *		net_init_udp_port
 */

/*LINTLIBRARY*/


#ifndef NO_ASSOC
#ifndef SOCKET_NETIF
#ifndef STREAMS_NETIF

#include "libnet.h"


/*
	net_add_udp_port - add multicast address to list
*/

int net_add_udp_port(h, port)
int h;
short port;
{
    CHECK_HANDLE (h, -1);

    npb[h].params = (char *)&port;

    if(errno = net_access(h, ENPADDUDP))
	return(-1);

    return(0);
}

/*
	net_init_udp_port - initialize udp port list to empty
*/

int net_init_udp_port(h)
int h;
{
    CHECK_HANDLE (h, -1);

    if(errno = net_access(h, ENPINITUDP))
	return(-1);

    return(0);
}

#endif /* STREAMS_NETIF */
#endif /* SOCKET_NETIF */
#endif /* NO_ASSOC */
