/*
 * $RCSfile: libpm_local.h,v $ $Revision: 1.1.1.1 $ $State: Exp $
 */
/****************************************************************************
*   File: libpm_local.h                                                     *
*                                                                           *
*       Copyright 1995 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*       This software was developed by Loral under U. S. Government contracts *
*       and may be reproduced by or for the U. S. Government pursuant to    *
*       the copyright license under the clause at DFARS 252.227-7013        *
*       (OCT 1988).                                                         *
*                                                                           *
*       Contents: Private header file for libparmgr                         *
*       Created: Thu Jan 14 1993                                            *
*       Author: jesmith                                                     *
*       Remarks:                                                            *
*                                                                           *
****************************************************************************/

#include "libparmgr.h"
#include <libpo.h>

/* VERY PRIVATE VARIABLES AND FUNCTIONS!  DO NOT USE OUTSIDE THIS LIBRARY! */

extern char *pm_read_defaults_with_size(
    char  *veh_type_symbol,
    uint32 model_number,
    int32 *default_size);
extern void pm_monitor_init(PO_DATABASE *db);
extern void pm_changed(
    int32   vehicle_id,
    uint32  model_number,
    ADDRESS data);
extern void pm_redefault(
    int32  vehicle_id,
    char  *veh_type_symbol,
    uint32 model_number);
extern ADDRESS pm_find_model_with_name(
    PO_DATABASE *db,
    char        *type,
    ObjectID    *vehicle_unit_id,
    int32        num_known_models,
    uint32       known_models[],
    uint32      *model_found,
    uint32      *parameter_size,
    ObjectID    *parameter_object);
extern PO_DATABASE *pm_db;

