#ifndef lint
static char rcsid [] = "$RCSfile: test_Xsw.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
/****************************************************************************
*   File: test_Xsw.c                                                        *
*                                                                           *
*       Copyright 1995 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*       This software was developed by Loral under U. S. Government contracts *
*       and may be reproduced by or for the U. S. Government pursuant to    *
*       the copyright license under the clause at DFARS 252.227-7013        *
*       (OCT 1988).                                                         *
*                                                                           *
*       Contents: Test stubs                                                *
*       Created: Wed Apr 17 1990                                            *
*       Author: jesmith                                                     *
*       Remarks:                                                            *
*                                                                           *
****************************************************************************/

/*
 * Xsw stubs for xtest.c.  this stuff eventually will move to Xstyle
 */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xm/Xm.h>
#include <varargs.h>
#include <stdext.h> /* common/include/global */

void XswSetUserData(w, val)
    Widget  w;
    ADDRESS val;
{
    Arg user_data_arg;

    XtSetArg(user_data_arg, XmNuserData, val);
    XtSetValues(w, &user_data_arg, 1);
}

ADDRESS XswGetUserData(w)
    Widget w;
{
    caddr_t val;
    Arg user_data_arg;

    XtSetArg(user_data_arg, XmNuserData, &val);
    XtGetValues(w, &user_data_arg, 1);

    return (val);
}

void XswLayoutWidget(base, width, height, va_alist)
    Widget base;
    int32 width;
    int32 height;
    va_dcl
{
    int32 att_val, offset_val;
    Widget att_wid;
    Arg organize_args[20];
    int32 n = 0;
    va_list ap;

    if (width)
      XtSetArg(organize_args[n], XmNwidth, width), n++;
    if (height)
      XtSetArg(organize_args[n], XmNheight, height), n++;

    va_start(ap);

#define GET_ATT(att_name, offset_name, position_name, wid_name)	\
    att_val = va_arg(ap, int);					\
    XtSetArg(organize_args[n], att_name, att_val), n++;		\
    offset_val = va_arg(ap, int);				\
    if (att_val == XmATTACH_POSITION)					\
      XtSetArg(organize_args[n], position_name, offset_val), n++;	\
    else								\
      XtSetArg(organize_args[n], offset_name, offset_val), n++;	\
    if (att_val == XmATTACH_WIDGET)				\
    { 								\
	att_wid = va_arg(ap, Widget); 				\
	XtSetArg(organize_args[n], wid_name, att_wid), n++;	\
    }

    GET_ATT(XmNtopAttachment, XmNtopOffset,
	    XmNtopPosition, XmNtopWidget);
    GET_ATT(XmNleftAttachment, XmNleftOffset,
	    XmNleftPosition, XmNleftWidget);
    GET_ATT(XmNrightAttachment, XmNrightOffset,
	    XmNrightPosition, XmNrightWidget);
    GET_ATT(XmNbottomAttachment, XmNbottomOffset,
	    XmNbottomPosition, XmNbottomWidget);

    va_end(ap);

    XtSetValues(base, organize_args, n);
}
