#ifndef lint
static char rcsid [] = "$RCSfile: pq_check.c,v $ $Revision: 1.1.1.1 $ $State: Exp $";
#endif
/****************************************************************************
*   File: pq_check.c
*                                                                           *
*       Copyright 1995 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               50 Moulton Street                                           *
*               Cambridge, MA 02138                                         *
*               617-441-2000                                                *
*                                                                           *
*	This software was developed by Loral under U. S. Government contracts *
*	and may be reproduced by or for the U. S. Government pursuant to    *
*	the copyright license under the clause at DFARS 252.227-7013        *
*	(OCT 1988).                                                         *
*                                                                           *
*       Contents: Error detection
*       Created: Jul  7 1994
*       Author: swarts
*       Remarks:                                                            *
*                                                                           *
****************************************************************************/

#include <stdlib.h>
#include "libpq_local.h"
#include <stdio.h>

void pq_check(PRIORITY_QUEUE *queue)
{
    int32 i;

    for (i=PQ_ROOT; i<=queue->size; i++)
    {
	if (i != PQ_ROOT &&
	    queue->array[i].priority < queue->array[PQ_PARENT(i)].priority)
	{
	    printf("queue 0x%x is bad\n", queue);
	    pq_print(queue);
	    abort();
	}
    }
}

