#
# File:     env_type.cdf
# Contents: 
# System:   simnet development.
# Created:  Mon Aug 29 23:16:47 EDT 1994
# Author:   rg
#
# Remarks:
#
# History:

# $RCSfile: env_type.cdf,v $
# $Revision: 1.1.1.1 $
# $State: Exp $

needs: obj_type.cdf


namespace_def: environmental

##
# environmental definitions
#
# edit in a Really Big window!

# Misc Smoke
  value: Smoke_Other_Small			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeOther |
	1)

  value: Smoke_Other_Medium			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeOther |
	2)

  value: Smoke_Other_Large			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeOther |
	3)

  value: Smoke_Other_Muzzle_Blast			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeOther |
	4)

  value: Smoke_Other_Vehicle_Dust			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeOther |
	5)

 

# Diesel Fuel / Rubber
  value: Smoke_DFR_Small 				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	1)

  value: Smoke_DFR_Medium			 	(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								 environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	2)

  value: Smoke_DFR_Large 				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	3)

# White Phosphorous
  value: Smoke_WP_US_M722                                (objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
                                                                environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
        2)

  value: Smoke_WP_US_M929                                (objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
                                                                environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
        3)

  value: Smoke_WP_US_M110E2			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	4)

  value: Smoke_WP_US_M328A1			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	5)

  value: Smoke_WP_US_M825				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	6)

  value: Smoke_WP_US_M156				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	7)

  value: Smoke_WP_US_M60A2			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	8)

  value: Smoke_WP_US_M302A1			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	9)

  value: Smoke_WP_US_WEDGE			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	10)

  value: Smoke_WP_US_M259				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	11)

  value: Smoke_WP_US_WICK_76			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	12)

  value: Smoke_WP_US_WICK_152			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	13)

  value: Smoke_WP_US_M375A2			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeWP |
	14)

# Red Phosphorous
  value: Smoke_RP_US_M819A1                              (objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
                                                                environmentalPhenomenaSmoke | environmentalPhenomenaSmokeRP |
        3)

  value: Smoke_RP_US_L8A1				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeRP |
	4)

  value: Smoke_RP_US_XM819			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeRP |
	5)

  value: Smoke_RP_US_WEDGE			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeRP |
	6)

# IR Screening
  value: Smoke_IR_US_M76 				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeIR |
	4)

# Plasticized White Phosphorous
  value: Smoke_PWP_US_ZUNI_MK4			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokePWP |
	4)

  value: Smoke_PWP_US_M328A1			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokePWP |
	5)

# Hexachloroethane Smoke Pots and Munitions

# 105mm HC M1 canister
  value: Smoke_HC_US_CAN			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	1)

# 105mm HC M84A1 projectile
  value: Smoke_HC_US_M84A1			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	2)

# Smoke pot, HC M4A2
  value: Smoke_HC_US_M4A2			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	3)

# Smoke pot, HC M5
  value: Smoke_HC_US_M5			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	4)

# Smoke grenade, HC M18
  value: Smoke_HC_US_M18			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	5)

# Smoke grenade, HC M18, RED
  value: Smoke_HC_US_M18_RED			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	6)

# Smoke grenade, HC M18, GREEN
  value: Smoke_HC_US_M18_GREEN			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	7)

# Smoke grenade, HC M18_YELLOW
  value: Smoke_HC_US_M18_YELLOW			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	8)

# Smoke grenade, HC M18, VIOLET
  value: Smoke_HC_US_M18_VIOLET			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	9)

# 155mm HC M1 Canister
  value: Smoke_HC_US_M1				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	10)

# 155mm HC M2 Canister
  value: Smoke_HC_US_M2				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	11)

# 155mm HC M116B1 Projectile
  value: Smoke_HC_US_M116B1			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHC |
	12)


# Fog Oil (SGF2) Produced by Generator or Smoke Pot

# Generator, ABC M3A3
  value: Smoke_FO_US_M3A3			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeFO |
	1)

# Smoke Pot, Fog Oil M7A1
  value: Smoke_FO_US_M7A1			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeFO |
	2)

# Diesel Fuel Produced by Generator

# Generator, VEESS
  value: Smoke_DF_US_VEESS			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDF |
	1)

# Hand-launched signal smoke, WHITE 	(M15, M8)
  value: Smoke_Signal_HL_White			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	4)

# Hand-launched signal smoke, RED	(M18)
  value: Smoke_Signal_HL_Red			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	5)

# Hand-launched signal smoke, GREEN	(M18)
  value: Smoke_Signal_HL_Green			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	6)

# Hand-launched signal smoke, YELLOW	(M18)
  value: Smoke_Signal_HL_Yellow			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	7)

# Hand-launched signal smoke, VIOLET	(M18)
  value: Smoke_Signal_HL_Violet			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeDFR |
	8)


# Dust, High Explosive, Small Particle, Persistent

# 105mm HE projectile impact DUST
  value: Smoke_HE_105mm    			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHE |
	1)

# 155mm HE projectile impact DUST
  value: Smoke_HE_155mm    			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHE |
	2)

# 4.2in HE projectile impact DUST
  value: Smoke_HE_4_2in    			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHE |
	3)

# 10-lb C4 dust
  value: Smoke_HE_C4_10LB   			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHE |
	4)

# MICLIC segment (M58) 
  value: Smoke_HE_M58_chargelet  		(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaSmoke | environmentalPhenomenaSmokeHE |
	5)

# Water MICLIC segment
  value: Water_MICLIC				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaWater | environmentalPhenomenaWaterSpray |
	6)

# Shallow Water Mine 
  value: Water_Mine_Shallow			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaWater | environmentalPhenomenaWaterSpray |
	7)

  value: Water_Mine_Deep			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess |
								environmentalPhenomenaWater | environmentalPhenomenaWaterSpray |
	8)

# 
  value: Ephemeris_Local				(objectDomainEnvironmental | environmentalCategoryOther |
								environmentalPhenomenaEphemeris | environmentalPhenomenaEphemerisLocal)

# 
  value: Weather_Simple				(objectDomainEnvironmental | environmentalCategoryFeatureModel |
								environmentalPhenomenaWeather | environmentalPhenomenaWeatherParameterized |
	1)

# 
  value: Weather_Observed				(objectDomainEnvironmental | environmentalCategoryFeatureModel |
								environmentalPhenomenaWeather | environmentalPhenomenaWeatherParameterized |
	2)

  value: Sea_State_Simple				(objectDomainEnvironmental | environmentalCategoryFeatureModel |
								environmentalPhenomenaWeather | environmentalPhenomenaWeatherParameterized |
	3)

# Placeholder.  Illuminating mortar round (107mm for USMC)
  value: Flare_M335A2				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareIllum |
	1)

# Placeholder.  Illuminating mortar round (81mm for USMC)
  value: Flare_M301A3				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareIllum |
	2)

# Placeholder.  Illuminating howitzer round (105mm for USMC)
  value: Flare_M314A3				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareIllum |
	3)

# Placeholder.  Illuminating howitzer round (155mm for USMC)
  value: Flare_M485A2				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareIllum |
	4)

# Placeholder.  Illuminating mortar round (60mm)
  value: Flare_M721                              (objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
                                                                environmentalPhenomenaFlare | environmentalPhenomenaFlareIllum |
        5)

# Placeholder.  Illuminating mortar round (81mm)
  value: Flare_M853A1                            (objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
                                                                environmentalPhenomenaFlare | environmentalPhenomenaFlareIllum |
        6)

# Placeholder.  Illuminating mortar round (120mm)
  value: Flare_M930                              (objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
                                                                environmentalPhenomenaFlare | environmentalPhenomenaFlareIllum |
        7)
 

# Placeholder.  Signal flares
  value: Flare_HandFiredStar				(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareSigStarRed |
	1)

# Hand-fired parachute-fitted signal flares, in red, white, and green.
  value: Flare_HF_Chute_Red			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareSigStarRed |
	2)
  value: Flare_HF_Chute_White			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareSigStarWht |
	2)
  value: Flare_HF_Chute_Green			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareSigStarGrn |
	2)

# Hand-fired star-cluster signal flares, in red, white, and green.
# Different rate-of-fall from 'chutes, above.
  value: Flare_HF_Cluster_Red			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareSigStarRed |
	3)
  value: Flare_HF_Cluster_White			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareSigStarWht |
	3)
  value: Flare_HF_Cluster_Green			(objectDomainEnvironmental | environmentalCategoryEmbeddedProcess | 
								environmentalPhenomenaFlare | environmentalPhenomenaFlareSigStarGrn |
	3)


