#
# File:     other_type.drn
# Contents: 
# System:   simnet development.
# Created:  8-Oct-1991
# Author:   jslee
#
# Remarks:
#
# History:
#    

# $RCSfile: other_type.cdf,v $
# $Revision: 1.1.1.1 $
# $State: Exp $

# COPYRIGHT 1990 BBN Systems and Technologies Corporation
# 10 Moulton Street
# Cambridge, Ma. 02138
# 617-873-3000
#

needs: obj_type.cdf

namespace_def: other

# US 500 Gallon Fuel Drum 
  value: US_FuelDrum (objectDomainOther | otherClassAccessory |	
     otherSubclassResupply | otherTypeFuelDrum | 0)

# US 2 point FARE 
  value: US_FARE (objectDomainOther | otherClassAccessory |	
     otherSubclassResupply | otherTypeFARE | 0)


# generic Radio
  value: Radio_Generic_Other (objectDomainOther | otherClassAccessory |	
     otherSubclassRadio | otherTypeRadioGeneric |
     RadioCountryOther | 0)

  value: Radio_Generic_US (objectDomainOther | otherClassAccessory |	
     otherSubclassRadio | otherTypeRadioGeneric |
     RadioCountryUS | 0)

  value: Radio_Generic_USSR (objectDomainOther | otherClassAccessory |
     otherSubclassRadio | otherTypeRadioGeneric |
     RadioCountryUSSR | 0)


  value: Minefield (objectDomainOther | otherClassObstacle |	
      otherSubclassMinefield | otherTypeGenericMinefield | 0)

  value: MineSet (objectDomainOther | otherClassObstacle |	
      otherSubclassMineSet | otherTypeGenericMineSet | 0)


namespace_def: part

# US parts
  value: FWMP (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 0)

  value: FWMR (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 1)

  value: TWMP (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 2)

  value: TWMR (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 3)

  value: dogbone (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 4)

  value: moldboard (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 5)

  value: AVLB (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 6)

  value: shovel (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 7)

  value: dozerblade (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 8) 

  value: suspension (objectDomainOther | otherClassAccessory |	
      otherSubclassParts | otherTypeGenericPart | 9)

  value: HAB (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 10)

  value: ORSMC (objectDomainOther | otherClassAccessory |
      otherSubclassParts | otherTypeGenericPart | 11)


namespace_def: component

  value: US_M1_hull (objectDomainOther | otherClassComponent |
	 otherSubclassHull | otherTypeGenericHull)

  value: US_M978_hull (objectDomainOther | otherClassComponent |
	 otherSubclassHull | 2 << otherTypeShift)

  value: US_M977_hull (objectDomainOther | otherClassComponent |
	 otherSubclassHull | 3 << otherTypeShift)

  value: US_abrams_turret (objectDomainOther | otherClassComponent |
	 otherSubclassTurret | 1 << otherTypeShift)

  value: US_abrams_chassis (objectDomainOther | otherClassComponent |
	 otherSubclassChassis | 1 << otherTypeShift)

  value: US_abrams_suspension (objectDomainOther | otherClassComponent |
	 otherSubclassSuspension | 1 << otherTypeShift)

  value: US_abrams_engine (objectDomainOther | otherClassComponent |
	 otherSubclassEngineComponent | 1 << otherTypeShift)

  value: US_abrams_elect_sights (objectDomainOther | otherClassComponent |
	 otherSubclassElect_Sights | 1 << otherTypeShift)

  value: US_abrams_commo (objectDomainOther | otherClassComponent |
	 otherSubclassCommo | 1 << otherTypeShift)

  value: US_abrams_weapon (objectDomainOther | otherClassComponent |
	 otherSubclassWeapon | 1 << otherTypeShift)

  value: US_bradley_turret (objectDomainOther | otherClassComponent |
	 otherSubclassTurret | 2 << otherTypeShift)

  value: US_bradley_chassis (objectDomainOther | otherClassComponent |
	 otherSubclassChassis | 2 << otherTypeShift)

  value: US_bradley_suspension (objectDomainOther | otherClassComponent |
	 otherSubclassSuspension | 2 << otherTypeShift)

  value: US_bradley_engine (objectDomainOther | otherClassComponent |
	 otherSubclassEngineComponent | 2 << otherTypeShift)

  value: US_bradley_elect_sights (objectDomainOther | otherClassComponent |
	 otherSubclassElect_Sights | 2 << otherTypeShift)

  value: US_bradley_commo (objectDomainOther | otherClassComponent |
	 otherSubclassCommo | 2 << otherTypeShift)

  value: US_bradley_weapon (objectDomainOther | otherClassComponent |
	 otherSubclassWeapon | 2 << otherTypeShift)

  value: US_M113_turret (objectDomainOther | otherClassComponent |
	 otherSubclassTurret | 3 << otherTypeShift)

  value: US_M113_chassis (objectDomainOther | otherClassComponent |
	 otherSubclassChassis | 3 << otherTypeShift)

  value: US_M113_suspension (objectDomainOther | otherClassComponent |
	 otherSubclassSuspension | 3 << otherTypeShift)

  value: US_M113_engine (objectDomainOther | otherClassComponent |
	 otherSubclassEngineComponent | 3 << otherTypeShift)

  value: US_M113_elect_sights (objectDomainOther | otherClassComponent |
	 otherSubclassElect_Sights | 3 << otherTypeShift)

  value: US_M113_commo (objectDomainOther | otherClassComponent |
	 otherSubclassCommo | 3 << otherTypeShift)

  value: US_M113_weapon (objectDomainOther | otherClassComponent |
	 otherSubclassWeapon | 3 << otherTypeShift)

  value: US_track_turret (objectDomainOther | otherClassComponent |
	 otherSubclassTurret | 4 << otherTypeShift)

  value: US_track_chassis (objectDomainOther | otherClassComponent |
	 otherSubclassChassis | 4 << otherTypeShift)

  value: US_track_suspension (objectDomainOther | otherClassComponent |
	 otherSubclassSuspension | 4 << otherTypeShift)

  value: US_track_engine (objectDomainOther | otherClassComponent |
	 otherSubclassEngineComponent | 4 << otherTypeShift)

  value: US_track_elect_sights (objectDomainOther | otherClassComponent |
	 otherSubclassElect_Sights | 4 << otherTypeShift)

  value: US_track_commo (objectDomainOther | otherClassComponent |
	 otherSubclassCommo | 4 << otherTypeShift)

  value: US_track_weapon (objectDomainOther | otherClassComponent |
	 otherSubclassWeapon | 4 << otherTypeShift)

  value: US_wheeled_turret (objectDomainOther | otherClassComponent |
	 otherSubclassTurret | 5 << otherTypeShift)

  value: US_wheeled_chassis (objectDomainOther | otherClassComponent |
	 otherSubclassChassis | 5 << otherTypeShift)

  value: US_wheeled_suspension (objectDomainOther | otherClassComponent |
	 otherSubclassSuspension | 5 << otherTypeShift)

  value: US_wheeled_engine (objectDomainOther | otherClassComponent |
	 otherSubclassEngineComponent | 5 << otherTypeShift)

  value: US_wheeled_elect_sights (objectDomainOther | otherClassComponent |
	 otherSubclassElect_Sights | 5 << otherTypeShift)

  value: US_wheeled_commo (objectDomainOther | otherClassComponent |
	 otherSubclassCommo | 5 << otherTypeShift)

  value: US_wheeled_weapon (objectDomainOther | otherClassComponent |
	 otherSubclassWeapon | 5 << otherTypeShift)


namespace_def: subcomponent

  value: US_M1_engine (objectDomainOther | otherClassSubComponent | 
	 otherSubclassEngine | otherTypeGenericEngine)

  value: US_M1_transmission (objectDomainOther | otherClassSubComponent | 
	 otherSubclassTransmission | otherTypeGenericTransmission)

  value: US_cannon_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassGun | 1 << otherTypeShift)

  value: US_tube (objectDomainOther | otherClassSubComponent | 
	 otherSubclassGun | 2 << otherTypeShift)

  value: US_breech (objectDomainOther | otherClassSubComponent | 
	 otherSubclassGun | 3 << otherTypeShift)

  value: US_firing_block (objectDomainOther | otherClassSubComponent | 
	 otherSubclassGun | 4 << otherTypeShift)

  value: US_elevation_drive (objectDomainOther | otherClassSubComponent | 
	 otherSubclassGun | 5 << otherTypeShift)

  value: US_Gun_Stabilization_System (objectDomainOther | otherClassSubComponent | 
	 otherSubclassGun | 6 << otherTypeShift)

  value: US_rammer (objectDomainOther | otherClassSubComponent | 
	 otherSubclassGun | 7 << otherTypeShift)

  value: US_recoil (objectDomainOther | otherClassSubComponent | 
	 otherSubclass14 | 1 << otherTypeShift)

  value: US_turret_mount_interface (objectDomainOther | otherClassSubComponent | 
	 otherSubclassTurretParts | 1 << otherTypeShift)

  value: US_radio (objectDomainOther | otherClassSubComponent | 
	 otherSubclassCommunications | 1 << otherTypeShift)

  value: US_antennae (objectDomainOther | otherClassSubComponent | 
	 otherSubclassCommunications | 2 << otherTypeShift)

  value: US_cables (objectDomainOther | otherClassSubComponent | 
	 otherSubclassCommunications | 3 << otherTypeShift)

  value: US_intercom (objectDomainOther | otherClassSubComponent | 
	 otherSubclassCommunications | 4 << otherTypeShift)

  value: US_fire_control (objectDomainOther | otherClassSubComponent | 
	 otherSubclass14 | 2 << otherTypeShift)

  value: US_cable_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassAssembly | 1 << otherTypeShift)

  value: US_telescope (objectDomainOther | otherClassSubComponent | 
	 otherSubclassVision | 1 << otherTypeShift)

  value: US_night_vision (objectDomainOther | otherClassSubComponent | 
	 otherSubclassVision | 2 << otherTypeShift)

  value: US_alternator (objectDomainOther | otherClassSubComponent | 
	 otherSubclass14 | 3 << otherTypeShift)

  value: US_control_unit (objectDomainOther | otherClassSubComponent | 
	 otherSubclass14 | 4 << otherTypeShift)

  value: US_wire_harness (objectDomainOther | otherClassSubComponent | 
	 otherSubclass14 | 5 << otherTypeShift)

  value: US_turret_network_box (objectDomainOther | otherClassSubComponent | 
	 otherSubclassNetwork | 1 << otherTypeShift)

  value: US_hull_network_box (objectDomainOther | otherClassSubComponent | 
	 otherSubclassNetwork | 2 << otherTypeShift)

  value: US_starter_relay (objectDomainOther | otherClassSubComponent | 
	 otherSubclass14 | 6 << otherTypeShift)

  value: US_gunner_primary_sight (objectDomainOther | otherClassSubComponent | 
	 otherSubclassVision | 3 << otherTypeShift)

  value: US_circuit_card (objectDomainOther | otherClassSubComponent | 
	 otherSubclassNetwork | 3 << otherTypeShift)

  value: US_fuel_pump (objectDomainOther | otherClassSubComponent | 
	 otherSubclassFuel | 1 << otherTypeShift)

  value: US_fuel_control (objectDomainOther | otherClassSubComponent | 
	 otherSubclassFuel | 2 << otherTypeShift)

  value: US_exhaust_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclass14 | 7 << otherTypeShift)

  value: US_belts (objectDomainOther | otherClassSubComponent | 
	 otherSubclass15 | 1 << otherTypeShift)

  value: US_blower_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclass15 | 2 << otherTypeShift)

  value: US_power_pack (objectDomainOther | otherClassSubComponent | 
	 otherSubclass15 | 3 << otherTypeShift)

  value: US_fuel_lines (objectDomainOther | otherClassSubComponent | 
	 otherSubclassFuel | 3 << otherTypeShift)

  value: US_valve_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassAssembly | 2 << otherTypeShift)

  value: US_pump_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassAssembly | 3 << otherTypeShift)

  value: US_fuel_filter (objectDomainOther | otherClassSubComponent | 
	 otherSubclassFuel | 4 << otherTypeShift)

  value: US_oil_filter (objectDomainOther | otherClassSubComponent | 
	 otherSubclass15 | 4 << otherTypeShift)

  value: US_hoses (objectDomainOther | otherClassSubComponent | 
	 otherSubclass15 | 5 << otherTypeShift)

  value: US_fuel_nozzles (objectDomainOther | otherClassSubComponent | 
	 otherSubclassFuel | 5 << otherTypeShift)

  value: US_transmission (objectDomainOther | otherClassSubComponent | 
	 otherSubclass15 | 6 << otherTypeShift)

  value: US_engine (objectDomainOther | otherClassSubComponent | 
	 otherSubclass15 | 7 << otherTypeShift)

  value: US_idler_arm (objectDomainOther | otherClassSubComponent | 
	 otherSubclass16 | 1 << otherTypeShift)

  value: US_road_wheel (objectDomainOther | otherClassSubComponent | 
	 otherSubclassWheel | 1 << otherTypeShift)

  value: US_torsion_bar (objectDomainOther | otherClassSubComponent | 
	 otherSubclass16 | 2 << otherTypeShift)

  value: US_track (objectDomainOther | otherClassSubComponent | 
	 otherSubclassWheel | 2 << otherTypeShift)

  value: US_drive_sprocket (objectDomainOther | otherClassSubComponent | 
	 otherSubclass16 | 3 << otherTypeShift)

  value: US_cradle (objectDomainOther | otherClassSubComponent | 
	 otherSubclass16 | 4 << otherTypeShift)

  value: US_batteries (objectDomainOther | otherClassSubComponent | 
	 otherSubclass16 | 5 << otherTypeShift)

  value: US_cover_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassAssembly | 4 << otherTypeShift)

  value: US_exhaust_pipe (objectDomainOther | otherClassSubComponent | 
	 otherSubclass16 | 6 << otherTypeShift)

  value: US_drive_display (objectDomainOther | otherClassSubComponent | 
	 otherSubclassDriver | 1 << otherTypeShift)

  value: US_driver_vision (objectDomainOther | otherClassSubComponent | 
	 otherSubclassDriver | 2 << otherTypeShift)

  value: US_race_ring (objectDomainOther | otherClassSubComponent | 
	 otherSubclass16 | 7 << otherTypeShift)

  value: US_recoil_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassAssembly | 5 << otherTypeShift)

  value: US_collar (objectDomainOther | otherClassSubComponent | 
	 otherSubclass17 | 1 << otherTypeShift)

  value: US_turret_bearing_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassTurret | 2 << otherTypeShift)

  value: US_brake_slew (objectDomainOther | otherClassSubComponent | 
	 otherSubclassBrake | 1 << otherTypeShift)

  value: US_hull_bearing_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassAssembly | 6 << otherTypeShift)

  value: US_carrier_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassAssembly | 7 << otherTypeShift)

  value: US_fan_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclass17 | 2 << otherTypeShift)

  value: US_turret_traverse_drive (objectDomainOther | otherClassSubComponent | 
	 otherSubclassTurret | 3 << otherTypeShift)

  value: US_cannon_mount_interface (objectDomainOther | otherClassSubComponent | 
	 otherSubclass17 | 3 << otherTypeShift)

  value: US_turret_slope_indicator (objectDomainOther | otherClassSubComponent | 
	 otherSubclass17 | 4 << otherTypeShift)

  value: US_TOW_missle_launcher (objectDomainOther | otherClassSubComponent | 
	 otherSubclass17 | 5 << otherTypeShift)

  value: US_machine_gun_ring_mount (objectDomainOther | otherClassSubComponent | 
	 otherSubclass17 | 6 << otherTypeShift)

  value: US_machine_gun_system (objectDomainOther | otherClassSubComponent | 
	 otherSubclass17 | 7 << otherTypeShift)

  value: US_gun_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclass18 | 1 << otherTypeShift)

  value: US_turret_ring (objectDomainOther | otherClassSubComponent | 
	 otherSubclass18 | 2 << otherTypeShift)

  value: US_elevation_cylinder (objectDomainOther | otherClassSubComponent | 
	 otherSubclass18 | 3 << otherTypeShift)

  value: US_turret_bearing_ring (objectDomainOther | otherClassSubComponent | 
	 otherSubclass18 | 4 << otherTypeShift)

  value: US_turret_motor (objectDomainOther | otherClassSubComponent | 
	 otherSubclass18 | 5 << otherTypeShift)

  value: US_brake_system (objectDomainOther | otherClassSubComponent | 
	 otherSubclass18 | 6 << otherTypeShift)

  value: US_brake_pads (objectDomainOther | otherClassSubComponent | 
	 otherSubclass18 | 7 << otherTypeShift)

  value: US_bearing_housing (objectDomainOther | otherClassSubComponent | 
	 otherSubclass19 | 1 << otherTypeShift)

  value: US_wheel_hub (objectDomainOther | otherClassSubComponent | 
	 otherSubclassWheel | 3 << otherTypeShift)

  value: US_axle (objectDomainOther | otherClassSubComponent | 
	 otherSubclassWheel | 4 << otherTypeShift)

  value: US_spare_tire (objectDomainOther | otherClassSubComponent | 
	 otherSubclassWheel | 5 << otherTypeShift)

  value: US_wheel_assembly (objectDomainOther | otherClassSubComponent | 
	 otherSubclassWheel | 6 << otherTypeShift)

  value: US_shock_absorbers (objectDomainOther | otherClassSubComponent | 
	 otherSubclass19 | 2 << otherTypeShift)

