
/*
 * FILE:  p_num.h 
 *
 * Created on Wed Apr 17 10:52:55 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _p_num_included
#define _p_num_included

 /* File:     pro_num.drn */
 /* Contents: numbers to distinguish protocols using the association sublayer */
 /* System:   simnet development. */
 /* Created:  2-Nov-1989 */
 /* Author:   kanarick */
 /* Remarks: */
 /*  History: */
 /*    21 Dec 89	Pope		added managementProtocolNumber */
 /*    22 Jan 90 Kanarick	added stealth, p2p numbers */
 /*    18 Feb 90 kanarick	added terrain protocol */
 /*    27 Jun 90 Shannon		added FAADS protocol number */

 /* $RCSfile: p_num.h,v $ */
 /* $Revision: 1.1.1.1 $ */
 /* $State: Exp $ */
 /* COPYRIGHT 1990 BBN Systems and Technologies Corporation */
 /* 10 Moulton Street */
 /* Cambridge, Ma. 02138 */
 /* 617-873-3000 */

 /* Standard protocols: */
#define simulationProtocolNumber      1 /* simulation protocol */
#define dataCollectionProtocolNumber  2 /* data collection protocol */
#define DISProtocolNumber             3 /* DIS protocol when using libassoc */

 /* Proprietary protocols: */
#define managementProtocolNumber    129 /* management protocol */
#define loggerProtocolNumber        130 /* logger protocol  */
#define stealthProtocolNumber       131 /* Stealth protocol */
#define pointToPointProtocolNumber  132 /* p2p protocol  */
#define terrainProtocolNumber       133 /* the terrain protocol */
#define radioProtocolNumber         134 /* SINCGARS radio protocol */
#define ivisProtocolNumber          135 /* ivis protocol */
#define ulfProtocolNumber           136 /* Wegmann ULF protocol */
#define radioSignalProtocolNumber   137 /* for radio signals  */
#define faadsProtocolNumber         138 /* for FAADS protocol */
#define gtProtocolNumber            139 /* Wegmann GT protocol */
#define poProtocolNumber            140 /* Persistent Object protocol */
#define sensorProtocolNumber        141 /* Sensor/Intervis protocol */
#define designatorProtocolNumber    142 /* Remote designation protocol */
#define softpProtocolNumber         143 /* Soft Panels Protocol */
#define stingrayProtocolNumber      144 /* Stingray Protocol */
#define atlasProtocolNumber         145 /* Atlas Private Protocol */


#endif
