
/*
 * FILE:  stat_m1.h 
 *
 * Created on Wed Apr 17 10:53:04 1996 
 * Compiled by DRN compiler, version 6.2.d
 * 
 */

#ifndef _stat_m1_included
#define _stat_m1_included

 /* File:     status_m1.drn */
 /* Contents: vehicle specific status for the M1 */
 /* System:   simnet development. */
 /* Created:  10-Oct-1989 */
 /* Author:   apope */
 /* Remarks: */
 /* $RCSfile: stat_m1.h,v $ */
 /* $Revision: 1.1.1.1 $ */
 /* $State: Exp $ */
 /* COPYRIGHT 1989 BBN Systems and Technologies Corporation */
 /* 10 Moulton Street */
 /* Cambridge, Ma. 02138 */
 /* 617-873-3000 */

#include <stdtypes.h>

 /* Vehicle-specific status: */
typedef struct {
    float32          enginePower;         
    float32          battery;             
    float32          frontLeftFuel;       
    float32          frontRightFuel;      
    float32          rearFuel;            
    uint8  apdsReadyAmmo;       
    uint8  apdsSemiReadyAmmo;   
    uint8  apdsHullTurretFloorAmmo; 
    uint8  heatReadyAmmo;       
    uint8  heatSemiReadyAmmo;   
    uint8  heatHullTurretFloorAmmo; 
    uint16 _unused_1_2;          /* padding */
    uint32  _unused_1_3;          /* padding */
    uint32  _unused_1_4;          /* padding */
    uint32  _unused_1_5;          /* padding */
    uint32  _unused_1_6;          /* padding */
    uint32  _unused_1_7;          /* padding */
    uint32  _unused_1;            /* padding */
} SIMNET_M1_Status; 



#endif
