# File:     status_const.cdf
# Contents: The representation of vehicle status information. 
# System:   simnet development. 
# Created:  10-Oct-1989 
# Author:   apope 

hfile:
#include <stdtypes.h>
endhfile:

# Constants to go with structures in status.h

##
# Generic vehicle status is tailored to these catgories of vehicles:

defs: SubsystemsCategory uint16
  value:  airVehicleSubsystems    1    
  value:  groundVehicleSubsystems 2    

##
# Each two-element array of subsystem Booleans is indexed by:
 
defs: subsystemIndex
  value:  subsystemExists         0 	# first element of array 
  value:  subsystemStatus         1 	# second element of array 


##
# Varieties of vehicle-specific status representation.

defs: SpecificStatusCategory uint16
  value:  genericVehicleStatus    0    
  value:  simnetM1Status          1    
  value:  simnetM2Status          2    
  value:  simnetFAADStatus        3    
  value:  agptLeo2Status          4    
  value:  genericRWAStatus        5    


defs: VehicleStores
  value:  maxGenericVehicleStores 6
