#include <iostream.h>
#include "Sensor.h"


cSensor::cSensor()
{
}

EBoolean  cSensor::IsInRange(cEmission* pEmiss,  double range)
{
   if ( (range <= fRange + pEmiss->GetEmissDim().width) && (GetSensorType(pEmiss->GetEmitterName())) )
      return true;
   else
      return false;
}
	
EBoolean cSensor::GetSensorType(unsigned short emitter_name)
{
   if ( emitter_name == DIS203_EMITTER_SYSTEM_ORSMC || emitter_name == DIS203_EMITTER_SYSTEM_MMCM || emitter_name == 0)
      return true;
   else
      return false;

}

//float	 cSensor::GetSensRange();





void cSensor::Notify()
{
/*
         add emission to end of list
        EMISSION* pEmissionData = new EMISSION();

        if(fpEmissionData == NULL)
                fpEmissionData = pEmissionData;
        else
                fpLastEmission->pNextEmission = pEmissionData;

        fpLastEmission = pEmissionData;
*/
}


int cSensor::UpdateSensor(cEmissListHead& proxList,cEmissListHead* pTrkEmissList, TLocation entLoc)
{
   cMineLinkEmiss*	pProxEmiss;
   cMineLinkEmiss*	pOldEmissLink;
   double             	range;
   cEmissListHead     oldEmissList(pTrkEmissList);
   
   for (pProxEmiss  = (cMineLinkEmiss*)(proxList.GetFirstLink());
        pProxEmiss != (cMineLinkEmiss*)(proxList.GetNULLLink());
        pProxEmiss  = (cMineLinkEmiss*)(proxList.GetNextLink()) ) {
	
	range = (double) entLoc.HorzDistance( pProxEmiss->GetEmission()->GetTccLoc() );
	if ( IsInRange(pProxEmiss->GetEmission(), range ))
	{
	   if (oldEmissList.IsInList(pProxEmiss->GetEmission(), (cLinkEmiss**) &pOldEmissLink) )
	    {
	    	new cMineLinkEmiss((cMineLinkEmiss*) pOldEmissLink, (cLinkEmiss*)(pTrkEmissList->GetLastLink()));
		//pProxEmiss->UpdateSsrRec();
	    }
	    else 
	    	new cMineLinkEmiss(pProxEmiss->GetEmission(), (cLinkEmiss*)(pTrkEmissList->GetLastLink()), 
				   fpRefEnt, fbUseEmissCoord); 
	}
	
	//pProxEmiss->UpdateSsrRec();
   }
   
   // delete old emission list
   oldEmissList.DeleteList();
   return(1);
}



/*
	    fpMine->
            eResult = fMechVulnTables.fpMagCmTable->GetRandomResult(fpMine->GetDepth() );
            switch (eResult) {
               case evrNone:
                     pVehLink->SetMagCmResult(eprNoEffect);
                  break;

               case evrDet:
                     if ( fpMine->GetInternalState() >= emisOn ) {
                        pVehLink->SetMagCmResult(eprDetonated);
                        fpMine->SetDetonationResults(pVehLink, pPart); //sets state and interact result
                        new cMineDetonationMsg(fpMine);
                     }
                  break;

               case evrNeut:
                     pVehLink->SetMagCmResult(eprNeutralized);
                     fpMine->StateChange(emisFailed);
                     pVehLink->SetInteractResult(eMineNeutralized);
                  break;

               default:
                     pVehLink->SetMagCmResult(eprNoEffect);
                  break;
            }
   }
}
*/

/*void        cSensor::UpdateSensor(cEmissionListHead& emissionList, TEntCoord entLoc)
     // prox list may have tgt loc referenced to different point than
     // the tracker (e.g., minefield ref rather than mine ref,
     // or projectile launch point rather than current location)
     //  Thus the tracker mine/owner must provide its location in the coord
     // system used in the prox list.
{
   cLinkEmissionLoc*      pLink;
   cLinkVehGeom*     pOldTrkLink;
   cLinkVehGeom*     pTrkLink;
   double             range;
   cVehListHead       oldTrkList(pTrkList);

   for (pLink  = (cLinkEmissionLoc*)(emissionList.GetFirstLink());
        pLink != (cLinkEmissionLoc*)(emissionList.GetNULLLink());
        pLink  = (cLinkEmissionLoc*)(emissionList.GetNextLink()) ) {

      range = entLoc.HorzDistance( pLink->GetLocation() );
      if ( IsInRange(pLink->GetEntityType(), range)  ) {
         if ( oldTrkList.IsInList(pLink->GetEmission(), (cLinkVeh**)&pOldTrkLink) )
            pTrkLink = CreateCopyTrack(pOldTrkLink, (cLinkVeh*)(pTrkList->GetLastLink()));
         else {
            pTrkLink = CreateNewTrack(pProxLink, (cLinkVeh*)(pTrkList->GetLastLink()));
//
//               // possible analyst's output
//            if ( gfInteract ) {
//               pTrkLink->SetInteraction( fpRefEnt->CreateNewInteraction(pTrkLink) );
//            }
//
         }
         pTrkLink->UpdateTrkRec();
//
//         if ( pTrkLink->GetInteraction() )
//            pTrkLink->GetInteraction()->UpdateInteraction(pTrkLink);
//
      }
   }

      // delete old track list
   oldTrkList.DeleteList();
}
*/
