
#include <time.h>
#include "Globals.h"
#include "Emission.h"
//#include "Minefield.h"


class cSensor
{
protected:
	float     fRange;
	cEntity*  fpRefEnt;         // owning entity, e.g., mine
	EBoolean  fbUseEmissCoord;
   

public:
	EBoolean  IsInRange(cEmission* pEmiss,  double range);
	
	EBoolean GetSensorType(unsigned short emitter_name);

 //       virtual	    float	GetSensRange();

	// gets emissions emitted since last check, and only
	// returns list of those in range w/erp of necessary
	// strength.
	int UpdateSensor(cEmissListHead& proxList,cEmissListHead* pProxEmissList, TLocation entLoc);
//	void Notify(cEmission* pEmission);
	void Notify();

	cSensor();
	cSensor(cEntity*  pRefEnt, float range,  EBoolean bUseEmissCoord = true ) { fpRefEnt = pRefEnt;  fRange = range; 
						fbUseEmissCoord =bUseEmissCoord; }
	~cSensor() {};

};

/*
class cEmissVuln {

protected:
//  enum EPlowIntState { episNone, episPlowing, episPlowingRB, 
//                       episAstride, episAstrideRB, episBehind };
  
  cEntity*          fpRefEnt;
//  TVulnMechParam     fMechVulnTables;
  //EMineInternalState fMineSavedState;   // to restore after plow movement
//  EPlowIntState      fPlowIntState;
  
  

//  void          ProcessFullPlow(cLinkVehGeom* pVehLink, TTimeSim* pWaitTime);
//  void          ProcessTrackPlow(cLinkVehGeom* pVehLink, TTimeSim* pWaitTime);
//  void          ProcessFullRake(cLinkVehGeom* pVehLink, TTimeSim* pWaitTime);
//  void          ProcessTrackRoller(cLinkVehGeom* pVehLink, TTimeSim* pWaitTime);
//  void          ProcessDogbone(cLinkVehGeom* pVehLink, TTimeSim* pWaitTime);
  void          ProcessMagCm(cLinkEmiss* pEmLink, cSimMine* fpMine,  TTimeSim* pWaitTime);
  
//  void          PlowMine(cLinkVehGeom* pVehLink, const T2Dsingle& plowOffset);

public:
   virtual void    UpdateEmissVuln(cEmissListHead* pEmissList, cSimMine* fpMine,  TTimeSim* pWaitTime);
   
//            cEmissVuln(TVulnMechParam* pTables, cSimMine* pMine) : 
//                       fMechVulnTables( *pTables ) 
//                       {fpMine = pMine; fMineSavedState = emisNone;}
            cEmissVuln(cEntity* pMine) { fpRefEnt = pMine; }


//   virtual ~cMechanVuln() {};
};
*/
