#include "Globals.h"

class cArea
{
public:
	cArea(){};
	cArea(T3Dsingle* ctr, TOrient, float, float);
	cArea(T3Ddouble* ctr, TOrient, float, float);
	virtual ~cArea(){};

	virtual int IsPtInArea(T3Ddouble* pt)=0;
	virtual int IsPtInArea(T3Dsingle* pt)=0;
};


class cEllipse : public cArea
{
        float a2;
        float b2;
        float a2b2;
        float COS_PSI;
        float SIN_PSI;
        float Xoffset;
        float Yoffset;
        float Zoffset;

public:
	cEllipse(){};
	cEllipse(T3Dsingle* ctr, TOrient* pOrient, float a, float b);
        cEllipse(T3Ddouble* ctr, TOrient* pOrient, float a, float b);

	~cEllipse() {};

	int IsPtInArea(T3Dsingle* pt);
        int IsPtInArea(T3Ddouble* pt);
};


class cRectangle : public cArea
{
	T3Dsingle fArea[4];

	T3Dsingle spCtr;

        float half_width;
        float half_length;
        float COS_PSI;
        float SIN_PSI;


public:
	cRectangle() {};
	cRectangle(T3Dsingle* ctr, TOrient* pOrient, float nLength, float nWidth);
        cRectangle(T3Ddouble* ctr, TOrient* pOrient, float nLength, float nWidth);

	~cRectangle() {};
	int IsPtInArea(T3Dsingle* pt);
        int IsPtInArea(T3Ddouble* pt);

};

/*class cCircle : public cArea
{
	float r2;
	float Xoffset;
	float Yoffset;
	float Zoffset;
	float COS_PSI;
	float SIN_PSI;

public:
	cCircle() {};
	cCircle(T3Dsingle* ctr);
        cCircle(T3Ddouble* ctr);

	~cCircle() {};
	int IsPtInArea(T3Dsingle* pt);
        int IsPtInArea(T3Ddouble* pt);

};*/	
