/*
$RCSfile: Distance.h,v $
$Revision: 1.1.1.1 $
$Author: jchappel $
$Date: 1999/02/16 14:54:48 $
$Log: Distance.h,v $
Revision 1.1.1.1  1999/02/16 14:54:48  jchappel
Comprehensive Mine Simulator

 * Revision 2.0  1998/01/26  21:04:20  ksnively
 * Baseline CMS before additions for AP mine replacements.
 *
 * Revision 2.0  1998/01/26  21:04:20  ksnively
 * Baseline CMS before additions for AP mine replacements.
 *
 * Revision 1.1  1997/12/16  13:59:57  ksnively
 * Initial revision
 *
 * Revision 1.3  1997/10/27  17:07:30  trang
 * BUILD1
 *
 * Revision 1.2  1997/10/02  17:47:47  austin
 * first working port to modsaf3.0
 *
Revision 1.2  1997/10/02 17:47:47  austin
first working port to modsaf3.0

 * Revision 1.1  1996/10/23  13:54:40  nsipes
 * Initial revision
 *
 * Revision 1.1  1996/10/23  13:54:40  nsipes
 * Initial revision
 *
 * Revision 1.5  1996/08/26  14:20:30  mkappel
 * Improve handling of sensitivity.
 *
 * Revision 1.4  1996/07/13  19:09:16  rcarp
 * version 1.5b13, fixes bug dragging with two buttons and displays damamged vehicles
 *
$State: Exp $

*/
#include "Display.h"

class cDistanceDisp : public cDispObj {

protected:
   float64                   fXStart;
   float64                   fYStart;
   TACTMAP_OBJECT_DFN        fTextDfn;
   TACTMAP_OBJECT_PTR        fpTextObj;
   
   static SNSTVE_CLASS       fSensDist;
   static SNSTVE_CLASS       fSensNull;
   static GC                 fDistanceGC;
   static XFontStruct*       fFontInfo;
   static int                fDispSensIndex;

   static void               CbDelete (SNSTVE_WINDOW_PTR sensitive, 
				       SNSTVE_ACTION action,
				       SNSTVE_CALL_DATA *call_data, 
				       char *name);

public:
   static void  InitGCs      (Widget wShell);
          void  UpdateDist   (SNSTVE_CALL_DATA *call_data);
          void  CompleteDist ();

                cDistanceDisp (SNSTVE_CALL_DATA *call_data);
   virtual     ~cDistanceDisp ();
};
