/**
*
* @author H. Timucin Ozdemir
* @date   September 21, 1998 ( Last Updated September 21, 1998)
*
*/

import java.util.Enumeration;
import java.util.Hashtable;
import org.omg.CORBA.*;

import HeartBeat.*;
import HeartBeat.ReportListenerPackage.*;

public class 
CentralServerAnounce extends RunnerObject
{
    /** */
    Enumeration                        agroup;

    /** */
    HeartBeat.HeartBeatListener        bigCheese;

    /** */
    String                             pSrv;

    /** */
    String                             cSrv;

    /**
    */
    public CentralServerAnounce()
    {
        setPriority(Thread.MAX_PRIORITY);

    }// end of CONSTUCTOR

    /**
    */
    public void 
    broadcast( String prevCentralServer, String currentCentralServer,
               HeartBeat.HeartBeatListener hbl, Enumeration anouncegroup)
    {
       if( anouncegroup.hasMoreElements() )
       {
          agroup = anouncegroup;
          pSrv   = prevCentralServer;
          cSrv   = currentCentralServer;
          bigCheese = hbl;

       }// end of if

    }// end of broadcast()

    /**
    *
    * Sends <b>report()</b> message to the interested parties.
    *
    */
    public final void run()
    {
       System.out.println(" in CentralServerAnounce::run() ");
       HeartBeat.HeartBeatListener rl;

       // Broadcast report to all listeners 
       while( agroup.hasMoreElements() )
       {
          rl = (HeartBeat.HeartBeatListener) agroup.nextElement();
          if( rl!=null )
            try
            {  rl.replace(pSrv,cSrv,bigCheese);
            } catch( java.lang.Exception ne) { } 

       }// end of while

    }// end of run

}// end of CentralServerAnounce()

