/**
*/

import java.awt.*;
import HeartBeat.*;

import org.omg.CORBA.*;

public class 
monitorPanel extends java.awt.Panel 
{
    TextArea  textArea;
    TextField textField;
    Label     textLabel;
    int       size = 100;

    monitorTextArea mtx;

    HeartBeat.ReportAdmin myDaemon;
    org.omg.CORBA.ORB orb;

    /**
    */
    public 
    monitorPanel(HeartBeat.ReportAdmin hbd, org.omg.CORBA.ORB _orb)
    {
       orb = _orb;
       myDaemon = hbd;
       setLayout(new BorderLayout());
       Panel p = new Panel();
      
       Panel p1  = new Panel();
       textLabel = new Label();
       textLabel.setText("Enter Array Size");
       p1.add(textLabel);

       Panel p2 = new Panel();
       textField = new TextField(20);
       p2.add(textField);

       Panel p3 = new Panel();
       textArea = new TextArea("",5,80);
       p3.add(textArea);

       mtx = new monitorTextArea(textArea);
       orb.connect(mtx);

       p.setLayout(new GridLayout(2,0));
       p.add(p3);
       p.add(p2);

       add("Center", p);

       validate();

       myDaemon.register(mtx);
       mtx.collect();

    }// end of constructor

    /**
    */
    public boolean 
    action(Event evt, java.lang.Object arg) 
    {
       boolean ret = false;
       java.lang.Object target = evt.target;
       
       if(target==textField) 
       {
          String text = textField.getText();
          System.out.println(" Array Size "+text);
          if(Integer.valueOf(text).intValue()>0) size = Integer.valueOf(text).intValue(); 
          ret = true;
       }

       return ret;

    }

    /**
    */
    public int
    getTestSize() 
    { return size; }

}// end of monitorPanel
