/**
* @date September 17, 1998 ( Last Updated on September 21, 1998)
*/
import java.util.*;

import HeartBeat.*;
import HeartBeat.ReportListenerPackage.*;


/*
*
* Reports to stdout.
*
* It is a HeartBeat.ReportLlistener interface to collect reports generated
* by HeartBeat.ReportAdmin object. It produces textual output. 
*
* @author H. Timucin Ozdemir
* @date September 17, 1998 ( Last Updated on September 21, 1998)
*/
import java.util.*;
public class 
txtReporter extends HeartBeat._ReportListenerImplBase
{
   /** */
   int   collected = 0;

   /**
   */
   public 
   txtReporter() 
   { 
      //org.omg.CORBA.ORB.init().connect(this); 

   }// end of constructor()

   /**
   */
   public void 
   report(HeartBeat.ReportListenerPackage.ServerItem[] rep) 
   {
      collected++;
      Date chechIn;

      System.out.println(" I received report! ");
      if( rep.length>0 )
      {
          System.out.println(" MachineName  Port  Name  LastCheckIn StikeOut ");
          System.out.println(" ============================================= ");

      }// end of if

      for(int i=0;i<rep.length;i++)
      {
          System.out.print(rep[i].machineName+" ");
          System.out.print(rep[i].port+" ");
          System.out.print(rep[i].name+" ");
          GregorianCalendar cl = new GregorianCalendar();
          cl.setTime(new Date(rep[i].last_check_in_time));
          System.out.print(
                           cl.get(Calendar.HOUR_OF_DAY)+":"+
                           cl.get(Calendar.MINUTE)+":"+
                           cl.get(Calendar.SECOND)+" ");
          System.out.println(rep[i].strike_out+" ");
      
      }// end of for

   }// end of report()

   /**
   */
   public void 
   collect() 
   {
       while( collected<10 ) ;

   }// end of report()

}// end of Class txtReporter
