<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet  xmlns:xsl="http://www.w3.org/TR/WD-xsl"
xmlns:html="http://www.w3.org/TR/REC-html40/"
  result-ns="html">

<!-- Root Element -->
<xsl:template match="/">
<HTML>
  <HEAD>
<xsl:for-each select="title">
<title>
<xsl:process-children/>
</title>
</xsl:for-each>
</HEAD>
<body bgcolor="white">
<xsl:process-children/>
</body>
</HTML>
</xsl:template>

<xsl:template match="title">
<center><font color="red"><h1>
<xsl:process-children/>
</h1></font></center>
</xsl:template>

<xsl:template match="p">
<p>
<xsl:process-children/>
</p>
</xsl:template>

<xsl:template match="frameset">
 <table cellspacing="0" border="2" height="85%" width="100%">
    <tr>
<xsl:process-children/>
	</tr>
</table>
</xsl:template>

<xsl:template match="frame">
<td width="{attribute(width)}">
<xsl:process-children/>
</td>
</xsl:template>

<xsl:template match="frames">
<a href="frames.html">frames.html</a>
</xsl:template>

<xsl:template match="noframes">
<a href="noframes.html">noframes.html</a>
</xsl:template>

<xsl:template match="bookList">
 <center>
 <table cellspacing="0" border="2" >
 <tr> 
<td ALIGN="CENTER">Title</td>
<td ALIGN="CENTER">Author</td >
<td ALIGN="CENTER">Year</td >
<td ALIGN="CENTER">ISBN</td >
</tr>
<xsl:process-children/>
</table>
</center>
</xsl:template>

<xsl:template match="book">
    <tr>
<xsl:process-children/>
	</tr>
</xsl:template>

<xsl:template match="btitle">
    <td >
<xsl:process-children/>
	</td>
</xsl:template>

<xsl:template match="author">
    <td >
<xsl:process-children/>
	</td>
</xsl:template>

<xsl:template match="year">
    <td >
<xsl:process-children/>
    </td >
</xsl:template>

<xsl:template match="isbnnum">
    <td >
<xsl:process-children/>
    </td >
</xsl:template>


</xsl:stylesheet>
