/*
 * File: ./HeartBeat/_HeartBeatListenerStub.java
 * From: HeartBeat.idl
 * Date: Mon Oct  5 13:26:50 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package HeartBeat;
public class _HeartBeatListenerStub
	extends org.omg.CORBA.portable.ObjectImpl
    	implements HeartBeat.HeartBeatListener {

    public _HeartBeatListenerStub(org.omg.CORBA.portable.Delegate d) {
          super();
          _set_delegate(d);
    }

    private static final String _type_ids[] = {
        "IDL:HeartBeat/HeartBeatListener:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    //	IDL operations
    //	    Implementation of ::HeartBeat::HeartBeatListener::joinGroup
    public int joinGroup(HeartBeat.HeartBeatListener serverAddress, org.omg.CORBA.StringHolder myName, org.omg.CORBA.StringHolder central)
 {
           org.omg.CORBA.Request r = _request("joinGroup");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _serverAddress = r.add_in_arg();
           HeartBeat.HeartBeatListenerHelper.insert(_serverAddress, serverAddress);
           org.omg.CORBA.Any _myName = r.add_out_arg();
           _myName.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
           org.omg.CORBA.Any _central = r.add_out_arg();
           _central.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
           r.invoke();
           myName.value = _myName.extract_string();
           central.value = _central.extract_string();
           int __result;
           __result = r.return_value().extract_long();
           return __result;
   }
    //	    Implementation of ::HeartBeat::HeartBeatListener::leave
    public void leave(String serverAddress)
 {
           org.omg.CORBA.Request r = _request("leave");
           org.omg.CORBA.Any _serverAddress = r.add_in_arg();
           _serverAddress.insert_string(serverAddress);
           r.invoke();
   }
    //	    Implementation of ::HeartBeat::HeartBeatListener::alive
    public void alive(String serverAddress)
 {
           org.omg.CORBA.Request r = _request("alive");
           org.omg.CORBA.Any _serverAddress = r.add_in_arg();
           _serverAddress.insert_string(serverAddress);
           r.invoke();
   }
    //	    Implementation of ::HeartBeat::HeartBeatListener::areYouAlive
    public boolean areYouAlive()
 {
           org.omg.CORBA.Request r = _request("areYouAlive");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean));
           r.invoke();
           boolean __result;
           __result = r.return_value().extract_boolean();
           return __result;
   }
    //	    Implementation of ::HeartBeat::HeartBeatListener::replace
    public void replace(String prevSName, String currSName, HeartBeat.HeartBeatListener currCentralServerAddress)
 {
           org.omg.CORBA.Request r = _request("replace");
           org.omg.CORBA.Any _prevSName = r.add_in_arg();
           _prevSName.insert_string(prevSName);
           org.omg.CORBA.Any _currSName = r.add_in_arg();
           _currSName.insert_string(currSName);
           org.omg.CORBA.Any _currCentralServerAddress = r.add_in_arg();
           HeartBeat.HeartBeatListenerHelper.insert(_currCentralServerAddress, currCentralServerAddress);
           r.invoke();
   }
    //	    Implementation of ::HeartBeat::HeartBeatListener::updateGroup
    public void updateGroup(HeartBeat.HeartBeatListener centralServerAddress, String[] group)
 {
           org.omg.CORBA.Request r = _request("updateGroup");
           org.omg.CORBA.Any _centralServerAddress = r.add_in_arg();
           HeartBeat.HeartBeatListenerHelper.insert(_centralServerAddress, centralServerAddress);
           org.omg.CORBA.Any _group = r.add_in_arg();
           HeartBeat.HeartBeatListenerPackage.arrayofserversHelper.insert(_group, group);
           r.invoke();
   }
    //	    Implementation of ::HeartBeat::HeartBeatListener::register
    public void register(String hbName, int id, HeartBeat.HeartBeatListener hb)
 {
           org.omg.CORBA.Request r = _request("register");
           org.omg.CORBA.Any _hbName = r.add_in_arg();
           _hbName.insert_string(hbName);
           org.omg.CORBA.Any _id = r.add_in_arg();
           _id.insert_long(id);
           org.omg.CORBA.Any _hb = r.add_in_arg();
           HeartBeat.HeartBeatListenerHelper.insert(_hb, hb);
           r.invoke();
   }

};
