/**
*
* @author H. Timucin Ozdemir
* @date   September 14, 1998 ( Last Updated September 15, 1995)
*
*/
public class 
ServerInfo 
{
    /** */
    String      name;

    /** */
    long        last_check_in_time;

    /** */
    ServerInfo  next;

    /** */
    ServerInfo  previous;

    /** */
    int         missed = 0;
    int         id = 0;
 
    /**
    */
    public ServerInfo(String _name, int _id, long _ctime)
    {
       name = new String(_name);
       last_check_in_time = _ctime;
       next = previous = null;
       id = _id;

    }// end of CONSTUCTOR

    /**
    */
    public int getId() { return id;}

    /**
    */
    public void setNext(ServerInfo _nxt) { next=_nxt; }

    /**
    */
    public ServerInfo getNext() { return next; }

    /**
    */
    public void setPrevious(ServerInfo _prv) { previous=_prv; }

    /**
    */
    public ServerInfo getPrevious() { return previous; }

    /**
    */
    public void setTime(long _time) { last_check_in_time=_time; }

    /**
    */
    public long getTime() { return last_check_in_time; }

    /**
    */
    public int getStrikeOut() { return missed; }

    /**
    */
    public void incrementMiss() { missed++; }

    /**
    */
    public void reset() { missed=0; }

    /**
    */
    public String getName() { return name; }

    /**
    */
    public void insert(ServerInfo sv) 
    { 
       sv.setNext(next);
       if(next!=null) next.setPrevious(sv);
       sv.setPrevious(this);
       this.setNext(sv);

    }// end of insert() 

}// end of ServerInfo()



