/**
*/

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import HeartBeat.*;

import org.omg.CORBA.*;

public class 
monitorPanel extends java.awt.Panel 
             implements java.awt.event.ActionListener
{
    boolean   collecting=false;      
    Button    startB;
    Button    stopB;
    TextArea  textArea;
    TextField textField1;
    TextField textField2;
    Label     textLabel1;
    Label     textLabel2;
    int       size = 100;

    monitorTextArea mtx;

    HeartBeat.ReportAdmin myDaemon;
    org.omg.CORBA.ORB orb;

    Hashtable cmds;
    int       mtxID;

    /**
    */
    public 
    monitorPanel(HeartBeat.ReportAdmin hbd, org.omg.CORBA.ORB _orb)
    {
       orb      = _orb;
       myDaemon = hbd;

       setLayout(new BorderLayout());
       Panel p = new Panel();
      
       Panel p1  = new Panel();

       p1.setLayout(new FlowLayout());
       textLabel1 = new Label();
       textLabel1.setText("Enter JWORB Host Name ");
       textField1 = new TextField(20);
       p1.add(textLabel1);
       p1.add(textField1);

       Panel p2 = new Panel();
       p2.setLayout(new FlowLayout());
       textLabel2 = new Label();
       textLabel2.setText("Enter JWORB Port Number ");
       p2.add(textLabel2);
       textField2 = new TextField(20);
       p2.add(textField2);

       Panel pControl = new Panel();
       startB = new Button(" Start ");
       stopB = new Button(" Stop ");

       startB.setActionCommand("Start");
       stopB.setActionCommand("Stop");

       startB.addActionListener(this);
       stopB.addActionListener(this);
       
       pControl.add(startB);
       pControl.add(stopB);

       Panel p3 = new Panel();
       textArea = new TextArea("",5,80);
       p3.add(textArea);

       Panel p4 = new Panel();
       p4.setLayout(new GridLayout(3,0));
       p4.add(p1);
       p4.add(p2);
       p4.add(pControl);

       p.setLayout(new GridLayout(2,0));
       p.add(p3);
       p.add(p4);

       add("Center", p);

       validate();
       repaint();

       mtx = new monitorTextArea(textArea);
       //org.omg.CORBA.ORB.init().connect(mtx);

       cmds = new Hashtable();
       cmds.put("Start",new StartCollecting(this));
       cmds.put("Stop",new StopCollecting(this));

       startCollecting();

    }// end of constructor

    /**
    */
    public boolean 
    action(Event evt, java.lang.Object arg) 
    {
       boolean ret = false;
       java.lang.Object target = evt.target;
       
       if(target==textField1) 
       {
          String text = textField1.getText();
          System.out.println(" Host Name "+text);
          //if(Integer.valueOf(text).intValue()>0) size = Integer.valueOf(text).intValue(); 
          ret = true;
       }

       return ret;

    }// ens of action()

    /**
    */
    public int
    getTestSize() 
    { return size; }

    /**
    */
    public void
    actionPerformed(ActionEvent e) 
    { 
       System.out.println(" ActionCommand :"+e.getActionCommand());
       Command cm = (Command)cmds.get(e.getActionCommand());

       if(cm!=null) cm.execute();

    }// end of actionPerformed()

    /**
    */
    public void
    startCollecting() 
    { 
       if(!collecting)
       { 
          myDaemon.register(mtx);
          mtx.collect();
          collecting=true;
       } else System.out.println(" It is already collecting!");

    }// end of startCollecting()

    /**
    */
    public void
    stopCollecting() 
    { 
       if(collecting)
       {
         myDaemon.remove(mtx);
         collecting=false;

       }
       else System.out.println(" It is not collecting!");

    }// end of stopCollecting()

}// end of monitorPanel

class StartCollecting implements Command
{
   monitorPanel father;

   public StartCollecting(monitorPanel _father)
   { father=_father; }

   public final void execute()
   {
     if(father!=null) father.startCollecting();
   }// end of execute()

}// end of StartCollecting()

class StopCollecting implements Command
{
   monitorPanel father;

   public StopCollecting(monitorPanel _father)
   { father=_father; }

   public final void execute()
   {
     if(father!=null) father.stopCollecting();
   }// end of execute()

}// end of StopCollecting

