/**
* A simple test for remote invocations.
*
* <p>
* It reads IOR of the test object from file IOR in the current directory 
* unless user provides another file name for this.
*
* <p>
* Usage : java test1Client [<IOR_file_name>]
*
* @author H. Timucin Ozdemir
* @date  July 6, 1998
*
*/

import org.omg.CosNaming.*;  
import org.omg.CORBA.*;     

import java.net.*;
import java.io.*;
import java.util.*;

import jworbTest1Package.*;

public class 
testORG
{
    private static final String ORBSingletonClassKey = "org.omg.CORBA.ORBSingletonClass";


    /**
    */
    public static void 
    main(String args[]) 
    {
        ORB orb = org.omg.CORBA.ORB.init();
        System.out.println("orb class "+orb.getClass().getName());
        System.out.println("set "+System.getProperty(ORBSingletonClassKey));
        System.out.println("set2 "+System.getProperty("DISPLAY"));

    }// end of main()

}// end of Class testORG 
