/*
 * File: ./org/omg/CORBA/InterfaceDefPackage/FullInterfaceDescriptionHelper.java
 * From: ir.idl
 * Date: Wed Aug 19 15:28:56 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package org.omg.CORBA.InterfaceDefPackage;
public class FullInterfaceDescriptionHelper {
     // It is useless to have instances of this class
     private FullInterfaceDescriptionHelper() { }

    public static void write(org.omg.CORBA.portable.OutputStream out, org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription that) {
	out.write_string(that.name);
	out.write_string(that.id);
	out.write_string(that.defined_in);
	out.write_string(that.version);
	{
	    out.write_long(that.operations.length);
	    for (int __index = 0 ; __index < that.operations.length ; __index += 1) {
	        org.omg.CORBA.OperationDescriptionHelper.write(out, that.operations[__index]);
	    }
	}
	{
	    out.write_long(that.attributes.length);
	    for (int __index = 0 ; __index < that.attributes.length ; __index += 1) {
	        org.omg.CORBA.AttributeDescriptionHelper.write(out, that.attributes[__index]);
	    }
	}
	{
	    out.write_long(that.base_interfaces.length);
	    for (int __index = 0 ; __index < that.base_interfaces.length ; __index += 1) {
	        out.write_string(that.base_interfaces[__index]);
	    }
	}
	out.write_TypeCode(that.type);
    }
    public static org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription read(org.omg.CORBA.portable.InputStream in) {
        org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription that = new org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription();
	that.name = in.read_string();
	that.id = in.read_string();
	that.defined_in = in.read_string();
	that.version = in.read_string();
	{
	    int __length = in.read_long();
	    that.operations = new org.omg.CORBA.OperationDescription[__length];
	    for (int __index = 0 ; __index < that.operations.length ; __index += 1) {
	        that.operations[__index] = org.omg.CORBA.OperationDescriptionHelper.read(in);
	    }
	}
	{
	    int __length = in.read_long();
	    that.attributes = new org.omg.CORBA.AttributeDescription[__length];
	    for (int __index = 0 ; __index < that.attributes.length ; __index += 1) {
	        that.attributes[__index] = org.omg.CORBA.AttributeDescriptionHelper.read(in);
	    }
	}
	{
	    int __length = in.read_long();
	    that.base_interfaces = new String[__length];
	    for (int __index = 0 ; __index < that.base_interfaces.length ; __index += 1) {
	        that.base_interfaces[__index] = in.read_string();
	    }
	}
	that.type = in.read_TypeCode();
        return that;
    }
   public static org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription extract(org.omg.CORBA.Any a) {
     org.omg.CORBA.portable.InputStream in = a.create_input_stream();
     return read(in);
   }
   public static void insert(org.omg.CORBA.Any a, org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription that) {
     org.omg.CORBA.portable.OutputStream out = a.create_output_stream();
     write(out, that);
     a.read_value(out.create_input_stream(), type());
   }
   private static org.omg.CORBA.TypeCode _tc;
   synchronized public static org.omg.CORBA.TypeCode type() {
       int _memberCount = 8;
       org.omg.CORBA.StructMember[] _members = null;
          if (_tc == null) {
               _members= new org.omg.CORBA.StructMember[8];
               _members[0] = new org.omg.CORBA.StructMember(
                 "name",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[1] = new org.omg.CORBA.StructMember(
                 "id",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[2] = new org.omg.CORBA.StructMember(
                 "defined_in",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[3] = new org.omg.CORBA.StructMember(
                 "version",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string),
                 null);

               _members[4] = new org.omg.CORBA.StructMember(
                 "operations",
                 org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.OperationDescriptionHelper.type()),
                 null);

               _members[5] = new org.omg.CORBA.StructMember(
                 "attributes",
                 org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.AttributeDescriptionHelper.type()),
                 null);

               _members[6] = new org.omg.CORBA.StructMember(
                 "base_interfaces",
                 org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string)),
                 null);

               _members[7] = new org.omg.CORBA.StructMember(
                 "type",
                 org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_TypeCode),
                 null);
             _tc = org.omg.CORBA.ORB.init().create_struct_tc(id(), "FullInterfaceDescription", _members);
          }
      return _tc;
   }
   public static String id() {
       return "IDL:omg.org/CORBA/InterfaceDef/FullInterfaceDescription:1.0";
   }
}
