
import org.omg.CORBA.*;

import AnyTest.*;

/**
*/
public class AnyServant extends AnyTest._aTestImplBase
{

  public AnyServant() {}

  /**
  */
  public org.omg.CORBA.Any 
  pingString(org.omg.CORBA.Any data) throws AnyTest.IllegalType
  {
     System.out.println(" (AnyServant) received type:"+TCtoStr.IDLtypeName(data.type())); 
     if( data.type().kind() != TCKind.tk_string )
         throw new AnyTest.IllegalType();
     System.out.println(" (AnyServant) received: "+data.extract_string());
     return data;
     
  }// end of pingString()

  /**
  */
  public String
  pingString2(String data) 
  {
     System.out.println(" (AnyServant) received: "+data);

     return data;
     
  }// end of pingString2()

  /**
  */
  public org.omg.CORBA.Any 
  pingInteger(org.omg.CORBA.Any data) throws AnyTest.IllegalType
  {
     System.out.println(" (AnyServant) received type:"+TCtoStr.IDLtypeName(data.type())); 
     if( data.type().kind() != TCKind.tk_long )
         throw new AnyTest.IllegalType();
     return data;
     
  }// end of pingInteger()

  /**
  */
  public org.omg.CORBA.Any 
  pingMessage(org.omg.CORBA.Any data) throws AnyTest.IllegalType
  {
     System.out.println(" (AnyServant) received type:"+TCtoStr.IDLtypeName(data.type())); 
     if( !data.type().equal(data.type()) ) throw new AnyTest.IllegalType();
     message d = AnyTest.messageHelper.extract(data);
     System.out.println(" (AnyServant) msg:"+d.msg);
     return data;
     
  }// end of pingMessage()

}// end of AnyServant
