
import org.omg.CORBA.*;

public class TCtoStr
{
    /**
    */
    public static final String
    IDLtypeName( TypeCode tc )  
    {
        String ret;

        switch( from_TCKind(tc.kind()) )
        {
            case   TCKind._tk_objref:
                          ret = new String("objref"); break;
            case   TCKind._tk_struct:
                          ret = new String("struct"); break;
            case   TCKind._tk_union:
                          ret = new String("union"); break;
            case   TCKind._tk_enum:
                          ret = new String("enum"); break;
            case   TCKind._tk_alias:
                          ret = new String("alias"); break;
            case   TCKind._tk_except :
                          ret = new String("expect"); break;
            case   TCKind._tk_void:
                          ret = new String("void"); break;
            case   TCKind._tk_string:
                          ret = new String("string"); break;
            case   TCKind._tk_array:
                          ret = new String("array"); break;
            case   TCKind._tk_long:
                          ret = new String("long"); break;
            case   TCKind._tk_short:
                          ret = new String("short"); break;
            case   TCKind._tk_float:
                          ret = new String("float"); break;
            case   TCKind._tk_double:
                          ret = new String("double"); break;
            case   TCKind._tk_boolean:
                          ret = new String("boolean"); break;
            case   TCKind._tk_octet:
                          ret = new String("octet"); break;
            case   TCKind._tk_char:
                          ret = new String("char"); break;
            case   TCKind._tk_any:
                          ret = new String("any"); break;
            case   TCKind._tk_sequence:
                          ret = new String("sequence "); break;
            default: ret =  new String("*no typeName for TK "+tc+"*");

        }// end of switch

        return ret;

    }// end of IDLtypeName()

    public static int
    from_TCKind(TCKind t)
    {
       int ret = -1;

       if(t==TCKind.tk_null) ret = TCKind._tk_null;
       else if(t==TCKind.tk_void) ret = TCKind._tk_void;
       else if(t==TCKind.tk_short) ret = TCKind._tk_short;
       else if(t==TCKind.tk_long) ret = TCKind._tk_long;
       else if(t==TCKind.tk_ushort) ret = TCKind._tk_ushort;
       else if(t==TCKind.tk_ulong) ret = TCKind._tk_ulong;
       else if(t==TCKind.tk_float) ret = TCKind._tk_float;
       else if(t==TCKind.tk_double) ret = TCKind._tk_double;
       else if(t==TCKind.tk_boolean) ret = TCKind._tk_boolean;
       else if(t==TCKind.tk_char) ret = TCKind._tk_char;
       else if(t==TCKind.tk_octet) ret = TCKind._tk_octet;
       else if(t==TCKind.tk_any) ret = TCKind._tk_any;
       else if(t==TCKind.tk_TypeCode) ret = TCKind._tk_TypeCode;
       else if(t==TCKind.tk_Principal) ret = TCKind._tk_Principal;
       else if(t==TCKind.tk_objref) ret = TCKind._tk_objref;
       else if(t==TCKind.tk_struct) ret = TCKind._tk_struct;
       else if(t==TCKind.tk_union) ret = TCKind._tk_union;
       else if(t==TCKind.tk_enum) ret = TCKind._tk_enum;
       else if(t==TCKind.tk_string) ret = TCKind._tk_string;
       else if(t==TCKind.tk_sequence) ret = TCKind._tk_sequence;
       else if(t==TCKind.tk_array) ret = TCKind._tk_array;
       else if(t==TCKind.tk_alias) ret = TCKind._tk_alias;
       else if(t==TCKind.tk_except) ret = TCKind._tk_except;
       else if(t==TCKind.tk_longlong) ret = TCKind._tk_longlong;
       else if(t==TCKind.tk_ulonglong) ret = TCKind._tk_ulonglong;
       else if(t==TCKind.tk_longdouble) ret = TCKind._tk_longdouble;
       else if(t==TCKind.tk_wchar) ret = TCKind._tk_wchar;
       else if(t==TCKind.tk_wstring) ret = TCKind._tk_wstring;
       else if(t==TCKind.tk_fixed) ret = TCKind._tk_fixed;

       return ret;

    }// end of from_TCKind()

}// end of TCtoStr
