/**
 * This software is (c) Copyright IONA Technologies Limited 1995-1997.
 * All Rights Reserved
 */

package WebChat;

//import IE.Iona.OrbixWeb._OrbixWeb;
//import IE.Iona.OrbixWeb.Features.Config;
//import org.omg.CORBA.ORB;
import java.awt.*;
import org.omg.CORBA.*;
import java.lang.Object;

/**
 * This class is used to display dialog error messages.
 */

public class MsgDialog extends Frame {

  protected Button button;
  protected WebChat.Msg label;

  public MsgDialog(String title, String message)
  {
    super (title);
    Panel buttonPanel;

    // set layout manager
    this.setLayout(new BorderLayout(15, 15));

    // create message component and add to window
    label = new Msg (message, 20, 20);
    this.add ("Center", label);

    // create button and add to window
    button = new Button ("Dismiss");
    buttonPanel = new Panel ();
    buttonPanel.setLayout (new FlowLayout (FlowLayout.CENTER, 15, 15));
    buttonPanel.add (button);
    this.add ("South", buttonPanel);

    // resize the window to the preferred size of its components
    this.pack();
  }

  public boolean action(Event e, Object arg)
  {
    if (e.target == button) {
      // pop down window
      this.hide();
      this.dispose();
      return true;
    }
    else return false;
  }

  public boolean gotFocus(Event e, Object arg) {
    // give focus to button
    button.requestFocus();
    return true;
  }
}
