/*
 * File: ./CosEventChannelAdmin/_ProxyPullSupplierStub.java
 * From: CosEventChannelAdmin.idl
 * Date: Thu Dec 18 12:29:10 1997
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package CosEventChannelAdmin;
public class _ProxyPullSupplierStub
	extends org.omg.CORBA.portable.ObjectImpl
    	implements CosEventChannelAdmin.ProxyPullSupplier {

    public _ProxyPullSupplierStub(org.omg.CORBA.portable.Delegate d) {
          super();
          _set_delegate(d);
    }

    private static final String _type_ids[] = {
        "IDL:CosEventChannelAdmin/ProxyPullSupplier:1.0",
        "IDL:CosEventComm/PullSupplier:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    //	IDL operations
    //	    Implementation of ::CosEventComm::PullSupplier::pull
    public String pull()
        throws CosEventComm.Disconnected {
           org.omg.CORBA.Request r = _request("pull");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
           r.exceptions().add(CosEventComm.DisconnectedHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(CosEventComm.DisconnectedHelper.type())) {
                   throw CosEventComm.DisconnectedHelper.extract(__userEx.except);
               }
           }
           String __result;
           __result = r.return_value().extract_string();
           return __result;
   }
    //	    Implementation of ::CosEventComm::PullSupplier::try_pull
    public String try_pull(org.omg.CORBA.BooleanHolder has_event)
        throws CosEventComm.Disconnected {
           org.omg.CORBA.Request r = _request("try_pull");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
           org.omg.CORBA.Any _has_event = r.add_out_arg();
           _has_event.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean));
           r.exceptions().add(CosEventComm.DisconnectedHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(CosEventComm.DisconnectedHelper.type())) {
                   throw CosEventComm.DisconnectedHelper.extract(__userEx.except);
               }
           }
           has_event.value = _has_event.extract_boolean();
           String __result;
           __result = r.return_value().extract_string();
           return __result;
   }
    //	    Implementation of ::CosEventComm::PullSupplier::disconnect_pull_supplier
    public void disconnect_pull_supplier()
 {
           org.omg.CORBA.Request r = _request("disconnect_pull_supplier");
           r.invoke();
   }
    //	    Implementation of ::CosEventChannelAdmin::ProxyPullSupplier::connect_pull_consumer
    public void connect_pull_consumer(CosEventComm.PullConsumer pull_consumer)
        throws CosEventChannelAdmin.AlreadyConnected {
           org.omg.CORBA.Request r = _request("connect_pull_consumer");
           org.omg.CORBA.Any _pull_consumer = r.add_in_arg();
           CosEventComm.PullConsumerHelper.insert(_pull_consumer, pull_consumer);
           r.exceptions().add(CosEventChannelAdmin.AlreadyConnectedHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(CosEventChannelAdmin.AlreadyConnectedHelper.type())) {
                   throw CosEventChannelAdmin.AlreadyConnectedHelper.extract(__userEx.except);
               }
           }
   }

};
