#include "DisPdu203.h"

/*
#include "McmPdu.h"
#include "CmsPdu.h"

#include "dis203_values.h"
#include "dis203_entities.h"

#include "p_dis203.h" 
#include "p_dis203exp.h" 

#include "Minefield.h"
#include "AtWideArea.h"
#include "CmsControl.h"
#include "Emission.h"

#include <math.h>
#include <stdio.h>
#include <iostream.h>
#include <stdlib.h>

// Temporary solution to set fusing field in response pdu Qrp3

const TKeywordEntry cDisPduType::fKeyPduType[epdukwSizeTable] = {
   "None", ekeyInt,
   "EntityState", ekeyInt,
   "Fire", ekeyInt,
   "Detonation", ekeyInt,
   "Collision", ekeyInt,
   "ServiceRequest", ekeyInt,
   "ResupplyOffer", ekeyInt,
   "ResupplyReceived", ekeyInt,
   "ResupplyCancel", ekeyInt,
   "RepairComplete", ekeyInt,
   "RepairResponse", ekeyInt,
   "CreateEntity", ekeyInt,
   "RemoveEntity", ekeyInt,
   "StartResume", ekeyInt,
   "StopFreeze", ekeyInt,
   "Acknowledge", ekeyInt,
   "ActionRequest", ekeyInt,
   "ActionResponse", ekeyInt,
   "DataQuery", ekeyInt,
   "SetData", ekeyInt,
   "Data", ekeyInt,
   "EventReport", ekeyInt,
   "Message", ekeyInt,
   "Emission", ekeyInt,
   "Laser", ekeyInt,
   "Transmitter", ekeyInt,
   "Signal", ekeyInt,
   "Receiver", ekeyInt,
   "CpSequencer", ekeyInt,
   "CpNACK", ekeyInt,
   "ExpEnvironment", ekeyInt,
   "CpMinefield", ekeyInt,
   "CpMines", ekeyInt,
   "MinefieldRequest", ekeyInt,
   "MinefieldResponse", ekeyInt,
   "MinefieldState", ekeyInt,
   "MinefieldNACK", ekeyInt,
   "ViewControl", ekeyInt,
};
*/

cDisPduType::cDisPduType(void)
{
   for (int i=0; i<256; i++) {
      pdu[i] = (uint8) i;
   }
}
/*
void  cDisPduType::ReadPduType( cInFileObj& infile )
   // reads one entry in the munition-detonation table
{
	EBoolean done = false;
	EBoolean success = true;
   EFileReturn    returnCode;
   int            returnIndex;
   void*          returnVal = NULL;
    
   
   do {
      returnCode = infile.ReadItem( fKeyPduType, epdukwSizeTable,
            &returnIndex, &returnVal );
      switch( returnCode ) {
         case eLevelDone:      // done with param set
            done = true;
            break;

         case eFileNoErr:
	    switch (returnIndex) {
	        case epdukwEntityState:
		  pdu[epduTypeEntityState] = (uint8)*((int*)returnVal);
                     delete returnVal;
							returnVal = NULL;
	          break;

	        case epdukwFire:
		  pdu[epduTypeFire] = (uint8)*((int*)returnVal);
                     delete returnVal;
							returnVal = NULL;
	          break;

	        case epdukwDetonation:
	          pdu[epduTypeDetonation] = (uint8)*((int*)returnVal);
                     delete returnVal;
							returnVal = NULL;
	          break;

	        case epdukwCollision:
		  pdu[epduTypeCollision] = (uint8)*((int*)returnVal);
                     delete returnVal;
							returnVal = NULL;
	          break;

               case epdukwServiceRequest:
		  pdu[epduTypeServiceRequest] = (uint8)*((int*)returnVal);
                     delete returnVal;
							returnVal = NULL;
                  break;

               case epdukwResupplyOffer:
		  pdu[epduTypeResupplyOffer] = (uint8)*((int*)returnVal);
                     delete returnVal;
							returnVal = NULL;
                  break;

	    case epdukwResupplyReceived:
	       pdu[epduTypeResupplyReceived] = *(uint8*)returnVal;
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwResupplyCancel:
	       pdu[epduTypeResupplyCancel] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwRepairComplete:
	       pdu[epduTypeRepairComplete] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

                case epdukwRepairResponse:
		   pdu[epduTypeRepairResponse] = (uint8)*((int*)returnVal);
		      delete returnVal;
		                                        returnVal = NULL;
		   break;

	    case epdukwCreateEntity:
	       pdu[epduTypeCreateEntity] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwRemoveEntity:
	       pdu[epduTypeRemoveEntity] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwStartResume:
	       pdu[epduTypeStartResume] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwStopFreeze:
	       pdu[epduTypeStopFreeze] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwAcknowledge:
	       pdu[epduTypeAcknowledge] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwActionRequest:
	       pdu[epduTypeActionRequest] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwActionResponse:
	       pdu[epduTypeActionResponse] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwDataQuery:
	       pdu[epduTypeDataQuery] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwSetData:
	       pdu[epduTypeSetData] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwData:
	       pdu[epduTypeData] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwEventReport:
	       pdu[epduTypeEventReport] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwMessage:
	       pdu[epduTypeMessage] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwEmission:
	       pdu[epduTypeEmission] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwLaser:
	       pdu[epduTypeLaser] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwTransmitter:
	       pdu[epduTypeTransmitter] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwSignal:
	       pdu[epduTypeSignal] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwReceiver:
	       pdu[epduTypeReceiver] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

                
	    case epdukwExpEnvironment:
	       pdu[epduTypeExpEnvironment] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwCpMinefield:
	       pdu[epduTypeCpMinefield] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwCpMines:
	       pdu[epduTypeCpMines] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

                
	    case epdukwMinefieldRequest:
	       pdu[epduTypeMinefieldRequest] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwMinefieldResponse:
	       pdu[epduTypeMinefieldResponse] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwMinefieldState: 
	       pdu[epduTypeMinefieldState] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;

	    case epdukwViewControl: 
	       pdu[epduTypeViewControl] = (uint8)*((int*)returnVal);
	             delete returnVal;
	                                                returnVal = NULL;
	       break;


               default: // what?
                     success =  false;
                  break;
            }
            break;

         default: // error getting next token
            Assert(false, kerrReadParamfile, "cDetonation::ReadParamMunDetType");
            success =   false;
      }
   } while( !done );
   
}

const  float     cDisPdu::fsDefaultPlowDepth = 12.0 / 39.37;

TTimeSim     cCpManager::fsHeartbeat = 30.0 * kSecToSimTime;


TEntityID        cDisPdu::CmsEntID(const DIS203_ENTITY_ID_RECORD & id)
{
   return TEntityID(id.simulation_address.site_id, id.simulation_address.application_id, id.entity_id);
}

EForce           cDisPdu::CmsForce( void* pForce)
{
   return EForce( *( (DIS203_FORCE_ID_TYPE*)pForce ) );
}

TEntityType      cDisPdu::CmsEntType(const DIS203_ENTITY_TYPE_RECORD & type)
{
   return TEntityType(type.kind, type.domain, type.country, type.category,
                      type.subcategory, type.specific, type.extra);
}

EAppearance      cDisPdu::CmsVehAppear(const DIS203_ENTITY_APPEARANCE_TYPE & appear)
{
   if ( (appear & DIS203_ENTITY_APPEARANCE_GENERAL_DAMAGE_DESTROYED)
         == DIS203_ENTITY_APPEARANCE_GENERAL_DAMAGE_DESTROYED )
      return eAprDestroyed;
   else if (appear & DIS203_ENTITY_APPEARANCE_GENERAL_MOBILITY_KILL_YES) {
      if (appear & DIS203_ENTITY_APPEARANCE_GENERAL_FIRE_POWER_KILL_YES)
         return eAprImmobNoFire;
      else
         return eAprImmobile;
   }
   else if (appear & DIS203_ENTITY_APPEARANCE_GENERAL_FIRE_POWER_KILL_YES) {
      return eAprNoFire;
   }
   else
      return eAprStandard;
}

EDeadReckonAlg   cDisPdu::CmsVehDr(const DIS203_DEAD_RECKONING_ALGORITHM_TYPE & alg)
{
   return EDeadReckonAlg(alg);
}

TLocation          cDisPdu::CmsVehLoc(const DIS203_WORLD_COORDINATES_RECORD & loc)
{
   return TLocation(loc.x, loc.y, loc.z);
}

TEntCoord        cDisPdu::CmsEntLoc(const DIS203_ENTITY_COORDINATE_VECTOR_RECORD & loc)
{
   return TEntCoord(loc.x, loc.y, loc.z);
}

TVelocity         cDisPdu::CmsVehVel(const DIS203_LINEAR_VELOCITY_VECTOR_RECORD & vel)
{
   return TVelocity(vel.x, vel.y, vel.z);
}

TOrient       cDisPdu::CmsVehOrient(const DIS203_EULER_ANGLES_RECORD & orient)
{
   return TOrient(orient.psi, orient.theta, orient.phi);
}

TAccel        cDisPdu::CmsVehAccel(const DIS203_LINEAR_ACCELERATION_VECTOR_RECORD & accel)
{
   return TAccel(accel.x, accel.y, accel.z);
}

TAngVel       cDisPdu::CmsVehAngVel(const DIS203_ANGULAR_VELOCITY_VECTOR_RECORD & angVel)
{
   return TAngVel(angVel.rate_about_x_axis, angVel.rate_about_y_axis, angVel.rate_about_z_axis);
}

EWarhead      cDisPdu::CmsWarhead(const DIS203_WARHEAD_TYPE warhead)
{
   return  (EWarhead)warhead;
}

EFuze         cDisPdu::CmsFuze(const DIS203_FUZE_TYPE fuze)
{
   return  (EFuze)fuze;
}

EDetonResult  cDisPdu::CmsDetResult(const void* pDisResult)
{
   return  EDetonResult ( * (const DIS203_DETONATION_RESULT_TYPE*) pDisResult );
}

void  cDisPdu::SetArticPartParams(const DIS203_ARTICULATION_PARAMETER_RECORD& partRec,
                        TVehPart* pPart)
{
   unsigned int artType = partRec.parameter_type.value >> 5;
   
   switch (artType) {
      case ePartNumFwmP:
            pPart->SetPartType(ePrtFullPlow);
            if ( partRec.parameter_value.numeric.value <= 0.0)
               pPart->SetDepth( fsDefaultPlowDepth );
            else
               pPart->SetDepth( - fsDefaultPlowDepth );
         break;
   
      case ePartNumTwmP:
            pPart->SetPartType(ePrtTrackPlow);
            if ( partRec.parameter_value.numeric.value <= 0.0)
               pPart->SetDepth( fsDefaultPlowDepth );
            else
               pPart->SetDepth( - fsDefaultPlowDepth );
         break;
     
      case ePartNumFwmR:
            pPart->SetPartType(ePrtFullRake);
            if ( partRec.parameter_value.numeric.value <= 0.0)
               pPart->SetDepth( fsDefaultPlowDepth );
            else
               pPart->SetDepth( - fsDefaultPlowDepth );
         break;
   
      case ePartNumTwmR:
            pPart->SetPartType(ePrtTrackRoller);
         break;
   
      case ePartNumDb:
            pPart->SetPartType(ePrtDogbone);
         break;
   
      case ePartNumORSMC:
            pPart->SetPartType(ePrtORSMC);
         break;
   
      case ePartNumMagCm:
            pPart->SetPartType(ePrtMagCm);
         break;
   
      case ePartNumPrimTurret1:
      case ePartNumPrimTurret2:
      case ePartNumPrimTurret3:
      case ePartNumPrimTurret4:
      case ePartNumPrimTurret5:
      case ePartNumPrimTurret6:
      case ePartNumPrimTurret7:
      case ePartNumPrimTurret8:
      case ePartNumPrimTurret9:
      case ePartNumPrimTurret10:
            pPart->SetPartType(ePrtTurret);
         break;
         
      default:
            pPart->SetPartType(ePrtOther);
   }
}

EPartParam  cDisPdu::CmsAttachPartType(const DIS203_PARAMETER_TYPE_TYPE type)
{
   unsigned int artType = type & 0x7FFFFFFF ;
   switch (artType) {
      case ePartNumMagCm:
            return ePrtMagCm;
//         break;
   }
   return ePrtOther;
}

DIS203_ENTITY_ID_RECORD         cDisPduTranslator::DisEntID(const TEntityID & id)
{   
   DIS203_ENTITY_ID_RECORD disID;      // initializer not implemented
   disID.simulation_address.site_id        = id.site;
   disID.simulation_address.application_id = id.application;
   disID.entity_id                         = id.entityNum;
   return disID;
}

DIS203_ENTITY_ID_RECORD         cDisPduTranslator::DisEntID(unsigned short idNum)
{   
   DIS203_ENTITY_ID_RECORD disID;
   disID.entity_id                         = idNum;

   if (idNum) {
      disID.simulation_address.site_id        = gCmsMgr.GetSite();
      disID.simulation_address.application_id = gCmsMgr.GetApplication();
   }
   else {
      disID.simulation_address.site_id        = 0;
      disID.simulation_address.application_id = 0;
   }
   
   return disID;
}

DIS203_EVENT_ID_RECORD         cDisPduTranslator::DisEventID(const TEntityID & id)
{   
   DIS203_EVENT_ID_RECORD disID;      // initializer not implemented
   disID.simulation_address.site_id        = id.site;
   disID.simulation_address.application_id = id.application;
   disID.event_id                          = id.entityNum;
   return disID;
}

DIS203_EVENT_ID_RECORD         cDisPduTranslator::DisEventID(unsigned short idNum)
{   
   DIS203_EVENT_ID_RECORD disID;      // initializer not implemented
   disID.simulation_address.site_id        = gCmsMgr.GetSite();
   disID.simulation_address.application_id = gCmsMgr.GetApplication();
   disID.event_id                          = idNum;
   return disID;
}

void            cDisPduTranslator::DisForce(void* pDisForce, EForce force)
{
   * (DIS203_FORCE_ID_TYPE*)pDisForce = force;
}

DIS203_ENTITY_TYPE_RECORD       cDisPduTranslator::DisEntType(const TEntityType & type)
{
   DIS203_ENTITY_TYPE_RECORD disType;
   disType.kind = type.kind;
   disType.domain = type.domain;
   disType.country = type.country;
   disType.category = type.category;
   disType.subcategory = type.subcategory;
   disType.specific = type.specific;
   disType.extra = type.extra;
   return disType;
}

DIS203_ENTITY_APPEARANCE_TYPE   cDisPduTranslator::DisVehAppear(EAppearance appear)
{
   switch (appear) {
      case eAprStandard:
            return DIS203_ENTITY_APPEARANCE_GENERAL_STANDARD_APPEARANCE;
         //break;
   
      case eAprImmobile:
            return DIS203_ENTITY_APPEARANCE_GENERAL_MOBILITY_KILL_YES;
         //break;
   
      case eAprNoFire:
            return DIS203_ENTITY_APPEARANCE_GENERAL_FIRE_POWER_KILL_YES;
         //break;
   
      case eAprImmobNoFire:
            return  ( DIS203_ENTITY_APPEARANCE_GENERAL_MOBILITY_KILL_YES &
                      DIS203_ENTITY_APPEARANCE_GENERAL_FIRE_POWER_KILL_YES );
         //break;
   
      case eAprDestroyed:
            return DIS203_ENTITY_APPEARANCE_GENERAL_DAMAGE_DESTROYED;
         //break;
   
      case eAprDeact:
            return (unsigned long)k204AppearanceDeactivated;
         //break;
         
   }
   return 0;
}

DIS203_DEAD_RECKONING_ALGORITHM_TYPE  cDisPduTranslator::DisVehDr(EDeadReckonAlg alg)
{
   return EDeadReckonAlg(alg);
}

DIS203_PARAMETER_TYPE_TYPE      cDisPduTranslator::DisVehPartParam(EPartParam , const EPartValueType & )
{
   return DIS203_ARTICULATED_PART_EMPTY;
}

DIS203_WORLD_COORDINATES_RECORD    cDisPduTranslator::DisVehLoc(const TLocation & loc)
{
   DIS203_WORLD_COORDINATES_RECORD   disLoc;
   disLoc.x = loc.x;
   disLoc.y = loc.y;
   disLoc.z = loc.z;
   return disLoc;
}

DIS203_ENTITY_COORDINATE_VECTOR_RECORD    cDisPduTranslator::DisEntLoc(const TEntCoord & loc)
{
   DIS203_ENTITY_COORDINATE_VECTOR_RECORD   disLoc;
   disLoc.x = loc.x;
   disLoc.y = loc.y;
   disLoc.z = loc.z;
   return disLoc;
}

DIS203_ENTITY_COORDINATE_VECTOR_RECORD    cDisPduTranslator::DisEntLoc(const T3Ddouble & loc)
{
   DIS203_ENTITY_COORDINATE_VECTOR_RECORD   disLoc;
   disLoc.x = loc.x;
   disLoc.y = loc.y;
   disLoc.z = loc.z;
   return disLoc;
}

DIS203_LINEAR_VELOCITY_VECTOR_RECORD   cDisPduTranslator::DisVehVel(const TVelocity & vel)
{
   DIS203_LINEAR_VELOCITY_VECTOR_RECORD   disVel;
   disVel.x = vel.x;
   disVel.y = vel.y;
   disVel.z = vel.z;
   return disVel;
}

DIS203_EULER_ANGLES_RECORD      cDisPduTranslator::DisVehOrient(const TOrient & orient)
{
   DIS203_EULER_ANGLES_RECORD   disOrient;
   disOrient.psi   = orient.psi;
   disOrient.theta = orient.theta;
   disOrient.phi   = orient.phi;
   return disOrient;
}

DIS203_LINEAR_ACCELERATION_VECTOR_RECORD   cDisPduTranslator::DisVehAccel(const TAccel & accel)
{
   DIS203_LINEAR_ACCELERATION_VECTOR_RECORD   disAccel;
   disAccel.x = accel.x;
   disAccel.y = accel.y;
   disAccel.z = accel.z;
   return disAccel;
}

DIS203_ANGULAR_VELOCITY_VECTOR_RECORD     cDisPduTranslator::DisVehAngVel(const TAngVel & angVel)
{
   DIS203_ANGULAR_VELOCITY_VECTOR_RECORD   disangVel;
   disangVel.rate_about_x_axis = angVel.x;
   disangVel.rate_about_y_axis = angVel.y;
   disangVel.rate_about_z_axis = angVel.z;
   return disangVel;
}

DIS203_BURST_DESCRIPTOR_RECORD     cDisPduTranslator::DisBurstDesc( 
                                    const TEntityType & type, EWarhead warhead, EFuze fuze)
{
   DIS203_BURST_DESCRIPTOR_RECORD burst;
   burst.munition.kind       = type.kind;
   burst.munition.domain     = type.domain;
   burst.munition.country    = type.country;
   burst.munition.category    = type.category;
   burst.munition.subcategory = type.subcategory;
   burst.munition.specific    = type.specific;
   burst.munition.extra       = type.extra;
   burst.warhead  = (DIS203_WARHEAD_TYPE) warhead;
   burst.fuze     = (DIS203_FUZE_TYPE) fuze;
   burst.quantity = 1;
   burst.rate     = 0;
   
   return burst;
}

DIS203_DETONATION_RESULT_TYPE      cDisPduTranslator::DisDetonResult( EDetonResult result )
{
   return (DIS203_DETONATION_RESULT_TYPE)result;
}
*/

void      cDisPduTranslator::ReceivePdu(void * buf, TTimeSim timeDelta)
{
   if ( VerifyPdu(buf) ) {
      int   pduType = GetPduType( buf );
         if (pduType == (int)gPduType.pdu[epduTypeEntityState]) {
                  cout << "ES pdu " << pduType << endl;
	 }
         else if (pduType == (int)gPduType.pdu[epduTypeDetonation]) {
                  cout << "Det pdu " << pduType << endl;
	 }
         else if (pduType == (int)gPduType.pdu[epduTypeMinefieldRequest]) {
                  cout << "Mf req pdu " << pduType << endl;
	 }
         else if (pduType == (int)gPduType.pdu[epduTypeEmission]) {
                  cout << "Emission pdu " << pduType << endl;
	 }
         else if (pduType == 175/*(int)gPduType.pdu[epduTypeCpMinefield]*/) {
                  cout << "CP minefield pdu " << pduType << endl;
	 }
         else if (pduType == 176/*(int)gPduType.pdu[epduTypeCpMines]*/) {
                  cout << "CP mines pdu " << pduType << endl;
	 }
         else if (pduType == (int)gPduType.pdu[epduTypeExpEnvironment]) {
		   cout << "Environment pdu " << pduType << endl;
	 }
	     else if (pduType == (int)gPduType.pdu[epduTypeTransmitter]) {
		   cout << "Transmitter pdu " << pduType <<endl;
	 }
            
         else {
		   cout << "unprocessed pdu type: " << pduType << "pdu ignored" << endl;
		}

   }
   else 
      cout << "pdu type not verified, ignored" << endl;

}

int   cDisPduTranslator::GetPduType( void* buf)
{   
   return ((DIS203_PDU_HEADER_RECORD*) buf)->pdu_type;
}

EBoolean   cDisPduTranslator::VerifyPdu( void* buf)
   // verify incoming DIS PDUs.  We check:
   //   protocol version
   //   pdu type (in acceptable range, no experimental PDUs in this check)
   //   exercise ID
{   
   DIS203_PDU_HEADER_RECORD* pPdu = (DIS203_PDU_HEADER_RECORD*)buf;
   if ( (pPdu->protocol_version == DIS203_PROTOCOL_VERSION_2_0)     &&
        (pPdu->exercise_id      == gpNetMgr->GetExerciseId() ) )
      return true;
   else
      return false;
}
/*
short cDisPduTranslator::DisFusing(cMine* pMine)
{
	short pfuze = 0x00, sfuze=0x00, anti_handling = 0x00;
	int FuzeNameIndex = pMine->GetFuzeNameIndex();
	
	switch (FuzeNameIndex) 
	{
	    case TFuzeParam::efuzetypePressure:
	    case TFuzeParam::efuzetypeApPressure:
		pfuze = DisFusingPressure;
		break;
	    case TFuzeParam::efuzetypeTiltrod:
		pfuze = DisFusingTiltrod;
		break;
	    case TFuzeParam::efuzetypeMagnetic:
		pfuze = DisFusingMagnetic;
		break;
	    case TFuzeParam::efuzetypeApTrip:
		pfuze = DisFusingTripwire;
		break;
	    case TFuzeParam::efuzetypeAcousticTracker:
	    case TFuzeParam::efuzetypeAcousticTrigger:
	    case TFuzeParam::efuzetypeTopSublet:
	    case TFuzeParam::efuzetypeOther:
		pfuze = DisFusingOther;
		break;
	    default:
		pfuze = DisFusingNoFuze;
		break;

	 }
	 
         
	 if (pMine->GetAntiHandling()==eYes)
		     anti_handling = 0x01;
	
	 
	 return (pfuze << 9) + (sfuze << 2) + (anti_handling << 1);
}


void    cDisPduTranslator::FillHdr(DIS203_PDU_TYPE_TYPE type)
      // length must be determined before filling in the header
{
   DIS203_PDU_HEADER_RECORD* pPdu = (DIS203_PDU_HEADER_RECORD*)fpOutBuf;
   
   pPdu->protocol_version = DIS203_PROTOCOL_VERSION_2_0;   //** should be 203
   pPdu->exercise_id      = gpNetMgr->GetExerciseId();
   pPdu->pdu_type         = type;
   //pPdu->_unused_3        = 0;
   pPdu->timestamp.value  = (unsigned int)(kSimTimeToDis * GetCurSimTime ()) << 1;
   pPdu->timestamp.reference  = 0;               // relative time
   pPdu->length           = fLength;
   pPdu->_unused_4        = 0;
}

void    cDisPduTranslator::SendVehState(cVehicle* pVeh)
{
//   cout<<"sending ES PDU"<< endl;
   DIS203_ENTITY_STATE_PDU* pPdu = (DIS203_ENTITY_STATE_PDU*)fpOutBuf;
      //** size can vary with number of articulated and attached parts
   fLength = sizeof(DIS203_ENTITY_STATE_PDU) - sizeof(DIS203_ARTICULATION_PARAMETER_RECORD);

   pPdu->entity_id                 = DisEntID(pVeh->GetEntityID());
   DisForce( &(pPdu->force_id), pVeh->GetVehicleForce());
   pPdu->number_of_articulation_parameters = 0;
   pPdu->entity_type               = DisEntType(pVeh->GetEntType());
   pPdu->alternative_entity_type   = DisEntType(pVeh->GetVehicleAltType());
   pPdu->entity_linear_velocity    = DisVehVel(pVeh->GetVehicleVel());
   pPdu->entity_location           = DisVehLoc(pVeh->GetGeoLoc());
   pPdu->entity_orientation        = DisVehOrient(pVeh->GetGeoOrient());
   pPdu->entity_appearance         = DisVehAppear(pVeh->GetVehicleAppear());
   pPdu->dead_reckoning_parameters.dead_reckoning_algorithm = DisVehDr(pVeh->GetVehicleDrAlg());
   pPdu->dead_reckoning_parameters.entity_linear_accel      = DisVehAccel(pVeh->GetVehicleAccel());
   pPdu->dead_reckoning_parameters.entity_angular_velocity  = DisVehAngVel(pVeh->GetVehicleAngVel());
   pPdu->entity_marking.Character_set       = DIS203_ENTITY_MARKING_CHAR_SET_UNUSED;
   pPdu->entity_marking.Character_string[0] = 0;
   pPdu->capabilities._unused_2                       = 0;
   pPdu->capabilities.repair_capability               = 0;
   pPdu->capabilities.recovery_capability             = 0;
   pPdu->capabilities.fuel_supply_capability          = 0;
   pPdu->capabilities.ammunition_supply_capability    = 0;

      // don't use articulation parameters yet

   FillHdr(DIS203_ENTITY_STATE_PDU_KIND);
   gpNetMgr->SendPdu(fpOutBuf, fLength);
}


void    cDisPduTranslator::SendMineFire(TFireData& fireData)
   // firing projectiles from mines
{
//   cout<<"sending mine fire PDU"<<endl;
   DIS203_FIRE_PDU* pPdu = (DIS203_FIRE_PDU*)fpOutBuf;

   fLength = sizeof(DIS203_FIRE_PDU);

   pPdu->firing_entity_id                  = DisEntID(fireData.fFiringEnt);
   pPdu->target_entity_id                  = DisEntID(fireData.fTargetEnt);
   
   pPdu->munition_id                       = DisEntID(fireData.fMunitionEnt);
   pPdu->event_id                          = DisEventID(fireData.fEventId);
   pPdu->velocity                          = DisVehVel( fireData.fGeoLaunchVel );
   
   pPdu->_unused_7                         = 0;
   pPdu->location_in_world                 = DisVehLoc( fireData.fLocation );
   pPdu->burst_descriptor                  = DisBurstDesc( fireData.fDetonationType,
                                                           fireData.fWarhead,
                                                           fireData.fFuze );
   pPdu->fire_range                        = DisRange( fireData.fFireRange );

   FillHdr(DIS203_FIRE_PDU_KIND);
   gpNetMgr->SendPdu(fpOutBuf, fLength);
}

void    cDisPduTranslator::SendProjFire(cProjectile* pProjectile)
   // firing penetrators from sublets
{
   DIS203_FIRE_PDU* pPdu = (DIS203_FIRE_PDU*)fpOutBuf;

   fLength = sizeof(DIS203_FIRE_PDU);

   pPdu->firing_entity_id                  = DisEntID(pProjectile->GetEntityID());
   pPdu->target_entity_id                  = DisEntID(pProjectile->GetTargetID());
   pPdu->munition_id                       = DisEntID(pProjectile->GetEntityID());
   pPdu->event_id                          = DisEventID(pProjectile->GetEventID());
   pPdu->_unused_7                         = 0;
   pPdu->location_in_world                 = DisVehLoc( pProjectile->GetDetLoc() );
   pPdu->burst_descriptor                  = DisBurstDesc( pProjectile->GetDetonationType(),
                                                           pProjectile->GetWarhead(),
                                                           pProjectile->GetFuze() );
   pPdu->velocity                          = DisVehVel( pProjectile->GetVehicleGeoVel() );
   pPdu->fire_range                        = DisRange( pProjectile->GetFireRange() );

   FillHdr(DIS203_FIRE_PDU_KIND);
   gpNetMgr->SendPdu(fpOutBuf, fLength);
}

void    cDisPduTranslator::SendProjDeton(cProjectile* pProjectile)
   // penetrator or projectile warhead detonating on target
{
   DIS203_DETONATION_PDU* pPdu = (DIS203_DETONATION_PDU*)fpOutBuf;

      //** we don't hit articulated parts at this time
   fLength = sizeof(DIS203_DETONATION_PDU) - sizeof(DIS203_ARTICULATION_PARAMETER_RECORD);

   pPdu->firing_entity_id                  = DisEntID(pProjectile->GetEntityID());
   pPdu->target_entity_id                  = DisEntID(pProjectile->GetTargetID());
   pPdu->munition_id                       = DisEntID(0);
   pPdu->event_id                          = DisEventID(0);
   pPdu->velocity                          = DisVehVel( TVelocity(0.0, 0.0, 0.0) );
   pPdu->location_in_world                 = DisVehLoc( pProjectile->GetDetLoc() );
   pPdu->burst_descriptor                  = DisBurstDesc( pProjectile->GetDetonationType(),
                                                           pProjectile->GetWarhead(),
                                                           pProjectile->GetFuze() );
   pPdu->location_in_entity_coordinates    = DisEntLoc( pProjectile->GetDetVehCoord() );
   pPdu->detonation_result                 = DisDetonResult( pProjectile->GetDetResult() );
   pPdu->number_of_articulation_parameters = 0;
   pPdu->_unused_8                         = 0;

   FillHdr(DIS203_DETONATION_PDU_KIND);

//   cout<<"sending mine detonation PDU"<<endl;
   WriteDetonPdu(pPdu);

   gpNetMgr->SendPdu(fpOutBuf, fLength);
}
   
void   cDisPduTranslator::SendMinefieldState(cMinefield* pMf)
{
   if ( fpQrpMgr )
      fpQrpMgr->SendMinefieldState(pMf, fpOutBuf);
}

void   cDisPduTranslator::ProcessMineResponse(cMinefield* pMf, T2linkHead* pTypeList,
               TEntityID reqId, int reqNum, short numReqSensors, TEntityType* pReqSensType)
{
   if ( fpQrpMgr )
      fpQrpMgr->ProcessMineResponse(pMf, pTypeList, reqId, reqNum, numReqSensors, pReqSensType);
}

void   cDisPduTranslator::SendMineResponse(cMinefield* pMf, T2linkHead* pMineList, TEntityID reqId,
                     int reqNum, TEntityType& type, int numMines, int msgNum, int msgsTot, short numReqSens,
				TEntityType* pReqSensType)
{
   if ( fpQrpMgr )
      fpQrpMgr->SendMineResponse(pMf, pMineList, reqId, reqNum, type, 
                  numMines, msgNum, msgsTot, fpOutBuf, numReqSens, pReqSensType);
}

void   cDisPduTranslator::SendCpMines(T2linkMineSetList* pMineSet)
{
   if ( fpCpMgr )
      fpCpMgr->SendCpMines(pMineSet, fpOutBuf);
}

void   cDisPduTranslator::SendCpMinefield(cMinefield* pMf)
{
   if ( fpCpMgr )
      fpCpMgr->SendCpMinefield(pMf, fpOutBuf);
}

EBoolean    cDisPduTranslator::UsesCpwQe()
{
   if ( fpCpMgr )
       return fpCpMgr->UsesQe();
   else
      return false;
}

void   cDisPduTranslator::WriteEsPdu(void * buf)
{
   DIS203_ENTITY_STATE_PDU* pdu = (DIS203_ENTITY_STATE_PDU*)buf;
   
   cout<< "pdu and header size "<< sizeof(*this)  << " "
       << sizeof(DIS203_ENTITY_STATE_PDU) << " "
       << sizeof(pdu->pdu_header) << endl;
   
   cout<< "header " 
       << sizeof(pdu->pdu_header) << " "
       << (int)pdu->pdu_header.protocol_version << " "
       << (int)pdu->pdu_header.exercise_id << " "
       << (int)pdu->pdu_header.pdu_type << " "
       << (int)pdu->pdu_header.length
       << endl;
   
   cout<< "entity_id " 
       << sizeof(pdu->entity_id) << " "
       << (int)pdu->entity_id.simulation_address.site_id << " "
       << (int)pdu->entity_id.simulation_address.application_id << " "
       << (int)pdu->entity_id.entity_id
       << endl;
       
   cout<< "force " << sizeof(pdu->force_id) << " " << (int)pdu->force_id << endl;
       
   cout<< "num art params " << sizeof(pdu->number_of_articulation_parameters) << " " << (int)pdu->number_of_articulation_parameters << endl;
   
   cout<< "entity_type " 
       << sizeof(pdu->entity_type) << " "
       << (int)pdu->entity_type.kind << " "
       << (int)pdu->entity_type.domain << " "
       << (int)pdu->entity_type.country << " "
       << (int)pdu->entity_type.category << " "
       << (int)pdu->entity_type.subcategory << " "
       << (int)pdu->entity_type.specific << " "
       << (int)pdu->entity_type.extra
       << endl;
   
   cout<< "alt entity_type " 
       << sizeof(pdu->alternative_entity_type) << " "
       << (int)pdu->alternative_entity_type.kind << " "
       << (int)pdu->alternative_entity_type.domain << " "
       << (int)pdu->alternative_entity_type.country << " "
       << (int)pdu->alternative_entity_type.category << " "
       << (int)pdu->alternative_entity_type.subcategory << " "
       << (int)pdu->alternative_entity_type.specific << " "
       << (int)pdu->alternative_entity_type.extra
       << endl;
   
    cout<< "linear velocity " 
       << sizeof(pdu->entity_linear_velocity) << " "
       << pdu->entity_linear_velocity.x << " "
       << pdu->entity_linear_velocity.y << " "
       << pdu->entity_linear_velocity.z
       << endl;
   
    cout<< "location " 
       << sizeof(pdu->entity_location) << " "
       << pdu->entity_location.x << " "
       << pdu->entity_location.y << " "
       << pdu->entity_location.z
       << endl;
       
    cout<< "artic params " 
       << sizeof(pdu->articulation_parameters) << endl;
  
}

int   cDisPduTranslator::ProcessableEsPdu(void* buf)
{
   DIS203_ENTITY_STATE_PDU* pdu = (DIS203_ENTITY_STATE_PDU*)buf;
   
   if ( (pdu->entity_type.kind == ekindOther) ||
        (pdu->entity_type.kind >= ekindEnvironmental) )
           //** should support platforms, munitions, life forms 
           //** environmental and cultural may also be supported
           //** at some point
      return 0;

   return 1;
}

void   cDisPduTranslator::RecvESPdu(void* buf, TTimeSim timeDelta)
{
   cVehicle*             pVeh;
   cPriorityVehStateMsg* pPmsg;
   cVehStateMsg*         pMsg;
   DIS203_ENTITY_STATE_PDU* pdu = (DIS203_ENTITY_STATE_PDU*)buf;
   
   if ( ! ProcessableEsPdu(buf) ) {
      return;
   }
   
   pVeh               = new cVehicle;
   pVeh->fTime        = GetCurSimTime () - timeDelta;
   pVeh->fId          = cDisPdu::CmsEntID(pdu->entity_id);
   pVeh->fForce       = cDisPdu::CmsForce( & pdu->force_id);
   pVeh->fCmsType     = cDisPdu::CmsEntType(pdu->entity_type);
   pVeh->fAltType     = cDisPdu::CmsEntType(pdu->alternative_entity_type);
   pVeh->fVelocity    = cDisPdu::CmsVehVel(pdu->entity_linear_velocity);
   
   pVeh->SetCoordGeoRef( cDisPdu::CmsVehLoc(pdu->entity_location), 
                         cDisPdu::CmsVehOrient(pdu->entity_orientation) );
                         
   pVeh->fAppearance  = cDisPdu::CmsVehAppear(pdu->entity_appearance);
   pVeh->fDrAlg       = cDisPdu::CmsVehDr(pdu->dead_reckoning_parameters.dead_reckoning_algorithm);
   pVeh->fDrAccel     = cDisPdu::CmsVehAccel(pdu->dead_reckoning_parameters.entity_linear_accel);
   pVeh->fDrAngVel    = cDisPdu::CmsVehAngVel(pdu->dead_reckoning_parameters.entity_angular_velocity);
   
   pVeh->fbHasCmPart = false;
   if (pdu->number_of_articulation_parameters > 0) {
      pVeh->fNumParts = pdu->number_of_articulation_parameters;
      TVehPart* pVpList = pVeh->fpVehPartList = new TVehPart[pdu->number_of_articulation_parameters];
      for ( int i = 0; i < pdu->number_of_articulation_parameters; i++) {
         pVpList[i].fChange = pdu->articulation_parameters[i].change_indicator;
         pVpList[i].fAttachPoint = pdu->articulation_parameters[i].id_part_attached_to;
         pVpList[i].fValueType = pdu->articulation_parameters[i].parameter_type.value;
         if (pdu->articulation_parameters[i].parameter_type.value & eprtmskAttached) {
            pVpList[i].fAttached = true;
            pVpList[i].fEntType = 
               cDisPdu::CmsEntType(pdu->articulation_parameters[i].parameter_value.entity_type);
            pVpList[i].fValue = 0.0;
            pVpList[i].fParamType = 
               cDisPdu::CmsAttachPartType(pdu->articulation_parameters[i].parameter_type.value);
            if (pVpList[i].fParamType != ePrtOther)
               pVeh->fbHasCmPart = true;
         }
         else {
            pVpList[i].fAttached = false;
            pVpList[i].fValue = pdu->articulation_parameters[i].parameter_value.numeric.value;
            cDisPdu::SetArticPartParams(pdu->articulation_parameters[i], &pVpList[i]);
            if (pVpList[i].IsCmPart())
               pVeh->fbHasCmPart = true;
            if ( (pVpList[i].IsTurret()) &&
                 ( (pVpList[i].fValueType & eprtmskValType) == ePartTypeAzimuth ) ) 
                pVeh->fTurretAzimuth = pVpList[i].fValue;
         }
      }
   }
   
   if ( pVeh->fDrAlg < eDrLowestBody ) {
      pVeh->fGeoVelocity = pVeh->fVelocity;
      pVeh->fEntVelocity = pVeh->fGeoRotation * pVeh->fGeoVelocity;
   }
   else {
      pVeh->fEntVelocity = pVeh->fVelocity;
      pVeh->fGeoRotation.MultTrans(pVeh->fEntVelocity, &pVeh->fGeoVelocity);
   }

   Assert(pVeh->fCmsType.kind != 0, kerrValidityCheck, "cDisPduTranslator::RecvESPdu");

   if ( gVehMgr.IsPriorityVeh(pVeh->fId) )
      pPmsg = new cPriorityVehStateMsg(pVeh, false);
   else
      pMsg = new cVehStateMsg(pVeh, false);
   
//   cout<<"Entity State PDU received, time "<<int(pdu_header.timestamp.value)<<endl;
}

EBoolean   cDisPduTranslator::IsAreaDetonation(void * buf)
{
   DIS203_DETONATION_PDU* pdu = (DIS203_DETONATION_PDU*)buf;
   if ( cDisPdu::CmsEntType(pdu->burst_descriptor.munition) == kEntTypeESMB)
      return true;
   else
      return false;
}



void   cDisPduTranslator::RecvEmissionPdu(void * buf, TTimeSim )
{
//   cout<< "emission PDU received" << endl;

  
   DIS203_EMISSION_PDU* pdu = (DIS203_EMISSION_PDU*)buf;
   DIS203_FUNDAMENTAL_PARAMETER_DATA_RECORD* param_record = &(pdu->systems->beams->fundamental_parameter_data);

   cEmission*  pEmission = new cEmission((int) pdu->number_of_systems, pdu->systems->emitter_system.emitter_name);

   TEntityID entity_id = cDisPdu::CmsEntID(pdu->entity_id);
  //cout << "rel_emitter_loc = (" << rel_emitter_loc.x << ", " << rel_emitter_loc.y << ")" << endl;

   // need to find vehicle with entity_id of entity_id.entityNum
   cVehListHead&  vehMasterList = gVehMgr.GetVehList();
   pEmission->fpVeh = gVehMgr.FindVehicle(entity_id, &vehMasterList);


   if(pEmission->fpVeh != NULL)
   {
      pEmission->fpSystem->fRelEmitterLoc = cDisPdu::CmsEntLoc(pdu->systems->location_with_respect_to_entity);
      pEmission->fpSystem->fERP = param_record->effective_radiated_power;

      pEmission->fpSystem->fEmitterName = pdu->systems->emitter_system.emitter_name;
//      if (pEmission->fpSystem->fEmitterName == DIS203_EMITTER_SYSTEM_ORSMC)  pEmission->radius = 0.0;
//      else pEmission->radius = 20.0;
      
      //fprintf (stderr, "Emitter Name = %u\n",  pEmission->fpSystem->fEmitterName);
      pEmission->fpSystem->fFunction = pdu->systems->emitter_system.function;

      //fprintf(stderr,  "fRelEmitterLoc = (%.8f, %.8f, %.8f)\n", pEmission->GetRelLoc().x, 
      //			pEmission->GetRelLoc().y, pEmission->GetRelLoc().z);

/*      //TOrient emitter_orient = pVehicle->GetGeoOrient();
      //TOrient emitter_orient = pVehicle->GetTccOrient();
      //cout <<  "emitter_orient = (" << emitter_orient.psi << ", " << emitter_orient.theta << ", " << emitter_orient.phi << ")" << endl;
      //TLocation VehLoc = pVehicle->GetGeoLoc();
      //TLocation VehLoc = pVehicle->GetTccLoc();
      fprintf(stderr,  "fRelEmitterLoc = (%.8f, %.8f, %.8f)\n", pEmission->GetRelLoc().x, 
      			pEmission->GetRelLoc().y, pEmission->GetRelLoc().z);


      //TEntCoord emitter_loc;
      //float b = sqrt( (rel_emitter_loc.x*rel_emitter_loc.x) + (rel_emitter_loc.y*rel_emitter_loc.y));
      //emitter_loc.x = VehLoc.x + b*cos(emitter_orient.psi);
      //emitter_loc.y = VehLoc.y + b*sin(emitter_orient.psi);

      //float angle = emitter_orient.psi-atan(rel_emitter_loc.x/rel_emitter_loc.y);
      //float angle = emitter_orient.psi-atan(rel_emitter_loc.y/rel_emitter_loc.x);
      //cout << "b = " << b << " angle = " << angle  << endl;
        //emitter_loc.x = VehLoc.x + (b * cos(angle));
        //emitter_loc.y = VehLoc.y + (b * sin(angle));
	//emitter_loc.z = VehLoc.z;
      //emitter_loc.x = (rel_emitter_loc.x * cos(emitter_orient.psi)) + (float)VehLoc.x;
      //emitter_loc.y = (rel_emitter_loc.y * cos(emitter_orient.psi)) + (float)VehLoc.y;
      //emitter_loc.z = rel_emitter_loc.z + (float)VehLoc.z;
      //cout << "emitter_location = (" << emitter_loc.x << ", " << emitter_loc.y << ", " << emitter_loc.z << ")" << endl;
* /
	new cEmissionMsg(pEmission);
	//new cEmissionMsg();
   }

}

void   cDisPduTranslator::RecvEnvironmentPdu( void * buf, TTimeSim )
{
   void *pCurrentRecStart;
   static int pdunum = 0;

   //We have received an environmental PDU.  Cast the PDU buffer to the PDU type.
   cpduEnvironmental* pdu = (cpduEnvironmental*)buf;
   
   fprintf (stdout, "\nReceived environmental PDU %d.\n", pdunum++);
   fprintf (stdout, "Records = %d\n",  (int) pdu->fNumberRecords); 

   // Using pCurrentStart, cycle through all records in the PDU
   // and extract needed information.

   for (int i=0; i < (int) pdu->fNumberRecords && i < 5; i++)
     {
	//Set pCurrentRecStart to point to the current environment record 
	//in the PDU
	if (i == 0) {
	   // fpEnvRecord already points to first record.
	   pCurrentRecStart = pdu->fpEnvRecord;
	}
	else {
	   // cast pCurrentRecStart to a pointer to a 1 byte object, then increment by fRecordLength bytes.
	   pCurrentRecStart = (uint8 *)pCurrentRecStart + ((TEnvironmentRecord* )pCurrentRecStart)->fRecordLength;
	}

	// Determine the current record type and move to that case.
       switch (((TEnvironmentRecord* )pCurrentRecStart)->fRecordKind) {

       case DIS203_ENV_PADDING_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_padding\n", i);
	 // Don't need to do anything here
	 break;

       case DIS203_ENV_STATE_SIMPLE_ILLUMINATION_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_simple_illum\n", i);
	 break;

       case DIS203_ENV_STATE_SIMPLE_SOUND_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_simple_sound\n", i);
	 break;

       case DIS203_ENV_STATE_SIMPLE_OBSCURANT_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_simple_obscurant\n", i);
	 break;

       case DIS203_ENV_STATE_SIMPLE_WEATHER_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_simple_weather\n", i);
	 ((cTransEnvRecord*)pCurrentRecStart)->ProcessSimpleWeatherRecord ();
	 break;

       case DIS203_ENV_STATE_OBSERVED_WEATHER_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_observed_weather\n", i);
	 break;

       case DIS203_ENV_STATE_COMBIC_PLUME_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_combic_plume\n", i);
	 break;

       case DIS203_ENV_STATE_COMBIC_PUFF_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_combic_puff\n", i);
	 break;

       case DIS203_ENV_STATE_EPHEMERIS_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_ephemeris\n", i);
	 break;

       case DIS203_ENV_STATE_FLARE_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_flare\n", i);
	 break;

       case DIS203_ENV_STATE_NET_SEA_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_net_sea\n", i);
	 break;

       case DIS203_ENV_STATE_VEH_DUST_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_veh_dust\n", i);
	 break;

       case DIS203_ENV_STATE_SIMULATION_DATE_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_state_simulation_date\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_UNIFORM_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_uniform\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_POINT_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_point\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_SPHEROID_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_spheroid\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_POLYGON_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_polygon\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_EXTENTS_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_extents\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_SPHERICAL_COORDS_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_spherical\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_GAUSSIAN_PLUME_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_gaussian_plume\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_GAUSSIAN_PUFF_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_gaussian_puff\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_CONE_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_cone\n", i);
	 break;

       case DIS203_ENV_GEOMETRY_FLEX_PLUME_KIND:
	 fprintf(stdout, "fEnvRecord[%d] = env_geometry_flex_plume\n", i);
	 break;


       default:
	 fprintf(stdout, "fEnvRecord[%d] = UNRECOGNIZED! \n", i);
	 break;
       }
     }
}


void   cDisPduTranslator::RecvDetonPdu(void * buf, TTimeSim )
{
//   cout<< "detonation PDU received"<endl;
   DIS203_DETONATION_PDU* pdu = (DIS203_DETONATION_PDU*)buf;
   cDetonation* pDet = new cDetonation;
   
   pDet->fFiringEntity    = cDisPdu::CmsEntID(pdu->firing_entity_id);
   pDet->fTargetEntity    = cDisPdu::CmsEntID(pdu->target_entity_id);
   pDet->fMunitionEntity  = cDisPdu::CmsEntID(pdu->munition_id);
   pDet->fVelocity        = cDisPdu::CmsVehVel(pdu->velocity);
   pDet->fMunitionType    = cDisPdu::CmsEntType(pdu->burst_descriptor.munition);
   pDet->feWarhead        = cDisPdu::CmsWarhead(pdu->burst_descriptor.warhead);
   pDet->feFuze           = cDisPdu::CmsFuze(pdu->burst_descriptor.fuze);
   
   pDet->fGeoLoc          = cDisPdu::CmsVehLoc(pdu->location_in_world);
   pDet->fEntityLoc       = cDisPdu::CmsEntLoc(pdu->location_in_entity_coordinates);
   pDet->feResult         = cDisPdu::CmsDetResult( & pdu->detonation_result );
   
   pDet->FinishDetInit();
   
   new cInDetMsg(pDet);
}

void   cDisPduTranslator::WriteDetonPdu(void * buf)
{
   DIS203_DETONATION_PDU* pdu = (DIS203_DETONATION_PDU*) buf;

   cout << " target entity id "<<(int)pdu->target_entity_id.simulation_address.site_id << " "
                            <<(int)pdu->target_entity_id.simulation_address.application_id << " "
                            <<(int)pdu->target_entity_id.entity_id << endl;
   cout << " mine entity id "  <<(int)pdu->firing_entity_id.simulation_address.site_id << " "
                            <<(int)pdu->firing_entity_id.simulation_address.application_id << " "
                            <<(int)pdu->firing_entity_id.entity_id << endl;
   cout << " munition entity id "  <<(int)pdu->munition_id.simulation_address.site_id << " "
                            <<(int)pdu->munition_id.simulation_address.application_id << " "
                            <<(int)pdu->munition_id.entity_id << endl;
                            
   cout << " geo location " << pdu->location_in_world.x << " "
                            << pdu->location_in_world.y << " "
                            << pdu->location_in_world.z << endl;
                            
   cout << " ent location " << pdu->location_in_entity_coordinates.x << " "
                            << pdu->location_in_entity_coordinates.y << " "
                            << pdu->location_in_entity_coordinates.z << endl;

   cout << " detonation result " << (int) pdu->detonation_result << endl;
   
   cout<< "burst type " 
       << (int)pdu->burst_descriptor.munition.kind << " "
       << (int)pdu->burst_descriptor.munition.domain << " "
       << (int)pdu->burst_descriptor.munition.country << " "
       << (int)pdu->burst_descriptor.munition.category << " "
       << (int)pdu->burst_descriptor.munition.subcategory << " "
       << (int)pdu->burst_descriptor.munition.specific << " "
       << (int)pdu->burst_descriptor.munition.extra
       << endl;
   
   cout << " burst warhead and fuze " << pdu->burst_descriptor.warhead << " "
                                      << pdu->burst_descriptor.fuze << endl;

}

void   cDisPduTranslator::TranslatorShutdown()
{
   if ( fpCpMgr )
      fpCpMgr->CpShutdown();
      
   if ( fpQrpMgr )
      fpQrpMgr->QrpShutdown();
}

*/

cDisPduTranslator::cDisPduTranslator( EQrpProtocol qrp, ECpProtocol cp, EBoolean bOrient,
                                      EBoolean bBurial, EBoolean bTemp)
{
   /*if ( qrp ==  eQrp1 )
      fpQrpMgr = new cQrpManager( qrp, this);
   / *else if(qrp == eQrp3)
      fpQrpMgr = new cQrpManager_REV(qrp,this);* /
   else
      fpQrpMgr = NULL;
      
   if ( (cp == eCp1) ||
        (cp == eCp1HeartBeat) )
      fpCpMgr = new cCpManager( cp, this, bOrient, bBurial, bTemp );
   else
      fpCpMgr = NULL;
*/
      
}

