# Makefile for SC98 Demo
#--------------------------------
# $Author: zeynep $
#--------------------------------
#
# C++ compiler to uses

# Compiler Flags
CFLAGS = -D_WIN32 -GX

# Linker flags
LFLAGS =

	# Directories to search for include (.h) files
INCDIR = -I c:\progra~1\devstudio\vc\include -I.\include\libinc \
		 -I.\include\global \
 		 -Id:\users\zeynep\omniORB_2.7.1\src\examples\RtiCapLib\include

	# Directories to search for library (.a, .so) files
LIBS =  omniORB271_rt.lib omnithread2_rt.lib wsock32.lib advapi32.lib RtiCap.lib 
# Libraries required for creating executable
LIBDIR  =  -LIBPATH:c:\progra~1\devstudio\vc\lib \
	       -LIBPATH:d:\users\zeynep\omniORB_2.7.1\lib\x86_win32 \
		   -LIBPATH:d:\users\zeynep\omniORB_2.7.1\src\examples\RtiCapLib


.SUFFIXES: .cc .cpp

.cc.obj:
  cl /nologo /c $(CFLAGS) $(INCDIR) /Tp $<

# Object files
OBJS= HwFederateAmbassador.obj Main.obj \
	 DemoMgr.obj \
	 NetMgr.obj \
	 DisPdu203.obj

all:: execs_hla.exe

execs_hla.exe: $(OBJS)
	link    -nologo $(OBJS) $(LIBDIR) $(LIBS) $(CXXLINKOPTIONS) -out:$@ 
#$** 
