/*
 * $RCSfile$ $Revision$ $State$
 */
/****************************************************************************
*   File: stdstring.h                                                       *
*                                                                           *
*       Copyright 1993 by Loral Advanced Distributed Simulation, Inc.       *
*                                                                           *
*               Loral Advanced Distributed Simulation, Inc.                 *
*               10 Moulton Street                                           *
*               Cambridge, MA 02238                                         *
*               617-873-1850                                                *
*                                                                           *
*       This software was developed by Loral under U. S. Government contracts*
*       and may be reproduced by or for the U. S. Government pursuant to    *
*       the copyright license under the clause at DFARS 252.227-7013        *
*       (OCT 1988).                                                         *
*                                                                           *
*       Contents: Standardized include directives for string functions      *
*       Created: Tue Jan 25 1994                                            *
*       Author: jesmith                                                     *
*       Remarks: Use this instead of #include <string[s].h>                 *
*                                                                           *
****************************************************************************/

#ifndef _STDSTRING_H_INCLUDED
#define _STDSTRING_H_INCLUDED

#ifdef USESTRINGDOTH
#include <string.h>
#else
#include <strings.h>
#endif

#if defined(sun4) && defined(__GNUC__)
extern char *sys_errlist[];
#define strerror(x) sys_errlist[x]
#endif

#endif /*_STDSTRING_H_INCLUDED*/
