import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;

import java.util.*;



public class Display extends JFrame
implements ListSelectionListener,ActionListener
{

HwFederateAmbassador boss;

JList list,deadList;
private JTextArea picture,picture2;
JSplitPane splitPane,splitPane2;
JPanel central,middle,buttonPane;
DefaultListModel listModel,listModel2 ;
private SimpleDialog dialog;
JTabbedPane tabbedPane;
JButton exitButton;


JComboBox comboBox;
Hashtable federates = new Hashtable();
Hashtable fedidtoName = new Hashtable();

Display(HwFederateAmbassador _boss)
{
	boss = _boss;
	
	listModel= new DefaultListModel();
	list = new JList(listModel);
    list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    list.addListSelectionListener(this);
    JScrollPane listScrollPane = new JScrollPane(list);
	
	picture = new JTextArea();
	picture.setEditable(false);
	JScrollPane pictureScrollPane = new JScrollPane(picture);

        //Create a split pane with the two scroll panes in it
        splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,listScrollPane, pictureScrollPane);
        splitPane.setOneTouchExpandable(true);
        splitPane.setDividerLocation(150);

        //Provide minimum sizes for the two components in the split pane
        Dimension minimumSize = new Dimension(100, 50);
        listScrollPane.setMinimumSize(minimumSize);
        pictureScrollPane.setMinimumSize(minimumSize);

        //Provide a preferred size for the split pane
      splitPane.setPreferredSize(new Dimension(400, 200));
	  splitPane.setBorder(BorderFactory.createMatteBorder(1,1,2,2,Color.black));

	listModel2= new DefaultListModel();
	deadList = new JList(listModel2);
    deadList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    deadList.addListSelectionListener(this);
    JScrollPane deadListScrollPane = new JScrollPane(deadList);
	
	picture2 = new JTextArea();
	picture2.setEditable(false);
	JScrollPane pictureScrollPane2 = new JScrollPane(picture2);

        //Create a split pane with the two scroll panes in it
        splitPane2 = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,deadListScrollPane, pictureScrollPane2);
        splitPane2.setOneTouchExpandable(true);
        splitPane2.setDividerLocation(120);

        //Provide minimum sizes for the two components in the split pane
         deadListScrollPane.setMinimumSize(minimumSize);
        pictureScrollPane2.setMinimumSize(minimumSize);

        //Provide a preferred size for the split pane
      splitPane2.setPreferredSize(new Dimension(400, 200));
	  splitPane2.setBorder(BorderFactory.createMatteBorder(1,1,2,2,Color.black));


	tabbedPane = new JTabbedPane();
	tabbedPane.addTab("Current Servers",splitPane);
	tabbedPane.addTab("Dead Servers",splitPane2);

	exitButton= new JButton("Exit");
	exitButton.addActionListener(this);
	exitButton.setActionCommand("Exit");

	buttonPane = new JPanel();
        buttonPane.setLayout(new BoxLayout(buttonPane, BoxLayout.X_AXIS));
        buttonPane.add(Box.createHorizontalGlue());
        buttonPane.add(exitButton);
        }

public void actionPerformed(java.awt.event.ActionEvent e)
{
	if(e.getActionCommand().equals("Exit"));
		boss.exit();
}
 
 public JPanel getPanel() {
        return buttonPane;
    }
 public JTabbedPane gettabbedPane() {
        return tabbedPane;
    }

	 public void valueChanged(ListSelectionEvent e) {
        if (e.getValueIsAdjusting())
            return;
		if(e.getSource() ==list)
		{
		String val  = (String)list.getSelectedValue();
		Node c = (Node)federates.get(val);
		
		picture.append("Federate Name :"+c.getName()+ "\n");
		picture.append("Federate Id   :"+c.getId()+"\n");
		}
		else if (e.getSource() == deadList)
		{
		String val  = (String)deadList.getSelectedValue();
		Node c = (Node)federates.get(val);
		
		picture2.append("Federate Name :"+c.getName()+ "\n");
		picture2.append("Federate Id   :"+c.getId()+"\n");
		}

	}

	 public void addFederate(Node federate)
	 {
		if(federates.get(federate.getName())==null)
		{
			federates.put(federate.getName(),federate);
			System.out.println("Name of " +federate.getName() +"is" +(int)federate.getObjectID());
			fedidtoName.put(new Integer(federate.getObjectID()),federate.getName());
		 		 listModel.addElement(federate.getName());
		}
	 
	 }

	 public void deadFederate(double id)
	 {
		String Name =(String) fedidtoName.get(new Integer((int)id));
		 dialog = new SimpleDialog(this, "Dead Server",Name);
		dialog.setVisible(true);
	if(Name!=null)
	{		listModel.removeElement(Name);
		listModel2.addElement(Name);
	}
	 }

	public void deadCentral(double id)
	{
		String Name =(String) fedidtoName.get(new Integer((int)id));
		 dialog = new SimpleDialog(this, "DEAD CENTRAL",Name);
		dialog.setVisible(true);
	if(Name!=null)
	{		listModel.removeElement(Name);
		listModel2.addElement(Name);
	}
	 }


  }
