import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;

import java.util.*;

public class FedDisplay extends JFrame
implements ActionListener{

	JPanel contentPane;
	JTextField nameFld;
	Daemon boss;
	boolean joined=false;

	FedDisplay(Daemon _boss)
	{
		
		boss = _boss;
		JLabel nameLb= new JLabel("Federate Name");
		JLabel idLb = new JLabel("Federate ID");
		nameFld = new JTextField(25);
		JTextField  idFld =  new JTextField(25);
		


		JPanel labelPane = new JPanel();
		labelPane.setLayout(new GridLayout(0, 1));
		labelPane.add(nameLb);
		labelPane.add(idLb);
		
		JPanel fieldPane = new JPanel();
		fieldPane.setLayout(new GridLayout(0, 1));
		fieldPane.add(nameFld);
		fieldPane.add(idFld);


		JPanel buttonPane = new JPanel();
		JButton  joinBt = new JButton("Join Federation");
		joinBt.setActionCommand("Join");
		joinBt.addActionListener(this);
		JButton  leaveBt = new JButton("Exit ");
		leaveBt.setActionCommand("Exit");
		leaveBt.addActionListener(this);

		
		buttonPane.add(joinBt);
		buttonPane.add(leaveBt);
		
		contentPane = new JPanel();
		contentPane.setBorder(BorderFactory.createEmptyBorder(20, 20, 20, 20));
		contentPane.setLayout(new BorderLayout());
		contentPane.add(labelPane, BorderLayout.CENTER);
		contentPane.add(fieldPane, BorderLayout.EAST);
		contentPane.add(buttonPane,BorderLayout.SOUTH);
	
		
	}

	public JPanel getPane()
	{
		return contentPane;
	}

public void actionPerformed(java.awt.event.ActionEvent e)
{
	if(e.getActionCommand().equals("Exit"))
	{	if(joined)
			boss.leave();
	}	

	else if(e.getActionCommand().equals("Join"))
		{
			String name = nameFld.getText();
			System.out.println("name is "+name);
			if(!name.equals(null))
			{	boss.join(name);
				joined =true;	
			}

		}
}
}

