import java.util.*;
import java.io.*;
import javax.swing.*;
import java.awt.*;


import RTIcap.*;             // The package containing our stubs.
import npacrti.*;            // The package containing our stubs.
import org.omg.CosNaming.*;  // 
import org.omg.CORBA.*;      // All CORBA applications need these classes.
import owrti.util.*;


public class 
monitorDaemon extends JFrame
{

	

	public static void   main(String args[])
   {
	
	try{
		ORB orb = ORB.init();
		try 
        {
           String strIOR = owrti.util.KernelLocator.getRTIKernelIOR();
		
           if( strIOR != null )
           {
                  
              RTIKernelInterface rtiKernel = RTIKernelInterfaceHelper.narrow(orb.string_to_object(strIOR));

              RTIambassador rtiAmb = rtiKernel.createRTIAmbassador();
              
				Server thisServer = new Server(rtiAmb,"Monitor",20,orb);
				thisServer.start();


				 
           } else System.out.println(" IOR file is empty \n "+
                        "I can not find the address of RTIKernelInterface ");

        } catch(java.io.FileNotFoundException fnf) 
          { System.out.println("File Not Found"); }
          
     } catch(Exception e) 
       {
         System.out.println("ERROR : " + e);
         e.printStackTrace(System.out);
       } 
    }
   /**
   */

   
	
  
}
