include ../../../mk/config.unix

# Set Java Home
#J_HOME = /usr/npac/jdk1.2.1
J_HOME=$(JAVA_HOME)

JAVAC  = $(J_HOME)/bin/javac
JAVA  = $(J_HOME)/bin/java

# Set JavaRTI installation directory 
#OWRTI_HOME     = /project/iwt98/oldiwt98/iwt_worb/p/projects/owrti
OWRTI_HOME=$(PARALLEL_CMS)/owrti

# Set JWORB Home
#JWORB_HOME = /project/iwt98/oldiwt98/iwt_worb/p/projects/jworb
JWORB_HOME=$(PARALLEL_CMS)/jworb

# Set Default ClassPath 
CLASS_PATH = $(J_HOME)/lib/classes.zip:$(OWRTI_HOME)/src:$(OWRTI_HOME)/classes:$(OWRTI_HOME)/classes/owrti.jar:$(JWORB_HOME)/classes:$(JWORB_HOME)/classes/jworb.jar:.

JWS_HN=$(JWORB_HOST_NAME)
JWS_PN=$(JWORB_PORT_NUMBER)

# Set JavaIDL Home 
# We use JavaIDL compiler
IDL_JAVAC_HOME = /project/iwt98/oldiwt98/iwt_worb/p/technologies/JavaIDL/idltojava-solaris

#dynamic settings
CORBA_SETTINGS=-Dorg.omg.CORBA.ORBClass=worb.protocols.iiop.ORBImpl -Dorg.omg.CORBA.ORBSingletonClass=worb.protocols.iiop.ORBImpl

CP = cp
RM = rm

